<?xml version='1.0'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="text"/>

<xsl:variable name="newline">
	<xsl:text>&#13;</xsl:text>
</xsl:variable>

<xsl:param name="cplibdir" select="'file:///c:/CP Libraries 2/CPDemos/Library'"/>
<xsl:param name="sco" select="'core\cp2\basic\templates'"/>
<xsl:param name="eventid" select="'2'"/>

<xsl:param name="mergescocontent" select="''"/>

<xsl:param name="trackURL" select="''"/>

<xsl:variable name="scocontent" select="concat($sco,'/',$eventid)"/>

<xsl:variable name="cpscosdir" select="concat($cplibdir,'/scos/')"/>
<xsl:variable name="cpscocontentsdir" select="concat($cplibdir,'/scocontents/')"/>

<xsl:variable name="cpscopath" select="translate(concat($cpscosdir,$sco,'.xml'),'\','/')"/>
<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$scocontent,'.xml'),'\','/')"/>

<xsl:variable name="cpmergescocontentpath">
	<xsl:if test="not($mergescocontent='')">
		<xsl:value-of select="translate(concat($cpscocontentsdir,$mergescocontent,'.xml'),'\','/')"/>
	</xsl:if>
</xsl:variable>


<!-- <xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,$mergescocontent,'.xml'),'\','/')"/> -->

<xsl:variable name="objSCO" select="document(translate($cpscopath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCO"/>
<xsl:variable name="objSCOContent" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT"/>

<xsl:variable name="objMergeSCOContent" select="document(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT"/>
<!-- <xsl:variable name="objMergeSCOContent" select="document($cpscocontentpath)/SCOCONTENT"/> -->

<xsl:template match="/">
	<xsl:call-template name="buildStoryboard"/>
</xsl:template>

<xsl:template name="buildStoryboard">
	<!-- get top from $objSCO -->
	<xsl:variable name="browserHeight" select="$objSCO/CURRENT/@BROWSERHEIGHT"/>	
	<xsl:text disable-output-escaping="yes">&lt;div style="position: absolute; top:</xsl:text><xsl:value-of select="number($browserHeight)+25"/><xsl:text disable-output-escaping="yes">px; left:0px;"&gt;</xsl:text>
	<xsl:text disable-output-escaping="yes">
		&lt;script language="javascript"&gt;
		var m_bPostSuccess;
		var m_nCommentCount;
		var m_nCommentCountMax;
	
		function submitComments() {
			if (validateLogin()) {
				var colComments = document.getElementsByName("comments");
			
				m_bPostSuccess = true;
				m_nCommentCount = 0;
				m_nCommentMaxCount = countComments();
				for (var i = 0; i&lt;colComments.length; i++) {
					var objComment = colComments.item(i);
					if (objComment.value != "") {
						CP.postURL(CP.m_sTrackingURL,"action=addComment|scoid=" + unescape(CP.m_sSCOID) + "|reviewername=" + CP.m_sReviewerName + "|eventid=" + String(CP.m_lAliasID) + "|objectname=" + objComment.id.substring(9) + "|comment=" + objComment.value + "|timestamp=" + CP.getDateTimestamp(),postComplete);
					}	
				}
			} else {
				alert("You must have a valid Tracking URL and Reviewer Name to submit a comment.");
			}	
		}
		
		function postComplete(obj) {
			m_nCommentCount++;

			if (obj.content != "Success") {
				m_bPostSuccess = false;
			}
			
			// If the last one posted then give feedback
			if (m_nCommentCount == m_nCommentMaxCount) {
				if (m_bPostSuccess) {
					alert("Your comments have successfully been submitted.");
				} else {
					alert("There was a problem posting the data to the server. Make sure the Tracking URL is correct and that the server is running.");
				}
			}
		}

		function validateLogin() {
			if (document.getElementById("comments_TrackingURL").value == "" || document.getElementById("comments_ReviewerName").value == "") {
				return false;
			} else {
				CP.m_sTrackingURL = document.getElementById("comments_TrackingURL").value;
				CP.m_sReviewerName = document.getElementById("comments_ReviewerName").value
				return true;
			}	
		}
		
		function countComments() {
			var m_nCount = 0;
			var colComments = document.getElementsByName("comments");
		
			for (var i = 0; i&lt;colComments.length; i++) {
				var objComment = colComments.item(i);
				if (objComment.value != "") {
					m_nCount++;
				}	
			}
			
			return m_nCount;
		}
	&lt;/script&gt;
	
	&lt;h3&gt;Login&lt;/h3&gt;
		Tracking URL (e.g. http://127.0.0.1:4443)&lt;textarea id="comments_TrackingURL" style="width: 100%"&gt;&lt;/textarea&gt;
		Reviewer Name (e.g. jjb)&lt;textarea id="comments_ReviewerName" style="width: 100%"&gt;&lt;/textarea&gt;
	&lt;p/&gt;
	

	&lt;h3&gt;Event Ref Num: </xsl:text><xsl:value-of select="$eventid"/><xsl:text disable-output-escaping="yes">&lt;/h3&gt;
	&lt;p/&gt;
	Event Comments&lt;br/&gt;
	&lt;textarea id="comments_Event" style="width: 100%" name="comments"&gt;&lt;/textarea&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="width: 30%; text-align: left;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="2" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Navigation&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="15%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Previous Event &lt;/td&gt;
				&lt;td width="15%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Next Event &lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text><xsl:call-template name="GetPreviousID"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text><xsl:call-template name="GetNextID"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
			&lt;/tr&gt;
		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="text-align: left; width: 100%;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="3" width="100%" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Text Objects&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Object Name&lt;/td&gt;
				&lt;td width="50%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Text&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Comments&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
			<xsl:apply-templates select="$objSCOContent/TEXT|$objSCOContent/OPTION|$objSCOContent/CHECKBOX|$objSCOContent/EDITBOX"/>
			<xsl:if test="not($mergescocontent='')">
				<xsl:apply-templates select="$objMergeSCOContent/TEXT|$objMergeSCOContent/OPTION|$objMergeSCOContent/CHECKBOX|$objMergeSCOContent/EDITBOX"/>
			</xsl:if><xsl:text disable-output-escaping="yes">

		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="text-align: left; width: 100%;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="4" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Graphic Objects&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Object Name&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Graphic File&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Graphic Description&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Comments&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
			<xsl:apply-templates select="$objSCOContent/IMAGE"/>
			<xsl:if test="not($mergescocontent='')">
				<xsl:apply-templates select="$objMergeSCOContent/IMAGE"/>
			</xsl:if><xsl:text disable-output-escaping="yes">

		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="text-align: left; width: 100%;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="6" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Button Objects&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="15%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Object Name&lt;/td&gt;
				&lt;td width="15%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Button Enabled Graphic File&lt;/td&gt;
				&lt;td width="15%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Button Highlight Graphic File&lt;/td&gt;
				&lt;td width="15%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Button Caption&lt;/td&gt;
				&lt;td width="15%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Button Description&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Comments&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
			<xsl:apply-templates select="$objSCOContent/MULTISTATEBUTTON"/>
			<xsl:if test="not($mergescocontent='')">
				<xsl:apply-templates select="$objMergeSCOContent/MULTISTATEBUTTON"/>
			</xsl:if><xsl:text disable-output-escaping="yes">

		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="text-align: left; width: 100%;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="4" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Animation Objects&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Object Name&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Animation File&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Animation Description&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Comments&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
			<xsl:apply-templates select="$objSCOContent/FLASH"/>
			<xsl:if test="not($mergescocontent='')">
				<xsl:apply-templates select="$objMergeSCOContent/FLASH"/>
			</xsl:if><xsl:text disable-output-escaping="yes">
		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="text-align: left; width: 100%;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="4" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Video Objects&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Object Name&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Video File&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Video Description&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Comments&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
			<xsl:apply-templates select="$objSCOContent/VIDEO"/>
			<xsl:if test="not($mergescocontent='')">
				<xsl:apply-templates select="$objMergeSCOContent/VIDEO"/>
			</xsl:if><xsl:text disable-output-escaping="yes">
		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="text-align: left; width: 100%;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="4" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Audio Objects&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Object Name&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Audio File&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Audio Text&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Comments&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
			<xsl:apply-templates select="$objSCOContent/AUDIO"/>
			<xsl:if test="not($mergescocontent='')">
				<xsl:apply-templates select="$objMergeSCOContent/AUDIO"/>
			</xsl:if><xsl:text disable-output-escaping="yes">
		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;table cellpadding="2" cellspacing="2" border="3" style="text-align: left; width: 100%;"&gt;
		&lt;tbody&gt;
			&lt;tr&gt;
				&lt;td colspan="4" style="vertical-align: top; background-color: rgb(128, 128, 128);"&gt;Simulation Objects&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Object Name&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Simulation File&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Simulation Description&lt;/td&gt;
				&lt;td width="25%" style="vertical-align: top; background-color: rgb(160, 160, 160);"&gt;Comments&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
			<xsl:apply-templates select="$objSCOContent/SIMULATION"/>
			<xsl:if test="not($mergescocontent='')">
				<xsl:apply-templates select="$objMergeSCOContent/SIMULATION"/>
			</xsl:if><xsl:text disable-output-escaping="yes">
		&lt;/tbody&gt;
	&lt;/table&gt;
	&lt;p/&gt;
	&lt;a href="#" onclick="submitComments()"&gt;Click here to submit your comments&lt;/a&gt;
	&lt;/div&gt;</xsl:text>
</xsl:template>

<xsl:template match="TEXT|OPTION|CHECKBOX|EDITBOX">
			<!-- need to test if value is local or not -->
			<xsl:variable name="cor" select="@NAME"/>
			<xsl:variable name="cos" select="@CONTENTSCOPE"/>
			<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>

			<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
			<xsl:variable name="bContentObjectLocal">
				<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
					<xsl:value-of select="'true'"/>
				</xsl:if>
			</xsl:variable>		

			<xsl:variable name="objContent">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:choose>
							<xsl:when test="not(@DYNAMICTEXT)">
								<xsl:value-of select="."/>
							</xsl:when>
							<xsl:when test="not(@DYNAMICTEXT='')">
								<xsl:text>{Dynamic Text}</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of disable-output-escaping="yes"	 select="."/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:choose>
							<xsl:when test="not(document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/@DYNAMICTEXT='')">
								<xsl:text>{Dynamic Text}</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of disable-output-escaping="yes" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>
			<xsl:text disable-output-escaping="yes">
			&lt;tr style="vertical-align: top; background-color: rgb(224, 224, 224);"&gt;
				&lt;td&gt;</xsl:text><xsl:value-of select="@NAME"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td&gt;</xsl:text><xsl:value-of disable-output-escaping="yes" select="$objContent"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;&lt;textarea name="comments" id="comments_</xsl:text><xsl:value-of select="@NAME"/><xsl:text disable-output-escaping="yes">" style="width: 100%"&gt;&lt;/textarea&gt;&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
</xsl:template>

<xsl:template match="IMAGE">
			<!-- need to test if value is local or not -->
			<xsl:variable name="cor" select="@NAME"/>
			<xsl:variable name="cos" select="@CONTENTSCOPE"/>
			<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>

			<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
			<xsl:variable name="bContentObjectLocal">
				<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
					<xsl:value-of select="'true'"/>
				</xsl:if>
			</xsl:variable>		

			<xsl:variable name="objContent">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:value-of select="."/>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<xsl:variable name="objLongDesc">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:value-of select="@LONGDESC"/>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/@LONGDESC"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<xsl:text disable-output-escaping="yes">
			&lt;tr style="vertical-align: top; background-color: rgb(224, 224, 224);">
				&lt;td style="vertical-align: top;"&gt;</xsl:text><xsl:value-of select="@NAME"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text><xsl:value-of select="$objContent"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text>
					<xsl:choose>
						<xsl:when test="$objLongDesc=''">
							There is no description.
						</xsl:when>
						<xsl:when test="$objLongDesc">
							<xsl:value-of select="$objLongDesc"/>
						</xsl:when>
						<xsl:otherwise>
							There is no description.
						</xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">
				&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;&lt;textarea name="comments" id="comments_</xsl:text><xsl:value-of select="@NAME"/><xsl:text disable-output-escaping="yes">" style="width: 100%"&gt;&lt;/textarea&gt;&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr style="vertical-align: top; background-color: rgb(255, 255, 255);">
				&lt;td colspan="4">Graphic File&lt;/td>
			&lt;/tr&gt;
			&lt;tr style="vertical-align: top; background-color: rgb(255, 255, 255);">
				&lt;td colspan="4">&lt;br/&gt;&lt;img src='</xsl:text><xsl:value-of select="$mediaPath"/><xsl:value-of select="$objContent"/><xsl:text disable-output-escaping="yes">'/&gt;&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
</xsl:template>

<xsl:template match="MULTISTATEBUTTON">
			<!-- need to test if value is local or not -->
			<xsl:variable name="cor" select="@NAME"/>
			<xsl:variable name="cos" select="@CONTENTSCOPE"/>
			<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>

			<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
			<xsl:variable name="bContentObjectLocal">
				<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
					<xsl:value-of select="'true'"/>
				</xsl:if>
			</xsl:variable>		

			<xsl:variable name="objContent">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:choose>
							<xsl:when test="not(@DYNAMICCAPTION)">
								<xsl:value-of select="TEXT"/>
							</xsl:when>
							<xsl:when test="not(@DYNAMICCAPTION='')">
								<xsl:text>{Dynamic Text}</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of disable-output-escaping="yes" select="TEXT"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:choose>
							<xsl:when test="not(document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/@DYNAMICCAPTION)">
								<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/TEXT"/>
							</xsl:when>
							<xsl:when test="not(document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/@DYNAMICCAPTION='')">
								<xsl:text>{Dynamic Text}</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of disable-output-escaping="yes" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/TEXT"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<xsl:variable name="objEnabledContent">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:value-of select="ENABLEDSTATE/IMAGE"/>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/ENABLEDSTATE/IMAGE"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<xsl:variable name="objHighlightContent">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:value-of select="HIGHLIGHTSTATE/IMAGE"/>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/HIGHLIGHTSTATE/IMAGE"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<xsl:variable name="objLongDesc">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:value-of select="@LONGDESC"/>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/@LONGDESC"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<xsl:text disable-output-escaping="yes">
			&lt;tr style="vertical-align: top; background-color: rgb(224, 224, 224);"&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text><xsl:value-of select="@NAME"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text><xsl:value-of select="$objEnabledContent"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text><xsl:value-of select="$objHighlightContent"/><xsl:text disable-output-escaping="yes">&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;</xsl:text>
					<xsl:choose>
						<xsl:when test="$objContent=''">
							There is no caption.
						</xsl:when>
						<xsl:when test="$objContent">
							<xsl:value-of disable-output-escaping="yes" select="$objContent"/>
						</xsl:when>
						<xsl:otherwise>
							There is no caption.
						</xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">
				&lt;/td&gt;</xsl:text>
				&lt;td style="vertical-align: top;"&gt;
					<xsl:choose>
						<xsl:when test="$objLongDesc=''">
							There is no description.
						</xsl:when>
						<xsl:when test="$objLongDesc">
							<xsl:value-of select="$objLongDesc"/>
						</xsl:when>
						<xsl:otherwise>
							There is no description.
						</xsl:otherwise>
					</xsl:choose><xsl:text disable-output-escaping="yes">
				&lt;/td&gt;
				&lt;td style="vertical-align: top;"&gt;&lt;textarea name="comments" id="comments_</xsl:text><xsl:value-of select="@NAME"/><xsl:text disable-output-escaping="yes">" style="width: 100%"&gt;&lt;/textarea&gt;&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr style="vertical-align: top; background-color: rgb(255, 255, 255);"&gt;
				&lt;td colspan="6"&gt;Enabled Graphic File&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr style="vertical-align: top; background-color: rgb(255, 255, 255);"&gt;
				&lt;td colspan="6"&gt;&lt;br/&gt;&lt;img src='</xsl:text><xsl:value-of select="$mediaPath"/><xsl:value-of select="$objEnabledContent"/><xsl:text disable-output-escaping="yes">'/&gt;&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr style="vertical-align: top; background-color: rgb(255, 255, 255);"&gt;
				&lt;td colspan="6"&gt;Highlight Graphic File&lt;/td&gt;
			&lt;/tr&gt;
			&lt;tr style="vertical-align: top; background-color: rgb(255, 255, 255);"&gt;
				&lt;td colspan="6"&gt;&lt;br/&gt;&lt;img src='</xsl:text><xsl:value-of select="$mediaPath"/><xsl:value-of select="$objHighlightContent"/><xsl:text disable-output-escaping="yes">'/&gt;&lt;/td&gt;
			&lt;/tr&gt;</xsl:text>
</xsl:template>

<xsl:template match="SIMULATION">
			<!-- need to test if value is local or not -->
			<xsl:variable name="cor" select="@NAME"/>
			<xsl:variable name="cos" select="@CONTENTSCOPE"/>
			<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>

			<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
			<xsl:variable name="bContentObjectLocal">
				<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
					<xsl:value-of select="'true'"/>
				</xsl:if>
			</xsl:variable>		

			<xsl:variable name="objContent">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:value-of select="@PATH"/>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/@PATH"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<xsl:variable name="objLongDesc">
				<xsl:choose>
					<!-- content local, layout object local -->
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:value-of select="@LONGDESC"/>
					</xsl:when>
					<!-- referencing content, layout object local -->
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:value-of select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz'))/SCOCONTENT/*[@NAME=$cor]/@LONGDESC"/>
					</xsl:when>
				</xsl:choose>
			</xsl:variable>

			<tr style="vertical-align: top; background-color: rgb(224, 224, 224);">
				<td style="vertical-align: top;"><xsl:value-of select="@NAME"/></td>
				<td style="vertical-align: top;"><xsl:value-of select="$objContent"/></td>
				<td style="vertical-align: top;">
					<xsl:choose>
						<xsl:when test="$objLongDesc=''">
							There is no description.
						</xsl:when>
						<xsl:when test="$objLongDesc">
							<xsl:value-of select="$objLongDesc"/>
						</xsl:when>
						<xsl:otherwise>
							There is no description.
						</xsl:otherwise>
					</xsl:choose>	
				</td>
				<xsl:text disable-output-escaping="yes">&lt;td style="vertical-align: top;"&gt;&lt;textarea name="comments" id="comments_</xsl:text><xsl:value-of select="@NAME"/><xsl:text disable-output-escaping="yes">" style="width: 100%"&gt;&lt;/textarea&gt;&lt;/td&gt;</xsl:text>
			</tr>
</xsl:template>

<xsl:template name="GetPreviousID">
	<xsl:variable name="seq" select="$objSCO/NAVLINKS/NAVLINK[@DSTTYPE='1'][@DSTID=$eventid]/@SEQUENCE"/>
	<xsl:variable name="orgid" select="$objSCO/NAVLINKS/NAVLINK[@DSTTYPE='1'][@DSTID=$eventid]/@ORGID"/>
	<xsl:variable name="nextseq" select="$seq + number(-1)"/>
	<xsl:choose>
		<xsl:when test="$objSCO/NAVLINKS/NAVLINK[@ORGTYPE='2'][@ORGID=$orgid][@SEQUENCE=$nextseq]">
	<xsl:value-of select="$objSCO/NAVLINKS/NAVLINK[@ORGTYPE='2'][@ORGID=$orgid][@SEQUENCE=$nextseq]/@DSTID"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>No Event</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="GetNextID">
	<xsl:variable name="seq" select="$objSCO/NAVLINKS/NAVLINK[@DSTTYPE='1'][@DSTID=$eventid]/@SEQUENCE"/>
	<xsl:variable name="orgid" select="$objSCO/NAVLINKS/NAVLINK[@DSTTYPE='1'][@DSTID=$eventid]/@ORGID"/>
	<xsl:variable name="nextseq" select="$seq+1"/>
	<xsl:choose>
		<xsl:when test="$objSCO/NAVLINKS/NAVLINK[@ORGTYPE='2'][@ORGID=$orgid][@SEQUENCE=$nextseq]">
			<xsl:value-of select="$objSCO/NAVLINKS/NAVLINK[@ORGTYPE='2'][@ORGID=$orgid][@SEQUENCE=$nextseq]/@DSTID"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>No Event</xsl:text>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>
