﻿// ©  Copyright IBM Corp. 1998 - 2003 All Rights Reserved

//Begin Assessment High Level API

function GetAssessmentScore(sAssessID,bBlankWrong,bReportScore){
  var studentPoints = 0;
  var totalPoints = 0;
  if (bReportScore == null || ""+bReportScore=="undefined"){
  	bReportScore = true;		
  }	
  if (bBlankWrong == null ||  ""+bBlankWrong=="undefined"){
  	bBlankWrong = true;  
  }
  if (m_arrAssessments[sAssessID] == null){
	  return "The assessment '" + sAssessID + "' was not found.  Either the assessment has not been created or the screen name does not match the name of the assessment.";
	}
	
  for (var i in m_arrAssessments[sAssessID].arrQuestions){
      if (m_arrAssessments[sAssessID].arrQuestions[i].RESULT != null){
        if (m_arrAssessments[sAssessID].arrQuestions[i].RESULT.toLowerCase() == "correct"){
          studentPoints = parseFloat(studentPoints) + parseFloat(m_arrAssessments[sAssessID].arrQuestions[i].WEIGHT);
        }
        totalPoints = parseFloat(totalPoints) + parseFloat(m_arrAssessments[sAssessID].arrQuestions[i].WEIGHT);
      }else{
        if (bBlankWrong){
          totalPoints = parseFloat(totalPoints) + parseFloat(m_arrAssessments[sAssessID].arrQuestions[i].WEIGHT);  
        }
      }          
    }        
  
  if (totalPoints == 0){
    return 0;    
  } 
  if (bReportScore){		 
  	ReportAssessmentScore(sAssessID,Math.round((studentPoints/totalPoints)*100));
  }	
  return Math.round((studentPoints/totalPoints)*100);
}  

function GetAssessmentPassFail(sAssessID,bBlankWrong){
	if (m_arrAssessments[sAssessID] == null){
	  return "The assessment '" + sAssessID + "' was not found.  Either the assessment has not been created or the screen name does not match the name of the assessment.";
	}	
    var studentScore = GetAssessmentScore(sAssessID,bBlankWrong,true);

  var sMasteryScore = parseInt(m_arrAssessments[sAssessID].MASTERYSCORE);
  if (studentScore >= sMasteryScore){
    return "P";
  }else{
    return "F";
  }  
}

function GetAssessmentTable(sAssessID){
	if (m_arrAssessments[sAssessID] == null){
	  return "The assessment '" + sAssessID + "' was not found.  Either the assessment has not been created or the screen name does not match the name of the assessment.";
	}
	if (m_arrAssessments[sAssessID].HEADERROW == null){
	  return "You must create an assessment table to display the results.  Click on the Results Table button from the assessment dialog."
	}
	var oP = new XHTMLElement("P");
	var oTable = new XHTMLElement("TABLE");
	var oAttr = new XHTMLAttribute("BORDER");
	oAttr.text = m_arrAssessments[sAssessID].HEADERROW.BORDER;
	oTable.setAttribute(oAttr);
	var oAttr = new XHTMLAttribute("WIDTH");
	oAttr.text = "90%";
	oTable.setAttribute(oAttr);
	var oHeaderRow = new XHTMLElement("TR");
	var oAttr = new XHTMLAttribute("style");
	oAttr.text = "background-color: " + m_arrAssessments[sAssessID].HEADERROW.BGCOLOR;
	oHeaderRow.setAttribute(oAttr);
	var oAttr = new XHTMLAttribute("class");
	oAttr.text = m_arrAssessments[sAssessID].HEADERROW.FONTSTYLE;
	oHeaderRow.setAttribute(oAttr);

	for (var i in m_arrAssessments[sAssessID].arrColumns){
		if (m_arrAssessments[sAssessID].arrColumns[i].SELECTED == "True"){
			var oTD = new XHTMLElement("TD");
			oTD.text = m_arrAssessments[sAssessID].arrColumns[i].ALIAS;
			var oAttr = new XHTMLAttribute("style");
			oAttr.text = "text-align: " + m_arrAssessments[sAssessID].arrColumns[i].ALIGN;
			oTD.setAttribute(oAttr);
			oHeaderRow.appendChild(oTD); 
		}			
	}
	oTable.appendChild(oHeaderRow);	
	var k=0;
	for (var i in m_arrAssessments[sAssessID].arrQuestions){
		oRow = new XHTMLElement("TR");
		var oStyle = new XHTMLAttribute("style");
		var oClass = new XHTMLAttribute("class");
		if (k%2==0){	
			oStyle.text = "background-color: " + m_arrAssessments[sAssessID].ROW.ODDROWBGCOLOR;
			oRow.setAttribute(oStyle);
			oClass.text = m_arrAssessments[sAssessID].ROW.ODDROWFONTSTYLE;
			oRow.setAttribute(oClass);
		}else{
			oStyle.text = "background-color: " + m_arrAssessments[sAssessID].ROW.EVENROWBGCOLOR;
			oRow.setAttribute(oStyle);
			oClass.text = m_arrAssessments[sAssessID].ROW.EVENROWFONTSTYLE;
			oRow.setAttribute(oClass);
		}				
		for (var j in m_arrAssessments[sAssessID].arrColumns){
			if (m_arrAssessments[sAssessID].arrColumns[j].SELECTED == "True"){
				oTD = new XHTMLElement("TD");
				var s = new String(GetQuestionProperty(sAssessID,m_arrAssessments[sAssessID].arrQuestions[i].ID,m_arrAssessments[sAssessID].arrColumns[j].ID))
				var oStyle = new XHTMLAttribute("style");
				oStyle.text = "text-align: " + m_arrAssessments[sAssessID].arrColumns[j].ALIGN;
				oTD.setAttribute(oStyle);
				oTD.text = s.replace(",",", ");
				oRow.appendChild(oTD); 
			}				
		}
		oTable.appendChild(oRow);	
		k++;
	}
	oP.appendChild(oTable);		
  	return oP.xhtml();
}



function ReportAssessmentScore(sAssessID,score){
	if (m_sTracking=="scorm" || m_sTracking=="HACP"){
		if (m_arrAssessments[sAssessID].MASTEREXAM == "1"){  
	    	lmsSetScore(score);
		}      
	}
}	
         

function ReportAllInteractions(AssessmentID){
	if (m_sTracking=="scorm" || m_sTracking=="HACP"){
		for (var i in m_arrAssessments[AssessmentID].arrQuestions){
			sQues = m_arrAssessments[AssessmentID].arrQuestions[i].ID;      
			var sQtype = GetQuestionProperty(AssessmentID,sQues,"QTYPE");
//			if (m_sTracking=="scorm" || m_sTracking=="HACP"){
				var sResult = GetQuestionProperty(AssessmentID,sQues,"RESULT");
				if (sQtype != "performance"){
					if (sResult.toLowerCase() == "incorrect" || sResult.toLowerCase() == "final"){
						sResult = "wrong";	
					}	
				}	
				var sCorrectAns = GetQuestionProperty(AssessmentID,sQues,"CORRECTANSWER");
				if (sQtype != "performance"){
					if (sResult.toLowerCase() == "correct"){
						var sCorrectAns = GetQuestionProperty(AssessmentID,sQues,"STUDENTANSWER");
					}else{
						var sCorrectAns = GetQuestionProperty(AssessmentID,sQues,"CORRECTANSWER");
					}
				}	
				lmsSetQuestionData(sQues,GetQuestionProperty(AssessmentID,sQues,"QTYPE"),sCorrectAns,GetQuestionProperty(AssessmentID,sQues,"STUDENTANSWER"),sResult,GetQuestionProperty(AssessmentID,sQues,"LATENCY"),GetQuestionProperty(AssessmentID,sQues,"WEIGHT"),getObjectiveIDForAssessment(AssessmentID)); 
//			}        
		}        
	}		
}


function getObjectiveIDForAssessment(AssessmentID){
	for (var i in m_arrObjectives){
      if (m_arrObjectives[i].ASSESSMENTS !=null){
        var sAssess = m_arrObjectives[i].ASSESSMENTS.split("^,^");
        for (var j=0;j<sAssess.length;j++){
          if (sAssess[j] == AssessmentID){
            return m_arrObjectives[i].ID;
          }
        }
      }        
    }
    return "";
}

function GetNumberOfQuestionsInAssessment(sAssessID){
  if (m_arrAssessments[sAssessID] == null){
  		return 0;
  }			
  var icnt = 0;
  for (var i in m_arrAssessments[sAssessID].arrQuestions){
  		icnt++
  }	
  return icnt;
}

function GetTotalCorrectInAssessment(sAssessID){
	if (m_arrAssessments[sAssessID] == null){
		return "[Assessment Not Defined]";
	}			
	var icnt = 0;
	for (var i in m_arrAssessments[sAssessID].arrQuestions){
		if (m_arrAssessments[sAssessID].arrQuestions[i].RESULT != null){
			if (m_arrAssessments[sAssessID].arrQuestions[i].RESULT.toLowerCase() == "correct"){
				icnt++;
			}
		}          
	}        
	return icnt;
}

function GetTotalIncorrectInAssessment(sAssessID, bBlankWrong){
	if (m_arrAssessments[sAssessID] == null){
		return "[Assessment Not Defined]";
	}	
	var icnt = 0;
	for (var i in m_arrAssessments[sAssessID].arrQuestions){
		if (m_arrAssessments[sAssessID].arrQuestions[i].RESULT != null){
			if (m_arrAssessments[sAssessID].arrQuestions[i].RESULT.toLowerCase() == "incorrect"){
				icnt++;
			}
		}else{
			if (bBlankWrong){
				icnt++;
			}	
		}          
	}        
	return icnt;
}

//End Assessment High Level API