﻿// ©  Copyright IBM Corp. 1998 - 2003 All Rights Reserved

// Begin Global Variables

var m_coursemap;
var openImg = new Image();
var closedImg = new Image();
var oCourseMap = new Object();
var aGlossary = new Array();
var aSwapImages = new Array();
oCourseMap.sOpenFolder =  "media/core/images/open.gif";
oCourseMap.sClosedFolder =  "media/core/images/closed.gif";
oCourseMap.sInstructions= "The Course Map is a map of your entire course structure. Click on a folder to expand that node in the hierarchy. Events in the course can be navigated to by clicking on the name of the event that is underlined.";
oCourseMap.sEventIcon= "media/core/images/doc.gif";
oCourseMap.sHighliteEventIcon= "media/core/images/doc_h.gif";
oCourseMap.sCurrentNode="";
oCourseMap.nVerticalSpacing = "";
oCourseMap.nIndentSpacing = "margin-left: 16px;";


// Begin Global Variables

// Begin Page Status High Level API

function GetEventIndex() {
	if (m_sNavigationBehavior != "walk tree"){
		var objNavLink = findNavLink(1,m_lEventID);
		if (objNavLink != null) {
			return parseInt(objNavLink.SEQUENCE);
		} else {
			return -1;
		}
	}else{
		return nTreeNavPos+1;
	}		
}

function GetTotalSiblings() {
	if (m_sNavigationBehavior != "walk tree"){	
		var objNavLink = findNavLink(1,m_lEventID);
		var colNodes = findNavLinks(2,objNavLink.ORGID);
		return colNodes.length;
	}else{
		return arrTreeNav.length;
	}		
}

// End Page Status High Level API

// Begin Course Map High Level API

function BuildHierarchy(bHideEvents){

	if (bHideEvents == null){
		bHideEvents = false;
	}
		
	if (m_coursemap == null || m_coursemap.closed) {
		options = 'resizable=yes,scrollbars=yes,left='+(top.screen.width-320-50)+',top='+(top.screen.height-480)/2+',width='+320+',height='+480;
		oHTMLNode = new XHTMLElement("html");
		oHEADNode = new XHTMLElement("head");
		oTITLENode = new XHTMLElement("title");
		oTITLENode.text = "Course Map";
		XHTMLAppendChild(oHEADNode,oTITLENode);
		oSCRIPTNode = new XHTMLElement("script");
		oSCRIPTNode.text = "var CP = opener.parent.engine;";
		XHTMLAppendChild(oHEADNode,oSCRIPTNode);
		oSTYLENode = new XHTMLElement("style");
		XHTMLCreateAttribute(oSTYLENode,"type","text/css");
		sStyle = "";
		sStyle = sStyle + "body { font: 10pt Verdana,sans-serif; color:navy;}\ntable { font: 10pt Verdana,sans-serif; color:navy;}\n";
		oSTYLENode.text = sStyle;
		XHTMLAppendChild(oHEADNode,oSTYLENode);
		XHTMLAppendChild(oHTMLNode,oHEADNode);
			
		//create the script inline
		oSCRIPTNode = new XHTMLElement("script");
		oSCRIPTNode.text = "CP = opener.parent.engine;";
		oSCRIPTNode.text = "targetwindow = window;";
		XHTMLAppendChild(oHTMLNode,oSCRIPTNode);							
			
		oBODYNode = new XHTMLElement("body");
		oPNode = new XHTMLElement("p");
		oPNode.text = oCourseMap.sInstructions;
		XHTMLAppendChild(oBODYNode,oPNode);
		XHTMLAppendChild(oBODYNode,BuildHierarchyXHTMLNode(bHideEvents));
		XHTMLAppendChild(oHTMLNode,oBODYNode);
		m_coursemap = open('','coursemap',options);
		m_coursemap.document.open();
		m_coursemap.document.write(oHTMLNode.xhtml());
		m_coursemap.document.close();
		CP.m_coursemap = m_coursemap;
		oNavLinkNode = findNavLinks(2,1)[0];
		lDstID = oNavLinkNode.DSTID;
		showBranch("branch2;1;1;" + lDstID,m_coursemap);
		swapFolder("folder2;1;1;" + lDstID,m_coursemap);
	} else {
		m_coursemap.focus();			
	}	
}		

function BuildHierarchyForFrameObject(sFrameListObjectName,targetwindow) {
	if (targetwindow == null){
		targetwindow = parent.content;
	}
	ReplaceWithExpression(sFrameListObjectName,BuildHierarchyXHTMLData(),targetwindow);
	oNavLinkNode = findNavLinks(2,1)[0];
}

function BuildTopicHierarchyForFrameObject(sFrameListObjectName,targetwindow) {
	if (targetwindow == null){
		targetwindow = parent.content;
	}
	ReplaceWithExpression(sFrameListObjectName,BuildHierarchyXHTMLData(true),targetwindow);
	oNavLinkNode = findNavLinks(2,1)[0];
}

function BuildHierarchyXHTMLData(bHideEvents){
	if (bHideEvents == null){
		bHideEvents = false;
	}
	return BuildHierarchyXHTMLNode(bHideEvents).xhtml();
}	

function BuildHierarchyXHTMLNode(bHideEvents) {
	oNode = new XHTMLElement("span");
	traverseLinksForHierarchy(2,1,oNode,bHideEvents);
	return oNode;
}



var m_arrBranch;

function ExpandBranchTraverse(nType,lID){
	

	if (nType==2 && lID==1){
		return;
	}

	var oNavLink = findNavLink(nType,lID);
	var nOrgType = oNavLink.ORGTYPE;
	var lOrgID = oNavLink.ORGID;
	var nDstType = oNavLink.DSTTYPE;
	var lDstID = oNavLink.DSTID;
	arrPush(m_arrBranch,"branch" + nOrgType + ";" + lOrgID + ";" + nDstType + ";" + lDstID);
	ExpandBranchTraverse(nOrgType,lOrgID);
	
	
}

function ExpandBranch(targetwindow){

	if (targetwindow==null){
		targetwindow = parent.content;
	}

	m_arrBranch = new Array();

	var oNavLink = findNavLink(1,m_lEventID);
	var nOrgType = oNavLink.ORGTYPE;
	var lOrgID = oNavLink.ORGID;
	
	ExpandBranchTraverse(nOrgType,lOrgID);
	
	for (i=m_arrBranch.length-1;i>=0;i--){
		showBranch(m_arrBranch[i],targetwindow)

	}
}

function SwapCurrentEventImage(sImg,targetwindow){
	var ImageSwap = new Object();
	
	if (targetwindow==null){
		targetwindow = parent.content;
	}
	if (targetwindow.document.getElementById("img_tree_event_" + m_lEventID) == null){
		var oNavLink = findNavLink(1,m_lEventID);
		if (targetwindow.document.getElementById("img_tree_nav_" + oNavLink.ORGID) != null){	
			ImageSwap.window = targetwindow;
			ImageSwap.name = "img_tree_nav_" + oNavLink.ORGID;
			ImageSwap.src=targetwindow.document.getElementById("img_tree_nav_" + oNavLink.ORGID).src;
			targetwindow.document.getElementById("img_tree_nav_" + oNavLink.ORGID).src=m_sContentDir + "/" +sImg;		
			
		}	
	}else{	
		ImageSwap.window = targetwindow;
		ImageSwap.name = "img_tree_event_" + m_lEventID;
		ImageSwap.src=targetwindow.document.getElementById("img_tree_event_" + m_lEventID).src;
		targetwindow.document.getElementById("img_tree_event_" + m_lEventID).src=m_sContentDir + "/" +sImg;
		
	}	
	arrPush(aSwapImages,ImageSwap);
}

function ExpandBranchForCurrentEvent(targetwindow){
	ExpandBranch(targetwindow);
}

function SetCourseHierarchyProperties(sOpenFolder, sClosedFolder, sEventIcon, nIndentSpacing, nVerticalSpacing, sInstructions){
	if (sOpenFolder != null){
		oCourseMap.sOpenFolder =  sOpenFolder;				
	}	
	if (sClosedFolder != null){
		oCourseMap.sClosedFolder =  sClosedFolder;				
	}	
	if (sEventIcon != null){
		oCourseMap.sEventIcon =  sEventIcon;				
	}
	if (sInstructions != null){
		oCourseMap.sInstructions =  sInstructions;				
	}
	if (nIndentSpacing != null){	
		oCourseMap.nIndentSpacing = "margin-left: " + nIndentSpacing + ";";
	}
	if (nVerticalSpacing != null){
		oCourseMap.nVerticalSpacing	= "height: " + nVerticalSpacing + ";";
    }		
}	




// End Course Map High Level API




// Begin Script Include High Level API

function AddScriptInclude(sRelativePath){
	var elemScript = parent.engine.document.createElement("script");
	elemScript.setAttribute("src", sRelativePath);
	parent.engine.document.getElementsByTagName("head").item(0).appendChild(elemScript);
 }

 // End Script Include High Level API
 
// Begin Full URL High Level API

	function BuildFullURL(sPath){
		if (sPath.substring(0,4) == "http" || sPath.substring(0,4) == "file" || sPath.substring(0,3) == "ftp"){
			return sPath;
		}else{
			if (sPath.substring(0,1) == "/"){
				sPath = sPath.substring(1,sPath.length);
			}
			return GetContentFullURL() + "/" + sPath;
		}				
	}	
	function GetContentFullURL(){
		return m_sContentDir;
	}	

// End Full URL High Level API	

// Begin XHTML High Level API	

function XHTMLElement(elementName){
	this.elementName = elementName;
	this.text = "";
	this.childArray = new Array();
	this.appendChild = _appendChild;
	this.attributes = new Array();
	this.setAttribute = _setAttribute;
	this.xhtml = _xhtml;
		
	function _appendChild(oXHTMLElement){
		this.childArray = arrPush(this.childArray,oXHTMLElement);
	}	
	
	function _setAttribute(oXHTMLAttribute){
		this.attributes = arrPush(this.attributes,oXHTMLAttribute);
	}	
	
	function _xhtml(){
		var sstr = "";
		sstr = "<" + this.elementName;
		if (this.attributes.length > 0){
			for (var i=0;i<this.attributes.length;i++){
				sstr = sstr + " " + this.attributes[i].attributeName + "=\"" + this.attributes[i].text + "\"";
			}
		}
		if (this.childArray.length > 0 ){
			sstr = sstr + ">";
			for (var i=0;i<this.childArray.length;i++){
				sstr = sstr + this.childArray[i].xhtml();
			}				
			sstr = sstr + "</" + this.elementName + ">";
		}else{
			if (this.text == ""){
				sstr = sstr + "/>";
			}else{	
				sstr = sstr + ">";
				sstr = sstr + this.text;
				sstr = sstr + "</" + this.elementName + ">";
			}
			
		}
		
		return sstr;
	}	
	
}	

function XHTMLAttribute(attributeName){
	this.attributeName = attributeName;		
	this.text = "";
}

function XHTMLCreateAttribute(oNode,sAttributeName,sAttributeValue){
	oAttr = new XHTMLAttribute(sAttributeName);
	oAttr.text = sAttributeValue;
	oNode.setAttribute(oAttr);
}	

function XHTMLAppendChild(oParentNode,oChildNode){
	oParentNode.appendChild(oChildNode);
}

function AddGlossaryTerm(sTerm, sObj,targetwindow){
	if (targetwindow == null){
		targetwindow = parent.content;
	}
	var oOption = targetwindow.document.createElement("OPTION");
	targetwindow.document.getElementById(sObj).options.add(oOption);
	oOption.innerHTML = sTerm;
	oOption.value = sTerm;
}

function GetTermsAndDefsWithFormat(sFormat){
	var sStr = "";
	var sReturn = "";
	if ((sFormat.indexOf("[Term]") == -1) && (sFormat.indexOf("[Definition]") == -1)){
		return "Invalid Format, format must contain either a [Term] place holder or a [Definition] place holder, or both.";
	}	
	
	for (var i in aGlossary){
		for (var j in aGlossary[i]){
			myString = new String(sFormat);
			while(myString.indexOf("[Term]") > 0){
				sStr = myString.replace("[Term]", aGlossary[i][j].TERM);		
				myString = new String(sStr);
			}
			myString = new String(sStr);
			while(myString.indexOf("[Definition]") > 0){
				sStr = myString.replace("[Definition]", GetDefForTermEX(aGlossary[i][j].TERM));		
				myString = new String(sStr);
			}	
			sReturn = sReturn + sStr;
		}
	}
	return sReturn;
}	

function GetGroupedTermsAndDefsWithFormat(sFormat){
	var sStr = "";
	var sReturn = "";
	if ((sFormat.indexOf("[Term]") == -1) && (sFormat.indexOf("[Definition]") == -1)){
		return "Invalid Format, format must contain either a [Term] place holder or a [Definition] place holder, or both.";
	}	
	
	for (var i in aGlossary){
		sReturn = sReturn + "<a name='" + i + "'>" + i.toUpperCase() + "</a><br/><br/>";
		for (var j in aGlossary[i]){
			myString = new String(sFormat);
			while(myString.indexOf("[Term]") > 0){
				sStr = myString.replace("[Term]", aGlossary[i][j].TERM);		
				myString = new String(sStr);
			}
			myString = new String(sStr);
			while(myString.indexOf("[Definition]") > 0){
				sStr = myString.replace("[Definition]", GetDefForTermEX(aGlossary[i][j].TERM));		
				myString = new String(sStr);
			}	
			sReturn = sReturn + sStr;
		}
	}
	return sReturn;
}	

function GetTermBeginningCharWithFormat(sFormat){
	var sStr = "";
	var sReturn = "";
	if (sFormat.indexOf("[Letter]") == -1){
		return "Invalid Format, format must contain a [Letter] place holder.";
	}	
	
	for (var i in aGlossary){
		myString = new String(sFormat);
		while(myString.indexOf("[Letter]") > 0){
			sStr = myString.replace("[Letter]", i.toUpperCase());		
			myString = new String(sStr);
		}
		sReturn = sReturn + sStr;

	}
	return sReturn;
}	


function GetTermByLetter(sLetter,sTermsObj,sDefObj,targetwindow){
	if (targetwindow == null){
		targetwindow = parent.content;
	}
	var iCnt = 0;
	for (var j in aGlossary[sLetter]){
		AddGlossaryTerm(aGlossary[sLetter][j].TERM, sTermsObj);
		iCnt++;
	}
//	if (iCnt == 1){
		if (sDefObj	!= null){
			if (targetwindow.document.getElementById(sTermsObj).options.length > 0){
				targetwindow.document.getElementById(sTermsObj).options[0].selected = true;
				GetDefForTerm(targetwindow.document.getElementById(sTermsObj).options[0].value,sDefObj);
			}				
		}			
//	}
}

function GetAllTerms(sObj,targetwindow){
	if (targetwindow == null){
		targetwindow = parent.content;
	}
	setTimeout(function(){GetAllTermstoDisplay(sObj,targetwindow)},0);
}

function GetAllTermstoDisplay(sObj,targetwindow){
	for (var i in aGlossary){
		for (var j in aGlossary[i]){
			AddGlossaryTerm(aGlossary[i][j].TERM, sObj, targetwindow);
		}
	}
}

function GetDefForTermEX(sTerm){
	if (sTerm == ""||sTerm==null){
		return "";
	}
	var firstLetter = sTerm.substring(0,1).toUpperCase();
	for (var j in aGlossary[firstLetter]){
		if (aGlossary[firstLetter][j].TERM == sTerm){
			break;
		}
	}
	if (j == null){
	    return "";
	}
return unescape(aGlossary[firstLetter][j].DEFINITION);
}

function GetDefForTerm(sTerm, sObj,targetwindow){
	if (targetwindow == null){
		targetwindow = parent.content;
	}
	if (sTerm == ""||sTerm==null){
		return "";
	}
	CP.SetText(sObj,GetDefForTermEX(sTerm),targetwindow);
}

function SearchTerms(sTextField,sObj,targetwindow){
	if (targetwindow == null){
		targetwindow = parent.content;
	}
	var sTerm = targetwindow.document.getElementById(sTextField).value.toLowerCase();
	var sGlossTerm;
	for (var i in aGlossary){
		for (var j in aGlossary[i]){
			sGlossTerm = aGlossary[i][j].TERM.toLowerCase();	
			if (sGlossTerm.indexOf(sTerm)!=-1){
				AddGlossaryTerm(aGlossary[i][j].TERM,sObj);	
			}
		}
	}
}


	
// End XHTML High Level API	

// Begin non High Level API

function traverseLinksForHierarchy(nOriginType, lOriginID, oNewNode, bHideEvents) {
	var colOrgNodes;
	var colDstNodes;
	var nDstType;
	var lDstID;
	var objEvent;
	var oSPANNode;
	colOrgNodes = findNavLinks(nOriginType,lOriginID);
	for (var i=0; i<colOrgNodes.length; i++) {
		var nOrgType = colOrgNodes[i].ORGTYPE;
		var lOrgID = colOrgNodes[i].ORGID;
		nDstType = colOrgNodes[i].DSTTYPE;
		lDstID = colOrgNodes[i].DSTID;
		var lSeq = colOrgNodes[i].SEQUENCE;
		var sKey = nOrgType + ";" + lOrgID + ";" + nDstType + ";" + lDstID;
		colDstNodes = findNavLinks(nDstType,lDstID);
		if (colDstNodes.length == 0  && bHideEvents == false) {
			if (nDstType==1){
				objEvent = findEvent(lDstID);
				if (convertNull(m_arrEvents[lDstID])!=""){
					if (convertNull(m_arrEvents[lDstID].HIDEINCOURSEMAP) != "True"){
						createTreeLeaf(oNewNode,objEvent,sKey,lDstID);
					}else{
						createEmptyLeaf(oNewNode);
					}	
				}				
			}else if (nDstType == 2) {
	            oNavNode = findNav(lDstID);
	            if (convertNull(m_arrNavs[lDstID])!=""){
		            if (convertNull(m_arrNavs[lDstID].HIDEINCOURSEMAP) != "True"){
						createTreeLeaf(oNewNode,oNavNode,sKey,"");
					}else{
						createEmptyLeaf(oNewNode);
					}
				}					
			}
							
		} else if(colDstNodes.length > 0){
			
			if (nDstType == 1) {
	            objEvent = findEvent(lDstID);
	            if (convertNull(m_arrEvents[lDstID])!=""){
		            if (convertNull(m_arrEvents[lDstID].HIDEINCOURSEMAP) != "True"){
						oSPANNode = createTreeFolder(oNewNode,objEvent,sKey,lDstID,1);
						traverseLinksForHierarchy(nDstType, lDstID, oSPANNode, bHideEvents);
					}else{
						createEmptyLeaf(oNewNode);
					}
				}						
			} else if (nDstType == 2) {
	            oNavNode = findNav(lDstID);
	            if (convertNull(m_arrNavs[lDstID])!=""){
		            if (convertNull(m_arrNavs[lDstID].HIDEINCOURSEMAP) != "True"){
						if (bHideEvents == false){
							oSPANNode = createTreeFolder(oNewNode,oNavNode,sKey,lDstID,2);
							traverseLinksForHierarchy(nDstType, lDstID, oSPANNode,bHideEvents);
						}else{
							arrLinks = findNavLinks(2,lDstID);
							var bMakeFolder = false;
							for (var k=0;k<arrLinks.length;k++){
								if (findNavLinks(1,arrLinks[k].DSTID).length > 0){
									bMakeFolder = true;
								}		
							}	
							templDstID = findNavLinkWithOrgAndSeq(nDstType,lDstID,1).DSTID;
							if (bMakeFolder == false){
								createTreeLeaf(oNewNode,oNavNode,sKey,templDstID,2);
							}else{
								if (findNavLinks(1,templDstID) != null){
									oSPANNode = createTreeFolder(oNewNode,oNavNode,sKey,templDstID,1);
								}else{	
									oSPANNode = createTreeFolder(oNewNode,oNavNode,sKey,lDstID,1);
								}
								traverseLinksForHierarchy(nDstType, lDstID, oSPANNode,bHideEvents);
							}	
						}
					}else{
						createEmptyLeaf(oNewNode);
					}
				}					
			}
		}
	}
}

function createEmptyLeaf(oNewNode) {
		var oSPANNode;
		oSPANNode = new XHTMLElement("DIV");
		XHTMLAppendChild(oNewNode,oSPANNode);
	}



	function createTreeLeaf(oNewNode,oNode,sKey,lDstID,lType) {
		var oSPANNode;
		var oDIVNode;
		var oIMGNode;
		var oANode;
		var oBRNode;
		var oTable;
		var oTR;
		var oTD;
		
		oSPANNode = new XHTMLElement("DIV");
		XHTMLCreateAttribute(oSPANNode,"style",oCourseMap.nVerticalSpacing);
		oTable = new XHTMLElement("table");
		oTR = new XHTMLElement("tr");
		oTD = new XHTMLElement("td");
		oIMGNode = new XHTMLElement("img");
		if (lType == 2){
			XHTMLCreateAttribute(oIMGNode,"id","img_tree_nav_"+findNavLink(1,lDstID).ORGID);
		}else{	
			XHTMLCreateAttribute(oIMGNode,"id","img_tree_event_"+lDstID);
		}			
		XHTMLCreateAttribute(oIMGNode,"src",m_sContentDir + "/" + oCourseMap.sEventIcon);
		XHTMLCreateAttribute(oIMGNode,"border","0");
		XHTMLCreateAttribute(oIMGNode,"onClick","CP.GotoEvent(" + lDstID + ");return false;");
		XHTMLAppendChild(oTD,oIMGNode);
		XHTMLAppendChild(oTR,oTD);
		oTD = new XHTMLElement("td");
		oANode = new XHTMLElement("a");
		XHTMLCreateAttribute(oANode,"href","#");
		XHTMLCreateAttribute(oANode,"onClick","CP.GotoEvent(" + lDstID + ");return false;");
		if (lType==2){
			oANode.text = oNode.ALIASNAME;
		}else{
			if (oNode.ALIASNAME != null){
				oANode.text = oNode.ALIASNAME;
			}else{	
				oANode.text = oNode.NAME;
			}	
		}	
		//XHTMLAppendChild(oSPANNode,oIMGNode);
		//XHTMLAppendChild(oSPANNode,oANode);					
		XHTMLAppendChild(oTD,oANode);					
		XHTMLAppendChild(oTR,oTD);
		XHTMLAppendChild(oTable,oTR);
		XHTMLAppendChild(oSPANNode,oTable);					
		//oBRNode = new XHTMLElement("br");
		//XHTMLAppendChild(oSPANNode,oBRNode);
		XHTMLAppendChild(oNewNode,oSPANNode);
	}

	function createTreeFolder(oNewNode,oNode,sKey,lDstID,nType) {
		var oSPANNode;
		var oIMGNode;
		var oANode;
		var oBRNode;
		var oTable;
		var oTR;
		var oTD;
		
		oSPANNode = new XHTMLElement("DIV");
		XHTMLCreateAttribute(oSPANNode,"style","cursor: pointer; cursor: hand; " + oCourseMap.nVerticalSpacing);
		oTable = new XHTMLElement("table");
		oTR = new XHTMLElement("tr");
		oTD = new XHTMLElement("td");
		oIMGNode = new XHTMLElement("img");
		XHTMLCreateAttribute(oIMGNode,"src",m_sContentDir + "/" + oCourseMap.sClosedFolder);
		XHTMLCreateAttribute(oIMGNode,"border","0");
		XHTMLCreateAttribute(oIMGNode,"id","folder" + sKey);
		XHTMLCreateAttribute(oIMGNode,"onclick","CP.showBranch('branch" + sKey + "',window);CP.swapFolder('folder" + sKey + "',window);return false;");
		//XHTMLAppendChild(oSPANNode,oIMGNode);
		XHTMLAppendChild(oTD,oIMGNode);
		XHTMLAppendChild(oTR,oTD);
		oTD = new XHTMLElement("td");
		if (nType == 1) {
			oANode = new XHTMLElement("a");
			XHTMLCreateAttribute(oANode,"href","#");
			XHTMLCreateAttribute(oANode,"onClick","CP.GotoEvent(" + lDstID + ");return false;");
			if (oNode.ALIASNAME != null){
				oANode.text = oNode.ALIASNAME;
			}else{
				oANode.text = oNode.NAME;
			}	
			//XHTMLAppendChild(oSPANNode,oANode);					
			XHTMLAppendChild(oTD,oANode);
			XHTMLAppendChild(oTR,oTD);
		} else {
			templDstID = findNavLinkWithOrgAndSeq(nType,lDstID,1).DSTID;	
/*			oANode = new XHTMLElement("span");
			oANode.text = oNode.ALIASNAME;
			//XHTMLAppendChild(oSPANNode,oANode);
			XHTMLAppendChild(oTD,oANode);
			XHTMLAppendChild(oTR,oTD);
*/			
			oANode = new XHTMLElement("a");
			XHTMLCreateAttribute(oANode,"href","#");
			XHTMLCreateAttribute(oANode,"onClick","CP.GotoEvent(" + templDstID + ");return false;");
			if (oNode.ALIASNAME != null){
				oANode.text = oNode.ALIASNAME;
			}else{
				oANode.text = oNode.NAME;
			}	
			XHTMLAppendChild(oTD,oANode);
			XHTMLAppendChild(oTR,oTD);
		}
		//oBRNode = new XHTMLElement("br");
		//XHTMLAppendChild(oSPANNode,oBRNode);
		XHTMLAppendChild(oTable,oTR);
		XHTMLAppendChild(oSPANNode,oTable);
		XHTMLAppendChild(oNewNode,oSPANNode);
		oSPANNode = new XHTMLElement("span");
		XHTMLCreateAttribute(oSPANNode,"style","display: none; " + oCourseMap.nIndentSpacing);
		XHTMLCreateAttribute(oSPANNode,"id","branch" + sKey);
		XHTMLAppendChild(oNewNode,oSPANNode);

		return oSPANNode;
	}


	function showBranch(branch,targetwindow){
		if (branch == ""){return}
		if (targetwindow == null){
			targetwindow = parent.content;
		}
		if (targetwindow.document.getElementById(branch) != null){
			var objBranch = targetwindow.document.getElementById(branch).style;
		
			if(objBranch.display=="block")
				objBranch.display="none";
			else
				objBranch.display="block";
		}		
	}

	function swapFolder(img,targetwindow){
		if (targetwindow == null){
			targetwindow = parent.content;
		}
		if (targetwindow.document.getElementById(img) != null){
			objImg = targetwindow.document.getElementById(img);
			if(objImg.src.indexOf(oCourseMap.sClosedFolder)>-1)
				objImg.src = m_sContentDir + "/" + oCourseMap.sOpenFolder;
			else
				objImg.src = m_sContentDir + "/" + oCourseMap.sClosedFolder;
		}				
	}
	
function Search(sSearchTermObject,sSearchResultObject,sSearchTypeGroup,sResultMultipleCaption,sResultSingleCaption,sResultNotFound){
	SearchDB(sSearchTermObject,sSearchResultObject,sSearchTypeGroup,sResultMultipleCaption,sResultSingleCaption,sResultNotFound);
}
// End non High Level API		
