﻿// ©  Copyright IBM Corp. 1998 - 2004 All Rights Reserved

// Begin Objectives highlevel API

function GetOverallObjective(){
	return m_sTerminalObjective;
}

function GetAllSubObjectivesNames(){
	var sReturn = "";
	if (m_arrObjectives == null){
	  alert("No objectives defined");
	  return;
	}
	for (var i in m_arrObjectives){
		sReturn = sReturn + "|" + convertNull(m_arrObjectives[i].ID);
	}	
	sReturn = sReturn.substring(1,sReturn.length);
return sReturn;
}


function GetAllSubObjectivesDesc(){
	var sReturn = "";
	if (m_arrObjectives == null){
	  alert("No objectives defined");
	  return;
	}
	for (var i in m_arrObjectives){
		sReturn = sReturn + "|" + convertNull(m_arrObjectives[i].DESCRIPTION);
	}	
	sReturn = sReturn.substring(1,sReturn.length);
	return sReturn;
}

function GetSubObjectiveDesc(sObjID){
	sReturn = "";
	if (m_arrObjectives[sObjID] != null){
		sReturn = convertNull(m_arrObjectives[sObjID].DESCRIPTION);
	}		
	return sReturn;
}

function GetAllSubObjectivesNameAndDesc(){
	var sReturn = "";
	for (var i in m_arrObjectives){
		sReturn = sReturn + "|" + convertNull(m_arrObjectives[i].ID) + " - " +  convertNull(m_arrObjectives[i].DESCRIPTION);
	}	
	sReturn = sReturn.substring(1,sReturn.length);
	return sReturn;

}

function GetStatusForObjective(sID){
	if (m_arrObjectives[sID] == null){	
		alert("function GetStatusForObjective: The objective '" + sID + "' was not found.");
	return;
	}
	var sVisited = "completed";
	var sScore = "passed";
	
	if (String(m_arrObjectives[sID].MET) == "optVisited"){  
		sVisited = GetStatusForObjectiveVisited(sID);
		return sVisited;
	}else if (String(m_arrObjectives[sID].MET) == "optScored"){
		sScore = GetStatusForObjectiveScored(sID);
		return sScore;
	}else if (String(m_arrObjectives[sID].MET) == "optBoth"){    
		sVisited = GetStatusForObjectiveVisited(sID);
		sScore = GetStatusForObjectiveScored(sID);
		if (sScore == "passed"){
			return sScore;
		}else if (sVisited == "completed"){
			return sVisited;
		}else if(sScore == "failed") {	
			return sScore;
		}else{	
			return sVisited;		
		}	
	}
}

function GetStatusForObjectiveVisited(sID){
	for (var i=0;i<m_arrObjectives[sID].EVENTS.length;i++){ 
		if (convertNull(m_arrEvents[m_arrObjectives[sID].EVENTS[i]].VISITED).toLowerCase() != "true"){
			return "incomplete"  
		}
	}
	return "completed"  
}

function GetStatusForObjectiveScored(sID){
	sAssessment = m_arrObjectives[sID].ASSESSMENTS;   
	sAssessArray = sAssessment.split("^,^");     
	for (var i=1;i<sAssessArray.length;i++){    
		if(GetAssessmentPassFail(sAssessArray[i],true,false) != "P"){
			return "failed";
		}
	}
	return "passed";
}	

function ReportObjectiveStatusFromAssessment(sAssessID){
	var sObjID = getObjectiveIDForAssessment(sAssessID);
	if (sObjID != ""){
	  ReportObjectiveStatus(sObjID)	
	}
}

function ReportObjectiveStatus(sObjID){
	if (m_sTracking=="scorm" || m_sTracking=="HACP"){
		if (sObjID != ""){
		  lmsReportObjStatus(sObjID);		
		}
	}		
}

// End Objectives highlevel API

// Begin Objectives non highlevel API

function loadAllObjectives(){
  for (var i in m_arrEvents){
    if (m_arrEvents[i].OBJECTIVEID != null) {
      if (m_arrEvents[i].OBJECTIVEID != ""){
        oObjectiveID = m_arrEvents[i].OBJECTIVEID;
        if (oObjectiveID.indexOf("|") != -1){
          oArrayObjID = oObjectiveID.split("|");
        }else{
          oArrayObjID = new Array();
          oArrayObjID[0] = oObjectiveID;
        } 
        for (var j=0;j<oArrayObjID.length;j++){
          if (m_arrObjectives[oArrayObjID[j]] != null){	
          	m_arrObjectives[oArrayObjID[j]].EVENTS = arrPush(m_arrObjectives[oArrayObjID[j]].EVENTS, m_arrEvents[i].ID);	
		  }	          	
        }        
      }
    }      
  }    
}

	  	