﻿function CGlossary(targetwindow) {
	//-------------property declaration-----------------//
	if(targetwindow == null) {
		this.windowTarget							=	parent.content;
	} else {
		this.windowTarget							=	targetwindow;
	}


	//-------------method declaration-----------------//
	this.addGlossaryTerm									=	_addGlossaryTerm;
	this.getTermsAndDefsWithFormat				=	_getTermsAndDefsWithFormat;
	this.getGroupedTermsAndDefsWithFormat	=	_getGroupedTermsAndDefsWithFormat;
	this.getTermBeginningCharWithFormat		=	_getTermBeginningCharWithFormat;
	this.getTermByLetter									=	_getTermByLetter;
	this.getAllTerms											=	_getAllTerms;
	this.getAllTermstoDisplay							=	_getAllTermstoDisplay;
	this.getDefForTermEX									=	_getDefForTermEX;
	this.getDefForTerm										=	_getDefForTerm;
	this.searchTerms											=	_searchTerms;
	
	
	//-------------method definition-----------------//	
	function _addGlossaryTerm(sTerm, sObj) {
		var oOption = this.windowTarget.document.createElement("OPTION");
		this.windowTarget.document.getElementById(sObj).options.add(oOption);
		oOption.innerHTML = sTerm;
		oOption.value = sTerm;
	}
	
	function _getTermsAndDefsWithFormat(sFormat) {
		var sStr = "";
		var sReturn = "";
		if ((sFormat.indexOf("[Term]") == -1) && (sFormat.indexOf("[Definition]") == -1)){
			return "Invalid Format, format must contain either a [Term] place holder or a [Definition] place holder, or both.";
		}	
		
		for (var i in aGlossary) {
			for (var j in aGlossary[i]) {
				myString = new String(sFormat);
				while(myString.indexOf("[Term]") > 0) {
					sStr = myString.replace("[Term]", aGlossary[i][j].TERM);		
					myString = new String(sStr);
				}
				myString = new String(sStr);
				while(myString.indexOf("[Definition]") > 0){
					sStr = myString.replace("[Definition]", this.getDefForTermEX(aGlossary[i][j].TERM));		
					myString = new String(sStr);
				}	
				sReturn = sReturn + sStr;
			}
		}
		return sReturn;
	}	
	
	function _getGroupedTermsAndDefsWithFormat(sFormat) {
		var sStr = "";
		var sReturn = "";
		if ((sFormat.indexOf("[Term]") == -1) && (sFormat.indexOf("[Definition]") == -1)){
			return "Invalid Format, format must contain either a [Term] place holder or a [Definition] place holder, or both.";
		}	
		
		for (var i in aGlossary){
			sReturn = sReturn + "<a name='" + i + "'>" + i.toUpperCase() + "</a><br/><br/>";
			for (var j in aGlossary[i]){
				myString = new String(sFormat);
				while(myString.indexOf("[Term]") > 0){
					sStr = myString.replace("[Term]", aGlossary[i][j].TERM);		
					myString = new String(sStr);
				}
				myString = new String(sStr);
				while(myString.indexOf("[Definition]") > 0){
					sStr = myString.replace("[Definition]", _getDefForTermEX(aGlossary[i][j].TERM));		
					myString = new String(sStr);
				}	
				sReturn = sReturn + sStr;
			}
		}
		return sReturn;
	}	
	
	function _getTermBeginningCharWithFormat(sFormat){
		var sStr = "";
		var sReturn = "";
		if (sFormat.indexOf("[Letter]") == -1){
			return "Invalid Format, format must contain a [Letter] place holder.";
		}	
		
		for (var i in aGlossary){
			myString = new String(sFormat);
			while(myString.indexOf("[Letter]") > 0){
				sStr = myString.replace("[Letter]", i.toUpperCase());		
				myString = new String(sStr);
			}
			sReturn = sReturn + sStr;
	
		}
		return sReturn;
	}	
	
	
	function _getTermByLetter(sLetter,sTermsObj,sDefObj){  
		var iCnt = 0;
		for (var j in aGlossary[sLetter]){  
			this.addGlossaryTerm(aGlossary[sLetter][j].TERM, sTermsObj);
			iCnt++;
		}
		
		if (sDefObj	!= null){  
			if (this.windowTarget.document.getElementById(sTermsObj).options.length > 0){   
				this.windowTarget.document.getElementById(sTermsObj).options[0].selected = true; 
				this.getDefForTerm(this.windowTarget.document.getElementById(sTermsObj).options[0].value,sDefObj);  
			}				
		}			
	}
	
	function _getAllTerms(sObj) {
		setTimeout(function(){new CGlossary(this.windowTarget).getAllTermstoDisplay(sObj)},0);
	}
	
	function _getAllTermstoDisplay(sObj) {
		for (var i in aGlossary){
			for (var j in aGlossary[i]){
				this.addGlossaryTerm(aGlossary[i][j].TERM, sObj);
			}
		}
	}
	
	function _getDefForTermEX(sTerm){
		if (sTerm == ""||sTerm==null){
			return "";
		}
		var firstLetter = sTerm.substring(0,1).toUpperCase();
		for (var j in aGlossary[firstLetter]){
			if (aGlossary[firstLetter][j].TERM == sTerm){
				break;
			}
		}
		if (j == null){
		    return "";
		}
	return unescape(aGlossary[firstLetter][j].DEFINITION);
	}	
	
	function _getDefForTerm(sTerm, sObj,targetwindow){
		if (targetwindow == null){
			targetwindow = parent.content;
		}
		if (sTerm == ""||sTerm==null){
			return "";
		}
		var objText = new CText(sObj,this.windowTarget);
		objText.setText(this.getDefForTermEX(sTerm));
	}
	
	function _searchTerms(sTextField,sObj){
		var sTerm = this.windowTarget.document.getElementById(sTextField).value.toLowerCase();
		var sGlossTerm;
		for (var i in aGlossary){
			for (var j in aGlossary[i]){
				sGlossTerm = aGlossary[i][j].TERM.toLowerCase();	
				if (sGlossTerm.indexOf(sTerm)!=-1){
					this.addGlossaryTerm(aGlossary[i][j].TERM,sObj);	
				}
			}
		}
	}

}		// class