﻿function CLayer(sLayerName,targetwindow) {
	//-------------property declaration-----------------//
	this.layerName							=	sLayerName;
	
	if(targetwindow == null) {
		this.windowTarget							=	parent.content;
	} else {
		this.windowTarget							=	targetwindow;
	}
	
	if(sLayerName != null && this.windowTarget.arrCPLayers[this.layerName] != null) {
		this.index									=	this.windowTarget.arrCPLayers[this.layerName].INDEX;
		this.next										=	this.windowTarget.arrCPLayers[this.layerName].NEXT;
		this.previous								=	this.windowTarget.arrCPLayers[this.layerName].PREVIOUS;
		this.frameObjects						=	this.windowTarget.arrCPLayers[this.layerName].OBJECTS;
	}	
	

	//-------------method declaration-----------------//
	this.getIndex								=	_getIndex;
	this.getNext								=	_getNext;
	this.getPrevious						=	_getPrevious;
	this.getObjects							=	_getObjects;
	this.getObjectTokens				=	_getObjectTokens;
	
	this.showLayer									=	_showLayer;
	this.hideLayer									=	_hideLayer;
	this.showCascadingLayer					=	_showCascadingLayer;
	this.hideCascadingLayer					=	_hideCascadingLayer;

	// new
	this.getPositionAndSizeForLayer				=	_getPositionAndSizeForLayer;
	this.showLayerWithExcludeFrameList		=	_showLayerWithExcludeFrameList;
		
	//-------------method definition-----------------//
	function _getIndex() {
		return this.index;
	}

	function _getNext() {
		if(this.next == "") {
			//return "since this is the last layer, there is no next layer exists!!";
		}
		else {
			return this.next;
		}
	}
	
	function _getPrevious() {
		if(this.previous == "") {
			//return "since this is the first layer, there is no previous layer exists!!";
		}
		else {
			return this.previous;
		}
	}
	
	
	function _getObjects() {
		var obj;
		var sFrameListObjects = "";
		
		for (obj in this.frameObjects){
			if (obj != ""){	
				sFrameListObjects = sFrameListObjects + ";" + obj;
			}	
		}		
		sFrameListObjects = sFrameListObjects.substring(1);
		return sFrameListObjects;		
	}
	
	
	function _getObjectTokens() {
		var obj;
		var objectList = new Array();
		var cnt = 0;
		
		for (obj in this.frameObjects){
			if (obj != ""){	
				objectList[cnt++] = obj;
			}	
		}		
		return objectList;				
	}
	
	
	function _showLayer() {
		var obj;
		if (this.windowTarget.arrCPLayers[this.layerName] == null){
			return;
		}		
		
		for (obj in this.windowTarget.arrCPLayers[this.layerName].OBJECTS){
			if (obj != "") {
				var oEvent = new CEvent(m_lEventID,this.windowTarget);
				oEvent.getFrameObject(obj).setVisibility('visible');
			}	
		}
		m_sLayerName = this.layerName;	
	}

		
	function _hideLayer(bUseDelta){
		var obj;
		
		if (bUseDelta == null) {
			bUseDelta = false;
		}
		
		if (this.windowTarget.arrCPLayers[this.layerName] == null){
			return;
		}
		
		for (obj in this.windowTarget.arrCPLayers[this.layerName].OBJECTS){
			if (obj != "") {
				if (this.windowTarget.arrContent[obj].DELTA != null && bUseDelta) {
					if (this.windowTarget.arrContent[obj].DELTA.toLowerCase() == "true") {
					} else {
						var oEvent = new CEvent(m_lEventID,this.windowTarget);
						oEvent.getFrameObject(obj).setVisibility('hidden');
					}
				} else {	
					var oEvent = new CEvent(m_lEventID,this.windowTarget);
					oEvent.getFrameObject(obj).setVisibility('hidden');
				}	
			}	
		}	
	}
	
	
	
	function _showCascadingLayer() {
		var sName = this.layerName;
		while (sName.indexOf("_")  != -1) {
			var objLayer = new CLayer(sName);
			objLayer.showLayer();
			sName = sName.substring(0,sName.lastIndexOf("_"));
		}
		var objLayer = new CLayer(sName);
		objLayer.showLayer();
	}
	
	
	function _hideCascadingLayer() {
		var sName = this.layerName;
		while (sName.indexOf("_")  != -1){
			var objLayer = new CLayer(sName);
			objLayer.hideLayer();			
			sName = sName.substring(0,sName.lastIndexOf("_"));
		}
		var objLayer = new CLayer(sName);
		objLayer.hideLayer();			
	}

	function _getPositionAndSizeForLayer() {
	  var obj;
	  var objPosAndSize;
	  var objPosAndSizeForLayer = new Object();
	  var nMinTop;
	  var nMinLeft;
	  var nMaxBottom;
	  var nMaxRight;
	  var bFirstOne = true;
	  
	  var arrObject = this.getObjectTokens();
	  
	  for (var i=0; i<arrObject.length; i++) {
	    if (arrObject[i] != "") {	
	    	var objFrmObj = new CFrameObject(arrObject[i], this.windowTarget);
	      objPosAndSize = objFrmObj.getPositionAndSize();
	      if (bFirstOne) {
	        nMinTop = objPosAndSize.top;
	        nMinLeft = objPosAndSize.left;
	        nMaxBottom = objPosAndSize.top+objPosAndSize.height;
	        nMaxRight = objPosAndSize.left+objPosAndSize.width;
	        bFirstOne = false;
	      } else {
	        if (objPosAndSize.top < nMinTop) {
	          nMinTop = objPosAndSize.top;
	        }
	        if (objPosAndSize.left < nMinLeft) {
	          nMinLeft = objPosAndSize.left;
	        }  
	        if ((objPosAndSize.top + objPosAndSize.height) > nMaxBottom) {
	          nMaxBottom = (objPosAndSize.top + objPosAndSize.height);
	        }
	        if ((objPosAndSize.left + objPosAndSize.width) > nMaxRight) {
	          nMaxRight = (objPosAndSize.left + objPosAndSize.width);
	        }
	      }
	    }	
	  }		
	  
	  objPosAndSizeForLayer.top = nMinTop;
	  objPosAndSizeForLayer.left = nMinLeft;
	  objPosAndSizeForLayer.height = nMaxBottom - nMinTop;
	  objPosAndSizeForLayer.width = nMaxRight - nMinLeft;
	
	  return objPosAndSizeForLayer;
	}
	
	
//new 
	function _showLayerWithExcludeFrameList(sFrameList) {  
	  if (sFrameList == null) {
	    sFrameList = "";
	  } else {
	  	sFrameList += ";";
	  }
	  
	  var obj;
	  if (this.windowTarget.arrCPLayers[this.layerName] == null){
	    return;
	  }		
	
	  var nInExclude;
	  for (obj in this.frameObjects){
	    if (obj != "") {
	      nInExclude = sFrameList.indexOf(obj + ";");
	      if (nInExclude==-1) {
	        new CFrameObject(obj,this.windowTarget).setVisibility('visible');
	      }    
	    }	
	  }
	  m_sLayerName = sLayerName;	
	}
	
	
	//--------------------------------------------------------//
	
}		//class