<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<!-- <xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:exsl="urn:schemas-microsoft-com:xslt"
                extension-element-prefixes="exsl"
                version="1.0"> -->
	<!-- had to use an extension functon...different for different processor...this is the Microsoft way -->
	<!-- SAXON way: http://exslt.org/common -->
	<!-- XALAN way: http://xml.apache.org/xalan -->
	<!--<xsl:import href="cpstoryboard.xsl"/>-->
	<xsl:output method="text"/>
	<xsl:param name="cplibdir" select="'file:///c:/CP3/CP3Install/Bin/Library'"/>
	<xsl:param name="sco" select="'core\default'"/>
	<xsl:param name="eventid" select="'2'"/>
	<xsl:param name="framenum" select="'1'"/>
	<xsl:param name="multipubrel" select="'false'"/>
	<!--<xsl:param name="aliasid"/>-->
	<!--	<xsl:param name="mergescocontent" select="''"/>
	<xsl:param name="mergeframelist" select="''"/>
	<xsl:param name="mergelayout" select="''"/>
-->
	<!--<xsl:param name="storyboardmode" select="'false'"/>-->
	<xsl:param name="showborders" select="'false'"/>
	<xsl:param name="showactions" select="'false'"/>
	<xsl:param name="cp1borderfix" select="'false'"/>
	<xsl:param name="fontstylecss" select="'fontstyles.css'"/>
	<xsl:param name="borderstylecss" select="'borderstyles.css'"/>
	<xsl:param name="encoding" select="UTF-8"/>
	<xsl:param name="mergeopacity"/>
	<xsl:param name="outputdir" select="''"/>
	<xsl:param name="enginedir" select="'.'"/>
	<xsl:param name="contentdir" select="'.'"/>
	<!-- Adding noframe property to publish content without all of the javascript code -->
	<!-- potentially could include CP .js file in the noframe html page -->
	<xsl:param name="noframe" select="'false'"/>
	<xsl:variable name="newline">
		<xsl:text>&#13;</xsl:text>
	</xsl:variable>
	<xsl:variable name="currentevent" select="/SCO/EVENTS/*[@ID=$eventid]"/>
	<xsl:variable name="scocontent" select="concat($sco,'/',$eventid)"/>
	<xsl:variable name="framelist" select="/SCO/EVENTS/*[@ID=$eventid]/@FRAMELISTREF"/>
	<xsl:variable name="layout" select="/SCO/EVENTS/*[@ID=$eventid]/@LAYOUTREF"/>
	<xsl:variable name="cpscosdir" select="concat($cplibdir,'/scos/')"/>
	<xsl:variable name="cpscocontentsdir" select="concat($cplibdir,'/scocontents/')"/>
	<xsl:variable name="cplayoutsdir" select="concat($cplibdir,'/layouts/')"/>
	<xsl:variable name="cpframelistsdir" select="concat($cplibdir,'/framelists/')"/>
	<xsl:variable name="cpfontstylesdir" select="concat($cplibdir,'/fontstyles/')"/>
	<xsl:variable name="cpborderstylesdir" select="concat($cplibdir,'/borderstyles/')"/>
	<xsl:variable name="cpscopath" select="translate(concat($cpscosdir,$sco,'.xml'),'\','/')"/>
	<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$scocontent,'.xml'),'\','/')"/>
	<xsl:variable name="cpframelistpath" select="translate(concat($cpframelistsdir,$framelist,'.xml'),'\','/')"/>
	<xsl:variable name="cplayoutpath" select="translate(concat($cplayoutsdir,$layout,'.xml'),'\','/')"/>
	<!-- added by kp -->
	<xsl:variable name="cpinlinestylesdir" select="concat($cplibdir,'/inlinestyles/')"/>
	<xsl:variable name="quotes">"</xsl:variable>
	<!--	<xsl:variable name="cpmergescocontentpath">
		<xsl:if test="not($mergescocontent='')">
			<xsl:value-of select="translate(concat($cpscocontentsdir,$mergescocontent,'.xml'),'\','/')"/>
		</xsl:if>
	</xsl:variable>
	<xsl:variable name="cpmergeframelistpath">
		<xsl:if test="not($mergeframelist='')">
			<xsl:value-of select="translate(concat($cpframelistsdir,$mergeframelist,'.xml'),'\','/')"/>
		</xsl:if>
	</xsl:variable>
	<xsl:variable name="cpmergelayoutpath">
		<xsl:if test="not($mergelayout='')">
			<xsl:value-of select="translate(concat($cplayoutsdir,$mergelayout,'.xml'),'\','/')"/>
		</xsl:if>
	</xsl:variable>
-->
	<!-- If ever want to merge just be Event ID
		<xsl:param name="mergeeventid"/>
		
		<xsl:variable name="mergescocontent" select="concat($sco,'\',$mergeeventid)"/>
		<xsl:variable name="mergeframelist" select="/SCO/EVENTS/*[@ID=$mergeeventid]/@FRAMELISTREF"/>
		<xsl:variable name="mergelayout" select="/SCO/EVENTS/*[@ID=$mergeeventid]/@LAYOUTREF"/>
	-->
	<xsl:variable name="objSCO" select="document(translate($cpscopath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCO"/>
	<xsl:variable name="objSCOContent" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT"/>
	<xsl:variable name="objFramelist" select="document(translate($cpframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/FRAMELIST"/>
	<xsl:variable name="objLayout" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT"/>
	<!--<xsl:variable name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
	<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
	<xsl:variable name="objMergeLayout" select="document(string(translate($cpmergelayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/LAYOUT"/>
-->
	<xsl:variable name="newenginedir" select="translate($enginedir,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
	<xsl:variable name="newcontentdir" select="translate($contentdir,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
	<xsl:variable name="enginepath" select="concat($newenginedir,'/')"/>
	<xsl:variable name="contentpath" select="concat($newcontentdir,'/')"/>
	<xsl:variable name="mediaPath" select="concat($contentpath,'media/')"/>
	<!-- Starting point on template -->
	<xsl:template match="/">
		<xsl:variable name="singleQuote">'</xsl:variable>
		<!--<xsl:text disable-output-escaping="yes">&lt;?xml version="1.0"?&gt;</xsl:text>-->
		<xsl:text disable-output-escaping="yes">&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"&gt;</xsl:text>
		<!-- <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"&gt;</xsl:text> -->
		<!-- <xsl:text disable-output-escaping="yes">&lt;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"&gt;</xsl:text> -->
		<xsl:value-of select="$newline"/>
    <xsl:text disable-output-escaping="yes">&lt;html xmlns="http://www.w3.org/1999/xhtml" "XMLNS:CPPROCESS" </xsl:text>
    <xsl:variable name="lang">
    <xsl:choose>
      <xsl:when test="$currentevent/@HTMLLANG!=''">
        <xsl:value-of select="$currentevent/@HTMLLANG"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="/SCO/CURRENT/@HTMLLANG"/>
      </xsl:otherwise>
    </xsl:choose>
    </xsl:variable>
    <xsl:text>lang="</xsl:text><xsl:value-of select="$lang"/>
    <xsl:text disable-output-escaping="yes">" xml:lang="</xsl:text><xsl:value-of select="$lang"/>
    <xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text disable-output-escaping="yes">	&lt;head&gt;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text disable-output-escaping="yes">		&lt;title&gt;</xsl:text>
		<xsl:value-of disable-output-escaping="yes" select="/SCO/CURRENT/@CONTENTTITLE"/>
		<xsl:text disable-output-escaping="yes">&lt;/title&gt;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:choose>
			<xsl:when test="not($encoding='')">
				<xsl:text disable-output-escaping="yes">		&lt;meta http-equiv="Content-Type" content="text/html; charset=</xsl:text>
				<xsl:value-of select="$encoding"/>
				<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>
				<xsl:value-of select="$newline"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text disable-output-escaping="yes">		&lt;meta http-equiv="Content-Type" content="text/html"/&gt;</xsl:text>
				<xsl:value-of select="$newline"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">		&lt;meta http-equiv="imagetoolbar" content="no"/&gt;</xsl:text>
		<xsl:value-of select="$newline"/>
		<!-- Transition on enter -->
		<xsl:call-template name="createTransitionEnter"/>
		<!-- Transition on exit -->
		<!-- <xsl:call-template name="createTransitionExit"/> -->
		<xsl:text disable-output-escaping="yes">		&lt;link rel="stylesheet" href="</xsl:text>
		<xsl:value-of select="$fontstylecss"/>
		<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text disable-output-escaping="yes">		&lt;link rel="stylesheet" href="</xsl:text>
		<xsl:value-of select="$borderstylecss"/>
		<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>
		<xsl:value-of select="$newline"/>
		<!-- Advanced functionality to allow the author to link an external stylesheet file -->
		<xsl:if test="/SCO/CURRENT/@LINKSTYLESHEET">
			<xsl:if test="not(/SCO/CURRENT/@LINKSTYLESHEET='')">
				<xsl:text disable-output-escaping="yes">&lt;link rel="stylesheet" href="</xsl:text>
				<xsl:value-of select="$contentpath"/>
				<xsl:value-of select="/SCO/CURRENT/@LINKSTYLESHEET"/>
				<xsl:text disable-output-escaping="yes">"/&gt;</xsl:text>
			</xsl:if>
		</xsl:if>
		<xsl:if test="/SCO/CURRENT/@INCLUDESTYLESECTION">
			<xsl:if test="translate(/SCO/CURRENT/@INCLUDESTYLESECTION,'TRUEFALS','truefals')='true'">
				<xsl:text disable-output-escaping="yes">
		&lt;style type="text/css"&gt;
			</xsl:text>
				<xsl:value-of select="/SCO/CURRENT/@STYLETAGS"/>
				<xsl:text disable-output-escaping="yes">
		&lt;/style&gt;</xsl:text>
			</xsl:if>
		</xsl:if>
		<xsl:choose>
			<xsl:when test="$noframe='true'">


      </xsl:when>
			<xsl:otherwise>
				<xsl:text disable-output-escaping="yes">
		&lt;script language="javascript" type="text/javascript"&gt;</xsl:text>
				<xsl:text>
			var CP = parent.engine;
			var KP = parent.engine;
			
			CP.CurrentEvent = CP.m_arrEvents[CP.m_lEventID];
			</xsl:text>
				<!-- Before Load -->
				<xsl:choose>
					<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT/CONTENT!='' or $objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT!=''">
						<xsl:choose>
							<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!-- HANDLE OLD WAY FOR MERGE. ALWAYS DO THE 'EVENT CONTENT' FIRST -->
							<xsl:when test="not($objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
								<xsl:variable name="sFPath" select="$objSCO/EVENTS/*[@ID=$eventid]/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="mergeLevelID">
							<xsl:call-template name="getNavLevelMergeID">
								<xsl:with-param name="id" select="$eventid"/>
								<xsl:with-param name="type" select="'1'"/>
							</xsl:call-template>
						</xsl:variable>
						<!-- SCO Level Merging -->
						<xsl:choose>
							<xsl:when test="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT/CONTENT!=''">
								<xsl:for-each select="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!--							<xsl:when test="$objSCO/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
-->
							<!-- HANDLE OLD WAY FOR MERGE. ALWAYS DO THE 'EVENT CONTENT' FIRST -->
							<xsl:when test="not($objSCO/CURRENT/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
								<xsl:variable name="sFPath" select="$objSCO/CURRENT/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onbeforeload']/@EVENT" mode="for-body"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>
				var arrContent;
	
				var objContent;
				var objEvent;
		
				var arrNextImages;
				arrNextImages = new Array();
		</xsl:text>
				<xsl:apply-templates select="/SCO/EVENTS/*[@ID=$eventid]" mode="build-js"/>
				<xsl:text>
				CP.m_arrEvents[String(CP.m_lEventID)].LASTFRAMEID = CP.m_lFrameID;
		</xsl:text>
				<!-- prefetch images on next event -->
				<xsl:variable name="parentid" select="/SCO/NAVLINKS/NAVLINK[@DSTTYPE='1'][@DSTID=$eventid]/@ORGID"/>
				<xsl:variable name="seq" select="/SCO/NAVLINKS/NAVLINK[@DSTTYPE='1'][@DSTID=$eventid]/@SEQUENCE"/>
				<xsl:variable name="next_eventid" select="/SCO/NAVLINKS/NAVLINK[@ORGTYPE='2'][@ORGID=$parentid][@SEQUENCE=($seq+1)]/@DSTID"/>
				<xsl:variable name="next_scocontent" select="concat($sco,'/',$next_eventid)"/>
				<xsl:variable name="next_cpscocontentpath" select="translate(concat($cpscocontentsdir,$next_scocontent,'.xml'),'\','/')"/>
				<xsl:if test="$next_eventid">
					<xsl:variable name="next_objSCOContent" select="document(translate($next_cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT"/>
					<xsl:apply-templates select="$next_objSCOContent/IMAGE" mode="for-next-sibling"/>
				</xsl:if>
				<!--  Build the layer property for the content object -->
				<xsl:value-of select="$newline"/>
				<xsl:value-of select="$newline"/>
				<xsl:text>			var arrCPLayers = new Array();</xsl:text>
				<xsl:choose>
					<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT/CONTENT!='' or $objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT!=''">
						<xsl:choose>
							<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/LAYERS/LAYER" mode="build-js">
												<xsl:with-param name="isMerge" select="'false'"/>
											</xsl:apply-templates>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/LAYERS/LAYER" mode="build-js">
												<xsl:with-param name="isMerge" select="'true'"/>
											</xsl:apply-templates>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!-- Handle old way for getting merge info -->
							<xsl:when test="not($objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/LAYERS/LAYER" mode="build-js">
									<xsl:with-param name="isMerge" select="'false'"/>
								</xsl:apply-templates>
								<xsl:variable name="sFPath" select="$objSCO/EVENTS/*[@ID=$eventid]/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/LAYERS/LAYER" mode="build-js">
									<xsl:with-param name="isMerge" select="'true'"/>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/LAYERS/LAYER" mode="build-js">
									<xsl:with-param name="isMerge" select="'false'"/>
								</xsl:apply-templates>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="mergeLevelID">
							<xsl:call-template name="getNavLevelMergeID">
								<xsl:with-param name="id" select="$eventid"/>
								<xsl:with-param name="type" select="'1'"/>
							</xsl:call-template>
						</xsl:variable>
						<!-- SCO Level Merging -->
						<xsl:choose>
							<xsl:when test="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT/CONTENT!=''">
								<xsl:for-each select="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/LAYERS/LAYER" mode="build-js">
												<xsl:with-param name="isMerge" select="'false'"/>
											</xsl:apply-templates>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/LAYERS/LAYER" mode="build-js">
												<xsl:with-param name="isMerge" select="'true'"/>
											</xsl:apply-templates>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!-- SCO Level Merging -->
							<!--              
								<xsl:when test="$objSCO/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/LAYERS/LAYER" mode="build-js">
												<xsl:with-param name="isMerge" select="'false'"/>
											</xsl:apply-templates>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/LAYERS/LAYER" mode="build-js">
												<xsl:with-param name="isMerge" select="'true'"/>
											</xsl:apply-templates>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
-->
							<!-- Handle old way for getting merge info -->
							<xsl:when test="not($objSCO/CURRENT/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/LAYERS/LAYER" mode="build-js">
									<xsl:with-param name="isMerge" select="'false'"/>
								</xsl:apply-templates>
								<xsl:variable name="sFPath" select="$objSCO/CURRENT/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/LAYERS/LAYER" mode="build-js">
									<xsl:with-param name="isMerge" select="'true'"/>
								</xsl:apply-templates>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/LAYERS/LAYER" mode="build-js">
									<xsl:with-param name="isMerge" select="'false'"/>
								</xsl:apply-templates>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFramelist/LAYERS/@TOTALLAYERS">
					<xsl:if test="not($objFramelist/LAYERS/@TOTALLAYERS='')">
						<xsl:value-of select="$newline"/>
						<xsl:value-of select="$newline"/>
						<xsl:text disable-output-escaping="yes">				CP.m_arrEvents[String(CP.m_lEventID)].m_lTotalLayers = </xsl:text>
						<xsl:value-of select="($objFramelist/LAYERS/@TOTALLAYERS)-1"/>
						<xsl:text>;</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:value-of select="$newline"/>
				<xsl:text>
			
			function initializeEvent() {
				var persist = true;
				
				if (CP.m_arrEvents[String(CP.m_lEventID)].PERSIST != null) {
					if (CP.m_arrEvents[String(CP.m_lEventID)].PERSIST != "") {
						persist = CP.m_arrEvents[String(CP.m_lEventID)].PERSIST;
					} else {
						persist = CP.m_bPersistData;
					}				
				} else {
					persist = CP.m_bPersistData;
				}	
			
				if (persist) {
			</xsl:text>
				<xsl:choose>
					<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
						<xsl:text>
						var oEvnt = new CP.CEvent(CP.m_lEventID,window);
						oEvnt.getEventAllDefaultData();
						oEvnt.getEventAllData();
						</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>
						CP.GetEventAllDefaultDataForElement(CP.m_lEventID,window);
						CP.RetrieveEventAllDataForElement(CP.m_lEventID,window);
						</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>
					}
					CP.m_lBookmarkEventID =  CP.m_lEventID;
					// Fill in if already have - support of reviewer mode
					if (CP.m_sTrackingURL != "") {
						if (document.getElementById("comments_TrackingURL") != null) {
							document.getElementById("comments_TrackingURL").value = CP.m_sTrackingURL;
						}	
					}
					if (CP.m_sReviewerName != "") {
						if (document.getElementById("comments_ReviewerName") != null) {
							document.getElementById("comments_ReviewerName").value = CP.m_sReviewerName;
						}
					}
				
				</xsl:text>
				<xsl:choose>
					<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT/CONTENT!='' or $objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT!=''">
						<xsl:choose>
							<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[1]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!-- Handle old way of getting merge -->
							<xsl:when test="not($objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
								<xsl:variable name="sFPath" select="$objSCO/EVENTS/*[@ID=$eventid]/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[1]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="mergeLevelID">
							<xsl:call-template name="getNavLevelMergeID">
								<xsl:with-param name="id" select="$eventid"/>
								<xsl:with-param name="type" select="'1'"/>
							</xsl:call-template>
						</xsl:variable>
						<!-- SCO Level Merging -->
						<xsl:choose>
							<xsl:when test="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT/CONTENT!=''">
								<xsl:for-each select="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[1]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!-- SCO Level Merging -->
							<!--              
							<xsl:when test="$objSCO/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[1]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
-->
							<!-- Handle old way of getting merge -->
							<xsl:when test="not($objSCO/CURRENT/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
								<xsl:variable name="sFPath" select="$objSCO/CURRENT/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[1]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onload']/@EVENT" mode="for-body"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$newline"/>
				<xsl:choose>
					<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
						<xsl:text>					new CP.CSCOStructure().gotoEventIfBookmark();</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>					CP.GotoEventIfBookmark();</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text disable-output-escaping="yes">
					<!-- support for prefetching the next screen images -->		
				//setTimeout("CP.prefetchNextImages()",3000);
				if (CP.m_bUsesCourseTree == "true"){
					CP.RefreshCourseTree("CPTree");
				}
			}
				
			function deinitializeEvent() {
				// When page unloads stop audio if requested to do so
				if (CP.m_lLastEventID != CP.m_lEventID) {
					var objAudIntro = CP.m_objCurEvent.arrContent['audIntro'];
					if (objAudIntro != null) {
						if (objAudIntro.STOPAUDIO != null) {
							if (objAudIntro.STOPAUDIO.toLowerCase() == "true") {
								</xsl:text>
				<xsl:choose>
					<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
						<xsl:text>new CP.CAudio("AudioPlayer",CP).audioStop();</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>CP.AudioStop("AudioPlayer",CP);</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text disable-output-escaping="yes">
							}
						}
					}	
				}
				
				</xsl:text>
				<xsl:choose>
					<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT/CONTENT!='' or $objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT!=''">
						<xsl:choose>
							<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!-- Handle old way to get merge -->
							<xsl:when test="not($objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
								<xsl:variable name="sFPath" select="$objSCO/EVENTS/*[@ID=$eventid]/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="mergeLevelID">
							<xsl:call-template name="getNavLevelMergeID">
								<xsl:with-param name="id" select="$eventid"/>
								<xsl:with-param name="type" select="'1'"/>
							</xsl:call-template>
						</xsl:variable>
						<!-- SCO Level Merging -->
						<xsl:choose>
							<xsl:when test="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT/CONTENT!=''">
								<xsl:for-each select="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
							<!-- SCO Level Merging -->
							<!--
							<xsl:when test="$objSCO/MERGEDEVENTS/MERGEDEVENT">
								<xsl:for-each select="$objSCO/MERGEDEVENTS/MERGEDEVENT">
									<xsl:choose>
										<xsl:when test="./FRAMELIST='event content'">
											<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="sFPath" select="./FRAMELIST"/>
											<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
											<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
											<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:for-each>
							</xsl:when>
-->
							<!-- Handle old way to get merge -->
							<xsl:when test="not($objSCO/CURRENT/@MERGECONTENT='')">
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
								<xsl:variable name="sFPath" select="$objSCO/CURRENT/@MERGEFRAMELIST"/>
								<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sFPath,'.xml'),'\','/')"/>
								<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
								<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/ACTION[@EVENT='onunload']/@EVENT" mode="for-body"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>
				var persist = true;
				if (CP.m_arrEvents[String(CP.m_lEventID)].PERSIST != null) {
					if (CP.m_arrEvents[String(CP.m_lEventID)].PERSIST != "") {
						persist = CP.m_arrEvents[String(CP.m_lEventID)].PERSIST.toLowerCase()=="true"?true:false;
					} else {
						persist = CP.m_bPersistData;
					}				
				} else {
					persist = CP.m_bPersistData;
				}	
				
				if (CP.m_arrEvents[String(CP.m_lEventID)].RELOADING == null) {
					CP.m_arrEvents[String(CP.m_lEventID)].RELOADING = false;
				}
				if (persist &amp;&amp; !CP.m_arrEvents[String(CP.m_lEventID)].RELOADING) {
					</xsl:text>
				<xsl:choose>
					<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
						<xsl:text>new CP.CEvent(CP.m_lLastEventID,window).setEventAllData();</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>CP.PersistEventAllDataForElement(CP.m_lLastEventID,window);</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>
				}	
		
				CP.m_arrEvents[String(CP.m_lEventID)].RELOADING = false;
			}	
			
			function CPLayer(){
				this.NAME = "";
				this.OBJECTS = new Array();
				this.NEXT = "";
				this.PREVIOUS = "";
			}
	</xsl:text>
				<xsl:text disable-output-escaping="yes">	&lt;/script&gt;</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
		<!-- Advanced functionality to allow the author to include any HEAD tags -->
		<xsl:if test="/SCO/CURRENT/@CONTENTHEADAPPEND">
			<xsl:if test="not(/SCO/CURRENT/@CONTENTHEADAPPEND='')">
				<xsl:value-of disable-output-escaping="yes" select="/SCO/CURRENT/@CONTENTHEADAPPEND"/>
			</xsl:if>
		</xsl:if>
		<xsl:value-of select="$newline"/>
		<xsl:text disable-output-escaping="yes">	&lt;/head&gt;</xsl:text>
		<xsl:variable name="link" select="$objSCO/CURRENT/@LINK"/>
		<xsl:variable name="vlink" select="$objSCO/CURRENT/@VLINK"/>
		<xsl:variable name="onload">
			<xsl:choose>
				<xsl:when test="translate(/SCO/CURRENT/@CONTENTONLOAD,'&quot;',$singleQuote)=''">
					<xsl:text>initializeEvent();</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="translate(/SCO/CURRENT/@CONTENTONLOAD,'&quot;',$singleQuote)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="onunload">
			<xsl:choose>
				<xsl:when test="translate(/SCO/CURRENT/@CONTENTONUNLOAD,'&quot;',$singleQuote)=''">
					<xsl:text>deinitializeEvent();</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="translate(/SCO/CURRENT/@CONTENTONUNLOAD,'&quot;',$singleQuote)"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:value-of select="$newline"/>

		<xsl:text disable-output-escaping="yes">	&lt;body</xsl:text>
		<xsl:if test="/SCO/CURRENT/@HIDESCROLLBARS">
			<xsl:if test="translate(/SCO/CURRENT/@HIDESCROLLBARS,'TRUEFALS','truefals')='true'">
				<xsl:text disable-output-escaping="yes"> style="overflow: hidden" scroll="no"</xsl:text>
			</xsl:if>
		</xsl:if>
		<xsl:text disable-output-escaping="yes"> onload="</xsl:text>
		<xsl:choose>
			<xsl:when test="$noframe='true'">


      </xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$onload"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">" onunload="</xsl:text>
		<xsl:choose>
			<xsl:when test="$noframe='true'">


      </xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$onunload"/>
			</xsl:otherwise>
		</xsl:choose>
		<!-- <xsl:text disable-output-escaping="yes">" style="</xsl:text>
		<xsl:value-of select="translate(/SCO/CURRENT/@BODYSTYLE,'&quot;',$singleQuote)"/> -->
		<xsl:text disable-output-escaping="yes">" <!--style="background-color: transparent;"--> link="</xsl:text>
		<xsl:value-of select="$link"/>
		<xsl:text>" alink="</xsl:text>
		<xsl:value-of select="$link"/>
		<xsl:text>" vlink="</xsl:text>
		<xsl:value-of select="$vlink"/>
		<xsl:text disable-output-escaping="yes">" </xsl:text>
		<xsl:choose>
			<xsl:when test="($currentevent/@BODYATTRIBAPPEND) and not($currentevent/@BODYATTRIBAPPEND='')">
				<xsl:value-of disable-output-escaping="yes" select="$currentevent/@BODYATTRIBAPPEND"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="/SCO/CURRENT/@BODYATTRIBAPPEND">
					<xsl:if test="not(/SCO/CURRENT/@BODYATTRIBAPPEND='')">
						<xsl:value-of disable-output-escaping="yes" select="/SCO/CURRENT/@BODYATTRIBAPPEND"/>
					</xsl:if>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
		<xsl:choose>
			<!-- Event Level Merging -->
			<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT/CONTENT!='' or $objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT!=''">
				<xsl:choose>
					<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
						<xsl:for-each select="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
							<xsl:variable name="nPosition" select="position()"/>
							<xsl:choose>
								<xsl:when test="./CONTENT='event content'">
									<xsl:call-template name="createBody"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,./CONTENT,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,./FRAMELIST,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,./LAYOUT,'.xml'),'\','/')"/>
									<xsl:call-template name="createBodyForMerge">
										<xsl:with-param name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
										<xsl:with-param name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
										<xsl:with-param name="objMergeLayout" select="document(string(translate($cpmergelayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/LAYOUT"/>
										<xsl:with-param name="nPosition" select="$nPosition"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<!-- handle old way to get merge info.  Always put the 'event content' first -->
					<xsl:when test="not($objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT='')">
						<xsl:call-template name="createBody"/>
						<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,$objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$objSCO/EVENTS/*[@ID=$eventid]/@MERGEFRAMELIST,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,$objSCO/EVENTS/*[@ID=$eventid]/@MERGELAYOUT,'.xml'),'\','/')"/>
						<xsl:call-template name="createBodyForMerge">
							<xsl:with-param name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
							<xsl:with-param name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
							<xsl:with-param name="objMergeLayout" select="document(string(translate($cpmergelayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/LAYOUT"/>
							<xsl:with-param name="nPosition" select="'1'"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="createBody"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="mergeLevelID">
					<xsl:call-template name="getNavLevelMergeID">
						<xsl:with-param name="id" select="$eventid"/>
						<xsl:with-param name="type" select="'1'"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- Nav Level Merging -->
				<xsl:choose>
					<xsl:when test="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT/CONTENT!=''">
						<xsl:for-each select="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT">
							<xsl:variable name="nPosition" select="position()"/>
							<xsl:choose>
								<xsl:when test="./CONTENT='event content'">
									<xsl:call-template name="createBody"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,./CONTENT,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,./FRAMELIST,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,./LAYOUT,'.xml'),'\','/')"/>
									<xsl:call-template name="createBodyForMerge">
										<xsl:with-param name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
										<xsl:with-param name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
										<xsl:with-param name="objMergeLayout" select="document(string(translate($cpmergelayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/LAYOUT"/>
										<xsl:with-param name="nPosition" select="$nPosition"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<!-- SCO Level Merging -->
					<!--					<xsl:when test="$objSCO/MERGEDEVENTS/MERGEDEVENT">
						<xsl:for-each select="$objSCO/MERGEDEVENTS/MERGEDEVENT">
							<xsl:variable name="nPosition" select="position()"/>
							<xsl:choose>
								<xsl:when test="./CONTENT='event content'">
									<xsl:call-template name="createBody"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,./CONTENT,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,./FRAMELIST,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,./LAYOUT,'.xml'),'\','/')"/>
									<xsl:call-template name="createBodyForMerge">
										<xsl:with-param name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
										<xsl:with-param name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
										<xsl:with-param name="objMergeLayout" select="document(string(translate($cpmergelayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/LAYOUT"/>
										<xsl:with-param name="nPosition" select="$nPosition"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
-->
					<!-- handle old way to get merge info.  Always put the 'event content' first -->
					<xsl:when test="not($objSCO/CURRENT/@MERGECONTENT='')">
						<xsl:call-template name="createBody"/>
						<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,$objSCO/CURRENT/@MERGECONTENT,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$objSCO/CURRENT/@MERGEFRAMELIST,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,$objSCO/CURRENT/@MERGELAYOUT,'.xml'),'\','/')"/>
						<xsl:call-template name="createBodyForMerge">
							<xsl:with-param name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
							<xsl:with-param name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
							<xsl:with-param name="objMergeLayout" select="document(string(translate($cpmergelayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/LAYOUT"/>
							<xsl:with-param name="nPosition" select="'1'"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="createBody"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<!--		<xsl:call-template name="createBody"/>
		<xsl:if test="not($mergescocontent='') and not($mergeframelist='') and not($mergelayout='')">
			<xsl:call-template name="createBodyForMerge"/>
		</xsl:if>
-->
		<!--<xsl:if test="$storyboardmode='true'">
			<xsl:call-template name="buildStoryboard"/>
		</xsl:if>-->
		<xsl:value-of select="$newline"/>
		<xsl:text disable-output-escaping="yes">	&lt;/body&gt;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text disable-output-escaping="yes">&lt;/html&gt;</xsl:text>
	</xsl:template>
	<!-- Create Transition -->
	<xsl:template name="createTransitionEnter">
		<!-- Transition on enter -->
		<xsl:choose>
			<xsl:when test="$currentevent/@TRANSITIONENTER">
				<xsl:choose>
					<xsl:when test="not($currentevent/@TRANSITIONENTER='None') and not($currentevent/@TRANSITIONENTER='')">
						<xsl:call-template name="createTransition">
							<xsl:with-param name="pagetype" select="'Page-Enter'"/>
							<xsl:with-param name="transitiontype" select="$currentevent/@TRANSITIONENTER"/>
							<xsl:with-param name="duration" select="$currentevent/@DURATIONTRANSITIONENTER"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="/SCO/CURRENT/@TRANSITIONENTER">
								<xsl:choose>
									<xsl:when test="not(/SCO/CURRENT/@TRANSITIONENTER='None') and not(/SCO/CURRENT/@TRANSITIONENTER='')">
										<xsl:call-template name="createTransition">
											<xsl:with-param name="pagetype" select="'Page-Enter'"/>
											<xsl:with-param name="transitiontype" select="/SCO/CURRENT/@TRANSITIONENTER"/>
											<xsl:with-param name="duration" select="/SCO/CURRENT/@DURATIONTRANSITIONENTER"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="createTransition">
											<xsl:with-param name="pagetype" select="'Page-Enter'"/>
											<xsl:with-param name="transitiontype" select="'None'"/>
											<xsl:with-param name="duration" select="'0'"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="createTransition">
									<xsl:with-param name="pagetype" select="'Page-Enter'"/>
									<xsl:with-param name="transitiontype" select="'None'"/>
									<xsl:with-param name="duration" select="'0'"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="/SCO/CURRENT/@TRANSITIONENTER">
						<xsl:choose>
							<xsl:when test="not(/SCO/CURRENT/@TRANSITIONENTER='None') and not(/SCO/CURRENT/@TRANSITIONENTER='')">
								<xsl:call-template name="createTransition">
									<xsl:with-param name="pagetype" select="'Page-Enter'"/>
									<xsl:with-param name="transitiontype" select="/SCO/CURRENT/@TRANSITIONENTER"/>
									<xsl:with-param name="duration" select="/SCO/CURRENT/@DURATIONTRANSITIONENTER"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="createTransition">
									<xsl:with-param name="pagetype" select="'Page-Enter'"/>
									<xsl:with-param name="transitiontype" select="'None'"/>
									<xsl:with-param name="duration" select="'0'"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="createTransition">
							<xsl:with-param name="pagetype" select="'Page-Enter'"/>
							<xsl:with-param name="transitiontype" select="'None'"/>
							<xsl:with-param name="duration" select="'0'"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="createTransitionExit">
		<xsl:choose>
			<xsl:when test="$currentevent/@TRANSITIONEXIT">
				<xsl:choose>
					<xsl:when test="not($currentevent/@TRANSITIONEXIT='None') and not($currentevent/@TRANSITIONEXIT='')">
						<xsl:call-template name="createTransition">
							<xsl:with-param name="pagetype" select="'Page-Exit'"/>
							<xsl:with-param name="transitiontype" select="$currentevent/@TRANSITIONEXIT"/>
							<xsl:with-param name="duration" select="$currentevent/@DURATIONTRANSITIONEXIT"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="/SCO/CURRENT/@TRANSITIONEXIT">
								<xsl:choose>
									<xsl:when test="not(/SCO/CURRENT/@TRANSITIONEXIT='None') and not(/SCO/CURRENT/@TRANSITIONEXIT='')">
										<xsl:call-template name="createTransition">
											<xsl:with-param name="pagetype" select="'Page-Exit'"/>
											<xsl:with-param name="transitiontype" select="/SCO/CURRENT/@TRANSITIONEXIT"/>
											<xsl:with-param name="duration" select="/SCO/CURRENT/@DURATIONTRANSITIONEXIT"/>
										</xsl:call-template>
									</xsl:when>
									<xsl:otherwise>
										<xsl:call-template name="createTransition">
											<xsl:with-param name="pagetype" select="'Page-Exit'"/>
											<xsl:with-param name="transitiontype" select="'None'"/>
											<xsl:with-param name="duration" select="'0'"/>
										</xsl:call-template>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="createTransition">
									<xsl:with-param name="pagetype" select="'Page-Exit'"/>
									<xsl:with-param name="transitiontype" select="'None'"/>
									<xsl:with-param name="duration" select="'0'"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="/SCO/CURRENT/@TRANSITIONEXIT">
						<xsl:choose>
							<xsl:when test="not(/SCO/CURRENT/@TRANSITIONEXIT='None') and not(/SCO/CURRENT/@TRANSITIONEXIT='')">
								<xsl:call-template name="createTransition">
									<xsl:with-param name="pagetype" select="'Page-Exit'"/>
									<xsl:with-param name="transitiontype" select="/SCO/CURRENT/@TRANSITIONEXIT"/>
									<xsl:with-param name="duration" select="/SCO/CURRENT/@DURATIONTRANSITIONEXIT"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="createTransition">
									<xsl:with-param name="pagetype" select="'Page-Exit'"/>
									<xsl:with-param name="transitiontype" select="'None'"/>
									<xsl:with-param name="duration" select="'0'"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="createTransition">
							<xsl:with-param name="pagetype" select="'Page-Exit'"/>
							<xsl:with-param name="transitiontype" select="'None'"/>
							<xsl:with-param name="duration" select="'0'"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Create Transition -->
	<xsl:template name="createTransition">
		<xsl:param name="pagetype"/>
		<xsl:param name="transitiontype"/>
		<xsl:param name="duration"/>
		<xsl:variable name="transition">
			<xsl:choose>
				<xsl:when test="$transitiontype='None'">
					<xsl:text>-1</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Blend'">
					<xsl:text>25</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Box In'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Box Out'">
					<xsl:text>1</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Circle In'">
					<xsl:text>2</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Circle Out'">
					<xsl:text>3</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Wipe Up'">
					<xsl:text>4</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Wipe Down'">
					<xsl:text>5</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Wipe Right'">
					<xsl:text>6</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Wipe Left'">
					<xsl:text>7</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Vertical Blinds'">
					<xsl:text>8</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Horizontal Blinds'">
					<xsl:text>9</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Checkerboard Across'">
					<xsl:text>10</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Checkerboard Down'">
					<xsl:text>11</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Random Dissolve'">
					<xsl:text>12</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Split Vertical In'">
					<xsl:text>13</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Split Vertical Out'">
					<xsl:text>14</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Split Horizontal In'">
					<xsl:text>15</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Split Horizontal Out'">
					<xsl:text>16</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Strips Left Down'">
					<xsl:text>17</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Strips Left Up'">
					<xsl:text>18</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Strips Right Down'">
					<xsl:text>19</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Strips Right Up'">
					<xsl:text>20</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Random Bars Horizontal'">
					<xsl:text>21</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Random Bars Vertical'">
					<xsl:text>22</xsl:text>
				</xsl:when>
				<xsl:when test="$transitiontype='Random'">
					<xsl:text>23</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>-1</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<!-- If no transition -->
			<xsl:when test="$transition='-1'">
				<xsl:text disable-output-escaping="yes">		&lt;meta http-equiv="</xsl:text>
				<xsl:value-of select="$pagetype"/>
				<xsl:text disable-output-escaping="yes">" content="RevealTrans (Duration=0, Transition=0)"/&gt;</xsl:text>
			</xsl:when>
			<!-- If special blend transition -->
			<xsl:when test="$transition='25'">
				<xsl:text disable-output-escaping="yes">		&lt;meta http-equiv="</xsl:text>
				<xsl:value-of select="$pagetype"/>
				<xsl:text>" content="BlendTrans (Duration=</xsl:text>
				<xsl:value-of select="$duration"/>
				<xsl:text disable-output-escaping="yes">)"/&gt;</xsl:text>
			</xsl:when>
			<!-- If all other transitions -->
			<xsl:otherwise>
				<xsl:text disable-output-escaping="yes">		&lt;meta http-equiv="</xsl:text>
				<xsl:value-of select="$pagetype"/>
				<xsl:text>" content="RevealTrans (Duration=</xsl:text>
				<xsl:value-of select="$duration"/>
				<xsl:text>, Transition=</xsl:text>
				<xsl:value-of select="$transition"/>
				<xsl:text disable-output-escaping="yes">)"/&gt;</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:value-of select="$newline"/>
	</xsl:template>
	<!-- Create Body -->
	<xsl:template name="createBody">
		<xsl:apply-templates select="$objFramelist/FRAMES/FRAME[number($framenum)]/FRAMEOBJECT" mode="for-body"/>
	</xsl:template>
	<xsl:template name="createBodyForMerge">
		<xsl:param name="objMergeSCOContent"/>
		<xsl:param name="objMergeFramelist"/>
		<xsl:param name="objMergeLayout"/>
		<xsl:param name="nPosition"/>
		<xsl:apply-templates select="$objMergeFramelist/FRAMES/FRAME[1]/FRAMEOBJECT" mode="for-body-merge">
			<xsl:with-param name="objMergeSCOContent" select="$objMergeSCOContent"/>
			<xsl:with-param name="objMergeFramelist" select="$objMergeFramelist"/>
			<xsl:with-param name="objMergeLayout" select="$objMergeLayout"/>
			<xsl:with-param name="nPosition" select="$nPosition"/>
		</xsl:apply-templates>
	</xsl:template>
	<!-- Process Event -->
	<xsl:template match="EVENT|QUESTION|ASSESSMENT" mode="build-js">
		<xsl:variable name="scocontent" select="concat($sco,'/',number(@ID))"/>
		<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$scocontent,'.xml'),'\','/')"/>
		<xsl:variable name="objSCOContent" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT"/>
		<xsl:variable name="framelist" select="@FRAMELISTREF"/>
		<xsl:variable name="cpframelistpath" select="translate(concat($cpframelistsdir,$framelist,'.xml'),'\','/')"/>
		<xsl:variable name="objFrameList" select="document(translate($cpframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/FRAMELIST"/>
		<xsl:value-of select="$newline"/>
		<xsl:text>			// *** Event Ref Num </xsl:text>
		<xsl:value-of select="@ID"/>
		<xsl:value-of select="$newline"/>
		<xsl:text>			arrContent = new Array();</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="$newline"/>
		<!-- Need to get from Frame List not directly from content -->
		<!-- <xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
			<xsl:with-param name="objSCOContent" select="$objSCOContent"/>
		</xsl:apply-templates> -->
		<!-- publish intro audio -->
		<xsl:if test="$objSCOContent/*[@NAME='audIntro']">
			<xsl:call-template name="createIntroAudio">
				<xsl:with-param name="objSCOContent" select="$objSCOContent"/>
			</xsl:call-template>
		</xsl:if>
		<!-- publish frame objects -->
		<xsl:choose>
			<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT/CONTENT!='' or $objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT!=''">
				<xsl:choose>
					<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
						<xsl:for-each select="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT">
							<xsl:variable name="nPosition" select="position()"/>
							<xsl:choose>
								<xsl:when test="./CONTENT='event content'">
									<xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
										<xsl:with-param name="passedObjSCOContent" select="$objSCOContent"/>
									</xsl:apply-templates>
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,./CONTENT,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,./FRAMELIST,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,./LAYOUT,'.xml'),'\','/')"/>
									<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
									<xsl:variable name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
									<xsl:apply-templates select="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2-merge">
										<xsl:with-param name="passedObjSCOContent" select="$objMergeSCOContent"/>
										<xsl:with-param name="nPosition" select="$nPosition"/>
									</xsl:apply-templates>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<!-- handle old way to get merge info.  Always put the 'event content' first -->
					<xsl:when test="not($objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT='')">
						<xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
							<xsl:with-param name="passedObjSCOContent" select="$objSCOContent"/>
						</xsl:apply-templates>
						<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,$objSCO/EVENTS/*[@ID=$eventid]/@MERGECONTENT,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$objSCO/EVENTS/*[@ID=$eventid]/@MERGEFRAMELIST,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,$objSCO/EVENTS/*[@ID=$eventid]/@MERGELAYOUT,'.xml'),'\','/')"/>
						<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
						<xsl:variable name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
						<xsl:apply-templates select="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2-merge">
							<xsl:with-param name="passedObjSCOContent" select="$objMergeSCOContent"/>
							<xsl:with-param name="nPosition" select="'1'"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
							<xsl:with-param name="passedObjSCOContent" select="$objSCOContent"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="mergeLevelID">
					<xsl:call-template name="getNavLevelMergeID">
						<xsl:with-param name="id" select="$eventid"/>
						<xsl:with-param name="type" select="'1'"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- SCO Level Merging -->
				<xsl:choose>
					<xsl:when test="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT/CONTENT!=''">
						<xsl:for-each select="$objSCO/NAVS/NAV[@ID=string($mergeLevelID)]/MERGEDEVENTS/MERGEDEVENT">
							<xsl:variable name="nPosition" select="position()"/>
							<xsl:choose>
								<xsl:when test="./CONTENT='event content'">
									<xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
										<xsl:with-param name="passedObjSCOContent" select="$objSCOContent"/>
									</xsl:apply-templates>
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,./CONTENT,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,./FRAMELIST,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,./LAYOUT,'.xml'),'\','/')"/>
									<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
									<xsl:variable name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
									<xsl:apply-templates select="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2-merge">
										<xsl:with-param name="passedObjSCOContent" select="$objMergeSCOContent"/>
										<xsl:with-param name="nPosition" select="$nPosition"/>
									</xsl:apply-templates>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
					<!-- SCO Level Merging -->
					<!--					<xsl:when test="$objSCO/MERGEDEVENTS/MERGEDEVENT">
						<xsl:for-each select="$objSCO/MERGEDEVENTS/MERGEDEVENT">
							<xsl:variable name="nPosition" select="position()"/>
							<xsl:choose>
								<xsl:when test="./CONTENT='event content'">
									<xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
										<xsl:with-param name="passedObjSCOContent" select="$objSCOContent"/>
									</xsl:apply-templates>
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,./CONTENT,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,./FRAMELIST,'.xml'),'\','/')"/>
									<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,./LAYOUT,'.xml'),'\','/')"/>
									<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
									<xsl:variable name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
									<xsl:apply-templates select="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2-merge">
										<xsl:with-param name="passedObjSCOContent" select="$objMergeSCOContent"/>
										<xsl:with-param name="nPosition" select="$nPosition"/>
									</xsl:apply-templates>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:when>
-->
					<!-- handle old way to get merge info.  Always put the 'event content' first -->
					<xsl:when test="not($objSCO/CURRENT/@MERGECONTENT='')">
						<xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
							<xsl:with-param name="passedObjSCOContent" select="$objSCOContent"/>
						</xsl:apply-templates>
						<xsl:variable name="cpmergescocontentpath" select="translate(concat($cpscocontentsdir,$objSCO/CURRENT/@MERGECONTENT,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$objSCO/CURRENT/@MERGEFRAMELIST,'.xml'),'\','/')"/>
						<xsl:variable name="cpmergelayoutpath" select="translate(concat($cplayoutsdir,$objSCO/CURRENT/@MERGELAYOUT,'.xml'),'\','/')"/>
						<xsl:variable name="objMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/FRAMELIST"/>
						<xsl:variable name="objMergeSCOContent" select="document(string(translate($cpmergescocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')))/SCOCONTENT"/>
						<xsl:apply-templates select="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2-merge">
							<xsl:with-param name="passedObjSCOContent" select="$objMergeSCOContent"/>
							<xsl:with-param name="nPosition" select="'1'"/>
						</xsl:apply-templates>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="$objFrameList/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2">
							<xsl:with-param name="passedObjSCOContent" select="$objSCOContent"/>
						</xsl:apply-templates>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
		<!-- publish custom tags -->
		<xsl:apply-templates select="$objSCOContent/CUSTOM"/>
		<xsl:text>			objEvent = new Object();</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objEvent.TYPE = "</xsl:text>
		<xsl:value-of select="translate(name(),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
		<xsl:text>";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objEvent = CP.findEvent(CP.m_lEventID);</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objEvent.arrContent = arrContent;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objEvent.TOTALFRAMES = </xsl:text>
		<xsl:value-of select="count($objFramelist/FRAMES/FRAME)"/>
		<xsl:text>;</xsl:text>
		<xsl:value-of select="$newline"/>
		<!-- this needs changed -->
		<xsl:text>			var sOldName = objEvent.NAME;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			var lOldID = objEvent.ID;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:apply-templates select="@*" mode="build-js"/>
		<xsl:text>			CP.m_lAliasID = objEvent.ID;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objEvent.ID = lOldID;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objEvent.NAME = sOldName;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			CP.m_arrEvents[String(CP.m_lEventID)] = objEvent;</xsl:text>
		<!-- <xsl:text>		CP.m_arrEvents["</xsl:text><xsl:value-of select="@ID"/><xsl:text>"] = objEvent;</xsl:text> -->
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="$newline"/>
		<xsl:text>			CP.m_objCurEvent = objEvent;</xsl:text>
		<xsl:value-of select="$newline"/>
		<!-- <xsl:if test="$aliasid">CP.m_lAliasID = <xsl:value-of select="$aliasid"/></xsl:if> -->
		<!-- <xsl:value-of select="$newline"/> -->
		<xsl:text>			CP.m_lTotalFrames = objEvent.TOTALFRAMES;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:choose>
			<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
				<xsl:text>			new CP.CEvent().markEventVisited("True");</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>			CP.MarkCurrentEventVisited("true");</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>
	
			// Only play intro audio if on first frame
			if (CP.m_lFrameID == 1){
				CP.m_AudioSyncAction = "None"
				if (objEvent.arrContent["audIntro"] != null) {
					if (objEvent.arrContent["audIntro"].SYNCACTION != null) {
						CP.m_AudioSyncAction = objEvent.arrContent["audIntro"].SYNCACTION;
					}	
				}

				if (objEvent.arrContent["audIntro"] != null) {
					if (objEvent.arrContent["audIntro"].FILENAME != null) {
						if (objEvent.arrContent["audIntro"].FILENAME != "") {
							</xsl:text>
		<xsl:choose>
			<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
				<!-- <xsl:text>new CP.CAudio("AudioPlayer").setAudioFile("</xsl:text> -->
				<xsl:text>new CP.CAudio("AudioPlayer",CP).setAudioFile(</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>CP.AudioPath("AudioPlayer","</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
		<!-- <xsl:value-of select="$mediaPath"/> -->
		<xsl:choose>
			<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
				<xsl:text>objEvent.arrContent["audIntro"].FILENAME);</xsl:text>
				<xsl:text>new CP.CAudio("AudioPlayer",CP).audioPlay();</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>" + objEvent.arrContent["audIntro"].FILENAME,CP);</xsl:text>
				<xsl:text>CP.AudioPlay("AudioPlayer",CP);</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>
						}
					}	
				}		
			}	
	</xsl:text>
	</xsl:template>
	<!-- Process Frame List object -->
	<xsl:template match="FRAMELISTOBJECT" mode="build-js2">
		<xsl:param name="passedObjSCOContent"/>
		<xsl:param name="incontainer"/>
		<xsl:variable name="foname" select="@NAME"/>
		<xsl:variable name="cor" select="@CONTENTREF"/>
		<xsl:variable name="container">
			<xsl:choose>
				<xsl:when test="@TYPE='container'">
					<xsl:value-of select="@NAME"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="''"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="cos">
			<xsl:choose>
				<xsl:when test="$passedObjSCOContent/*[@NAME=$cor]/@CONTENTSCOPE = $passedObjSCOContent/@NAME">
					<xsl:value-of select="'local'"/>
				</xsl:when>
				<xsl:when test="translate($passedObjSCOContent/*[@NAME=$cor]/@INHERIT,'TRUEFALS','truefals')='true' and ../@CONTAINERSCOPE!=''">
					<xsl:value-of select="../@CONTAINERSCOPE"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$passedObjSCOContent/*[@NAME=$cor]/@CONTENTSCOPE"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>
		<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
		<xsl:variable name="bContentObjectLocal">
			<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
				<xsl:value-of select="'true'"/>
			</xsl:if>
		</xsl:variable>
		<xsl:choose>
			<!-- content local -->
			<xsl:when test="string($bContentObjectLocal)">
				<xsl:call-template name="createContentArrayItem">
					<xsl:with-param name="foname" select="$foname"/>
					<xsl:with-param name="objContentObject" select="$passedObjSCOContent/*[@NAME=$cor]"/>
					<xsl:with-param name="containername" select="$incontainer"/>
				</xsl:call-template>
			</xsl:when>
			<!-- referencing content -->
			<xsl:when test="not(string($bContentObjectLocal))">
				<xsl:call-template name="createContentArrayItem">
					<xsl:with-param name="foname" select="$foname"/>
					<xsl:with-param name="objContentObject" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT//*[@NAME=$cor]"/>
					<xsl:with-param name="containername" select="$incontainer"/>
				</xsl:call-template>
			</xsl:when>
		</xsl:choose>
		<xsl:if test="$container!=''">
			<xsl:for-each select="./FRAMELISTOBJECT">
				<xsl:apply-templates select="." mode="build-js2">
					<xsl:with-param name="passedObjSCOContent" select="$passedObjSCOContent/*[@NAME=$container]"/>
					<xsl:with-param name="incontainer" select="$container"/>
				</xsl:apply-templates>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="/FRAMELIST/FRAMELISTOBJECTS/FRAMELISTOBJECT" mode="build-js2-merge">
		<xsl:param name="passedObjSCOContent"/>
		<xsl:param name="nPosition"/>
		<xsl:param name="incontainer"/>
		<xsl:variable name="foname" select="@NAME"/>
		<xsl:variable name="cor" select="@CONTENTREF"/>
		<xsl:variable name="container">
			<xsl:choose>
				<xsl:when test="@TYPE='container'">
					<xsl:value-of select="@NAME"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="''"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="cos">
			<xsl:choose>
				<xsl:when test="$passedObjSCOContent/*[@NAME=$cor]/@CONTENTSCOPE = $passedObjSCOContent/@NAME">
					<xsl:value-of select="'local'"/>
				</xsl:when>
				<xsl:when test="translate($passedObjSCOContent/*[@NAME=$cor]/@INHERIT,'TRUEFALS','truefals')='true' and ../@CONTAINERSCOPE!=''">
					<xsl:value-of select="../@CONTAINERSCOPE"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$passedObjSCOContent/*[@NAME=$cor]/@CONTENTSCOPE"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>
		<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
		<xsl:variable name="flor" select="@NAME"/>
		<xsl:if test="not($objFramelist/FRAMES/FRAME[number($framenum)][@FRAMELISTOBJECTREF=$flor])">
			<xsl:variable name="bCreateObj">
				<xsl:call-template name="doesFLOExist">
					<xsl:with-param name="eventid" select="$eventid"/>
					<xsl:with-param name="flo" select="$flor"/>
					<xsl:with-param name="nposition" select="number($nPosition)-1"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:if test="not($bCreateObj='false')">
				<xsl:variable name="bContentObjectLocal">
					<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
						<xsl:value-of select="'true'"/>
					</xsl:if>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="string($bContentObjectLocal)">
						<xsl:call-template name="createContentArrayItem">
							<xsl:with-param name="foname" select="$foname"/>
							<xsl:with-param name="objContentObject" select="$passedObjSCOContent/*[@NAME=$cor]"/>
							<xsl:with-param name="containername" select="$incontainer"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:when test="not(string($bContentObjectLocal))">
						<xsl:call-template name="createContentArrayItem">
							<xsl:with-param name="foname" select="$foname"/>
							<xsl:with-param name="objContentObject" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT/*[@NAME=$cor]"/>
							<xsl:with-param name="containername" select="$incontainer"/>
						</xsl:call-template>
					</xsl:when>
				</xsl:choose>
			</xsl:if>
		</xsl:if>
		<xsl:if test="$container!=''">
			<xsl:for-each select="./FRAMELISTOBJECT">
				<xsl:apply-templates select="." mode="build-js2">
					<xsl:with-param name="passedObjSCOContent" select="$passedObjSCOContent/*[@NAME=$container]"/>
					<xsl:with-param name="incontainer" select="$container"/>
				</xsl:apply-templates>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<!-- Create Intro Audio -->
	<xsl:template name="createIntroAudio">
		<xsl:param name="objContentObject"/>
		<xsl:variable name="audIntro" select="$objSCOContent/*[@NAME='audIntro']"/>
		<xsl:text>			objContent = new Object();</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.TYPE = "</xsl:text>
		<xsl:value-of select="translate(name($audIntro),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
		<xsl:text>";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.NAME = "</xsl:text>
		<xsl:value-of select="translate($audIntro/@NAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
		<xsl:text>";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.FILENAME = "</xsl:text>
		<xsl:value-of select="translate($audIntro/@FILENAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
		<xsl:text>";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.SYNCACTION = "</xsl:text>
		<xsl:value-of select="$audIntro/@SYNCACTION"/>
		<xsl:text>";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.STOPAUDIO = "</xsl:text>
		<xsl:choose>
			<xsl:when test="not($audIntro/@STOPAUDIO) or $audIntro/@STOPAUDIO = ''">
				<xsl:value-of select="'True'"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$audIntro/@STOPAUDIO"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			arrContent["audIntro"] = objContent;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="$newline"/>
	</xsl:template>
	<!-- Create Custom content -->
	<xsl:template match="/SCOCONTENT/CUSTOM">
		<xsl:text>			objContent = new Object();</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.TYPE = "CUSTOM";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.VALUE = "</xsl:text>
		<xsl:value-of select="."/>
		<xsl:text>";</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			arrContent["</xsl:text>
		<xsl:value-of select="@NAME"/>
		<xsl:text>"] = objContent;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="$newline"/>
	</xsl:template>
	<!-- Add content to Javascript variables -->
	<xsl:template name="createContentArrayItem">
		<xsl:param name="foname"/>
		<xsl:param name="objContentObject"/>
		<xsl:param name="containername"/>
		<xsl:variable name="compoundname">
			<xsl:choose>
				<xsl:when test="$containername!=''">
					<xsl:value-of select="concat($containername,'.',$foname)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$foname"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:text>			objContent = new Object();</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:text>			objContent.TYPE = "</xsl:text>
		<xsl:value-of select="translate(name($objContentObject[1]),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
		<xsl:text>";</xsl:text>
		<xsl:if test="name($objContentObject[1])='CUSTOM'">
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.VALUE = "</xsl:text>
			<xsl:value-of select="$objContentObject[1]/."/>
			<xsl:text>";</xsl:text>
		</xsl:if>
		<xsl:if test="name($objContentObject[1])='EDITBOX'">
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.DEFAULT = "</xsl:text>
			<xsl:value-of select="$objContentObject[1]/."/>
			<xsl:text>";</xsl:text>
		</xsl:if>
		<xsl:if test="name($objContentObject[1])='OPTION' or name($objContentObject[1])='CHECKBOX'">
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.DEFAULT = "</xsl:text>
			<xsl:value-of select="$objContentObject[1]/@CHECKED"/>
			<xsl:text>";</xsl:text>
		</xsl:if>
		<xsl:value-of select="$newline"/>
		<xsl:apply-templates select="$objContentObject[1]/@*" mode="build-js-content">
			<xsl:with-param name="compoundname" select="$compoundname"/>
		</xsl:apply-templates>
		<xsl:if test="name($objContentObject[1])='MULTISTATEIMAGE'">
			<xsl:text>			objContent.STATE1 = "</xsl:text>
			<xsl:value-of select="translate($objContentObject[1]/STATE1/IMAGE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.STATE2 = "</xsl:text>
			<xsl:value-of select="translate($objContentObject[1]/STATE2/IMAGE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.STATE3 = "</xsl:text>
			<xsl:value-of select="translate($objContentObject[1]/STATE3/IMAGE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.STATE4 = "</xsl:text>
			<xsl:value-of select="translate($objContentObject[1]/STATE4/IMAGE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
		</xsl:if>
		<xsl:if test="name($objContentObject[1])='MULTISTATEBUTTON'">
			<xsl:text>			objContent.ENABLEDSTATE = "</xsl:text>
			<xsl:value-of select="translate($objContentObject[1]/ENABLEDSTATE/IMAGE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.HIGHLIGHTSTATE = "</xsl:text>
			<xsl:value-of select="translate($objContentObject[1]/HIGHLIGHTSTATE/IMAGE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
			<xsl:text>			objContent.DISABLEDSTATE = "</xsl:text>
			<xsl:value-of select="translate($objContentObject[1]/DISABLEDSTATE/IMAGE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
		</xsl:if>
		<xsl:text>			arrContent["</xsl:text>
		<xsl:value-of select="$compoundname"/>
		<xsl:text>"] = objContent;</xsl:text>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="$newline"/>
	</xsl:template>
	<xsl:template match="@*" mode="build-js-content">
		<xsl:param name="compoundname"/>
		<xsl:variable name="singleQuote">'</xsl:variable>
		<xsl:if test="not(.='')">
			<xsl:text>			objContent.</xsl:text>
			<xsl:choose>
				<xsl:when test="name()='NAME'">
					<xsl:text>NAME = "</xsl:text>
					<xsl:value-of select="$compoundname"/>
					<xsl:text>";</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="name()"/>
					<xsl:text> = "</xsl:text>
					<xsl:value-of select="translate(translate(.,'\','/'),'&quot;',$singleQuote)"/>
					<xsl:text>";</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="$newline"/>
		</xsl:if>
	</xsl:template>
	<!-- Filter out properties don't want to save in .js -->
	<xsl:template match="/SCOCONTENT/*/@CORRECTANSWER" mode="build-js"/>
	<xsl:template match="/SCOCONTENT/*/@INHERIT" mode="build-js"/>
	<xsl:template match="/SCOCONTENT/*/@DYNAMICTEXT" mode="build-js"/>
	<xsl:template match="/SCOCONTENT/*/@CONTENTSCOPE" mode="build-js"/>
	<xsl:template match="/SCOCONTENT/*/@INHERIT" mode="build-js"/>
	<xsl:template match="/SCOCONTENT/*/@ALTTEXT" mode="build-js"/>
	<xsl:template match="/SCOCONTENT/*/@LONGDESC" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@*" mode="build-js">
		<xsl:variable name="doubleQuote">
			<xsl:text>"</xsl:text>
		</xsl:variable>
		<xsl:variable name="escapedQuote">
			<xsl:text>\"</xsl:text>
		</xsl:variable>
		<xsl:if test="not(.='')">
			<xsl:text>			objEvent.</xsl:text>
			<xsl:value-of select="name()"/>
			<xsl:text> = "</xsl:text>
			<xsl:call-template name="globalReplace">
				<xsl:with-param name="outputString" select="translate(.,'\','/')"/>
				<xsl:with-param name="target" select="$doubleQuote"/>
				<xsl:with-param name="replacement" select="$escapedQuote"/>
			</xsl:call-template>
			<xsl:text>";</xsl:text>
			<xsl:value-of select="$newline"/>
		</xsl:if>
	</xsl:template>
	<!-- Filter out properties don't want to save in .js -->
	<xsl:template match="/SCO/EVENTS/*/@TYPE" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@LAYOUTREF" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@FRAMELISTREF" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@ACTIONS" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@INTROAUDIO" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@SYNCACTION" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@STOPAUDIO" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@OBJECTIVEID" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@NUMOFTRIES" mode="build-js"/>
	<xsl:template match="/SCO/EVENTS/*/@QUESTIONID" mode="build-js"/>
  <xsl:template match="/SCO/EVENTS/*/@HTMLLANG" mode="build-js"/>
	<xsl:template match="/newbie">
		<xsl:value-of select="$eventid"/>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="translate($cpscopath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\%20','abcdefghijklmnopqrstuvwxyz/ ')"/>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\%20','abcdefghijklmnopqrstuvwxyz/ ')"/>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\%20','abcdefghijklmnopqrstuvwxyz/ ')"/>
		<xsl:value-of select="$newline"/>
		<xsl:value-of select="translate($cpframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\%20','abcdefghijklmnopqrstuvwxyz/ ')"/>
	</xsl:template>
	<!-- Process Layer -->
	<xsl:template match="LAYER" mode="build-js">
		<xsl:param name="isMerge"/>
		<xsl:variable name="layername" select="@LAYERNAME"/>
		<xsl:if test="$layername">
			<xsl:if test="not($layername='')">
				<xsl:if test="not($layername='none')">
					<xsl:if test="($isMerge='true' and not($objFramelist/LAYERS/LAYER[@LAYERNAME=$layername])) or $isMerge='false'">
						<xsl:value-of select="$newline"/>
						<xsl:text>			arrCPLayers["</xsl:text>
						<xsl:value-of select="$layername"/>
						<xsl:text>"] = new CPLayer();</xsl:text>
						<xsl:value-of select="$newline"/>
						<xsl:text>			arrCPLayers["</xsl:text>
						<xsl:value-of select="$layername"/>
						<xsl:text>"].NAME="</xsl:text>
						<xsl:value-of select="@LAYERNAME"/>
						<xsl:text>";</xsl:text>
						<xsl:if test="$isMerge='false'">
							<xsl:value-of select="$newline"/>
							<xsl:text>			arrCPLayers["</xsl:text>
							<xsl:value-of select="$layername"/>
							<xsl:text>"].INDEX = </xsl:text>
							<xsl:value-of select="position()-1"/>
							<xsl:text>;</xsl:text>
						</xsl:if>
						<xsl:value-of select="$newline"/>
						<xsl:text>			arrCPLayers["</xsl:text>
						<xsl:value-of select="$layername"/>
						<xsl:variable name="posnext" select="position()+1"/>
						<xsl:variable name="postlayer" select="../LAYER[number($posnext)]"/>
						<xsl:text>"].NEXT="</xsl:text>
						<xsl:value-of select="$postlayer/@LAYERNAME"/>
						<xsl:text>";</xsl:text>
						<!-- <xsl:text>"].NEXT="</xsl:text><xsl:value-of select="following::LAYER/@LAYERNAME"/><xsl:text>";</xsl:text> -->
						<xsl:value-of select="$newline"/>
						<xsl:text>			arrCPLayers["</xsl:text>
						<xsl:value-of select="$layername"/>
						<xsl:variable name="posprev" select="position()-1"/>
						<xsl:variable name="prelayer" select="../LAYER[number($posprev)]"/>
						<xsl:text>"].PREVIOUS="</xsl:text>
						<xsl:if test="not($prelayer/@LAYERNAME='none')">
							<xsl:value-of select="$prelayer/@LAYERNAME"/>
						</xsl:if>
						<xsl:text>";</xsl:text>
						<xsl:apply-templates select="../LAYER[@LAYERNAME=$layername]/LAYEROBJECT" mode="build-layer">
							<xsl:with-param name="layername" select="$layername"/>
						</xsl:apply-templates>
					</xsl:if>
				</xsl:if>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!-- Process Layer object -->
	<xsl:template match="LAYEROBJECT" mode="build-layer">
		<xsl:param name="layername"/>
		<xsl:value-of select="$newline"/>
		<xsl:text>			arrCPLayers["</xsl:text>
		<xsl:value-of select="$layername"/>
		<xsl:text>"].OBJECTS["</xsl:text>
		<xsl:value-of select="@FRAMELISTOBJECTREF"/>
		<xsl:text>"] = "</xsl:text>
		<xsl:value-of select="@FRAMELISTOBJECTREF"/>
		<xsl:text>";</xsl:text>
	</xsl:template>
	<!-- Process Image -->
	<xsl:template match="IMAGE" mode="for-next-sibling">
		<xsl:value-of select="$newline"/>
		<xsl:text>			arrNextImages[</xsl:text>
		<xsl:value-of select="position()-1"/>
		<xsl:text>] = "</xsl:text>
		<xsl:call-template name="getMediaPath">
			<xsl:with-param name="filename" select="translate(.,'\','/')"/>
		</xsl:call-template>
		<xsl:text>";</xsl:text>
	</xsl:template>
	<!-- Process Frame object -->
	<xsl:template match="FRAMEOBJECT" mode="for-body">
		<xsl:variable name="flor" select="@FRAMELISTOBJECTREF"/>
		<xsl:variable name="parentName" select="$objFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]/@PARENT"/>
		<xsl:variable name="bShow">
			<xsl:choose>
				<xsl:when test="$objFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]/@PARENT">
					<xsl:choose>
						<xsl:when test="$parentName=''">true</xsl:when>
						<xsl:when test="$objFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$parentName]">false</xsl:when>
						<xsl:otherwise>true</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>true</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="$objFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor][@TYPE='container']">
				<xsl:apply-templates select="$objFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]" mode="for-body">
					<xsl:with-param name="passedobjFramelist" select="$objFramelist"/>
					<xsl:with-param name="objSCOContent" select="$objSCOContent"/>
					<xsl:with-param name="objLayout" select="$objLayout"/>
					<xsl:with-param name="bMerge" select="'false'"/>
					<xsl:with-param name="bShow" select="$bShow"/>
					<xsl:with-param name="Container" select="''"/>
				</xsl:apply-templates>
				<xsl:for-each select="$objFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]/FRAMELISTOBJECT">
					<xsl:variable name="foid" select="@NAME"/>
					<xsl:apply-templates select="." mode="for-body">
						<xsl:with-param name="passedobjFramelist" select="$objFramelist"/>
						<xsl:with-param name="objSCOContent" select="$objSCOContent"/>
						<xsl:with-param name="objLayout" select="$objLayout"/>
						<xsl:with-param name="bMerge" select="'false'"/>
						<xsl:with-param name="bShow" select="$bShow"/>
						<xsl:with-param name="Container" select="string($flor)"/>
					</xsl:apply-templates>
				</xsl:for-each>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="$objFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]" mode="for-body">
					<xsl:with-param name="passedobjFramelist" select="$objFramelist"/>
					<xsl:with-param name="objSCOContent" select="$objSCOContent"/>
					<xsl:with-param name="objLayout" select="$objLayout"/>
					<xsl:with-param name="bMerge" select="'false'"/>
					<xsl:with-param name="bShow" select="$bShow"/>
					<xsl:with-param name="Container" select="''"/>
				</xsl:apply-templates>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="FRAMEOBJECT" mode="for-body-merge">
		<xsl:param name="objMergeSCOContent"/>
		<xsl:param name="objMergeFramelist"/>
		<xsl:param name="objMergeLayout"/>
		<xsl:param name="nPosition"/>
		<xsl:variable name="flor" select="@FRAMELISTOBJECTREF"/>
		<xsl:variable name="parentName" select="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]/@PARENT"/>
		<xsl:variable name="bShow">
			<xsl:choose>
				<xsl:when test="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]/@PARENT">
					<xsl:choose>
						<xsl:when test="$parentName=''">true</xsl:when>
						<xsl:when test="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$parentName]">false</xsl:when>
						<xsl:otherwise>true</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>true</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="not($objFramelist/FRAMES/FRAME[number($framenum)][@NAME=$flor])">
			<xsl:variable name="bCreateObj">
				<xsl:call-template name="doesFLOExist">
					<xsl:with-param name="eventid" select="$eventid"/>
					<xsl:with-param name="flo" select="$flor"/>
					<xsl:with-param name="nposition" select="number($nPosition)-1"/>
				</xsl:call-template>
			</xsl:variable>
			<xsl:if test="not($bCreateObj='false')">
				<xsl:apply-templates select="$objMergeFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@NAME=$flor]" mode="for-body">
					<xsl:with-param name="objSCOContent" select="$objMergeSCOContent"/>
					<xsl:with-param name="objLayout" select="$objMergeLayout"/>
					<xsl:with-param name="bMerge" select="'true'"/>
					<xsl:with-param name="bShow" select="$bShow"/>
					<xsl:with-param name="passedobjFramelist" select="$objMergeFramelist"/>
					<xsl:with-param name="Container" select="''"/>
				</xsl:apply-templates>
			</xsl:if>
		</xsl:if>
	</xsl:template>
	<!-- Process Frame List object -->
	<xsl:template match="FRAMELISTOBJECT" mode="for-body">
		<xsl:param name="objSCOContent"/>
		<xsl:param name="objLayout"/>
		<xsl:param name="bMerge"/>
		<xsl:param name="bShow"/>
		<xsl:param name="passedobjFramelist"/>
		<xsl:param name="Container"/>
		<!--<xsl:value-of select="$newline"/>-->
		<xsl:variable name="cor" select="@CONTENTREF"/>
		<xsl:variable name="lor" select="@LAYOUTOBJECTREF"/>
		<xsl:variable name="foname" select="@NAME"/>
		<xsl:variable name="div_tag" select="concat('div_',$foname)"/>
		<xsl:variable name="div_lbl_tag" select="concat('div_lbl_',$foname)"/>
		<xsl:variable name="div_int_tag" select="concat('div_int_',$foname)"/>
		<xsl:choose>
			<xsl:when test="$Container!=''">
				<xsl:variable name="lobjSCOContent" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT/*[@NAME=$Container]"/>
				<xsl:variable name="cos">
					<xsl:choose>
						<xsl:when test="translate($lobjSCOContent/*[@NAME=$cor]/@INHERIT,'TRUEFALS','truefals')='true' and ../@CONTAINERSCOPE!=''">
							<xsl:value-of select="../@CONTAINERSCOPE"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$lobjSCOContent/*[@NAME=$cor]/@CONTENTSCOPE"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="lobjLayout" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/*[@NAME=$Container]"/>
				<xsl:variable name="los">
					<xsl:choose>
						<xsl:when test="translate($lobjLayout/LAYOUTOBJECT[@NAME=$lor]/@INHERIT,'TRUEFALS','truefals')='true' and ../@CONTAINERSCOPE!=''">
							<xsl:call-template name="getLayoutFileFromEvent">
								<xsl:with-param name="eventpath" select="../@CONTAINERSCOPE"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$lobjLayout/LAYOUTOBJECT[@NAME=$lor]/@LAYOUTOBJECTSCOPE"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>
				<xsl:variable name="cplayoutpath" select="translate(concat($cplayoutsdir,$los,'.xml'),'\','/')"/>
				<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
				<xsl:variable name="bContentObjectLocal">
					<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
						<xsl:value-of select="'true'"/>
					</xsl:if>
				</xsl:variable>
				<!-- This supports the referencing model. Need to know if the Layout Object is local or referenced. -->
				<xsl:variable name="bLayoutObjectLocal">
					<xsl:if test="$los = 'local' or $los = 'Local' or $los='' or not($los)">
						<xsl:value-of select="'true'"/>
					</xsl:if>
				</xsl:variable>
				<xsl:if test="$bShow='true'">
					<!-- Because we separate Content and Layout this code merges them all into one object. -->
					<xsl:choose>
						<!-- content local, layout object local -->
						<xsl:when test="string($bContentObjectLocal) and string($bLayoutObjectLocal)">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="$lobjSCOContent//*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="$lobjLayout//LAYOUTOBJECT[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'clll'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
								<xsl:with-param name="container" select="$Container"/>
							</xsl:call-template>
						</xsl:when>
						<!-- referencing content, layout object local -->
						<xsl:when test="not(string($bContentObjectLocal)) and string($bLayoutObjectLocal)">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT//*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="$lobjLayout//LAYOUTOBJECT[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'cgll'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
								<xsl:with-param name="container" select="$Container"/>
							</xsl:call-template>
						</xsl:when>
						<!-- content local, referencing layout object -->
						<xsl:when test="string($bContentObjectLocal) and not(string($bLayoutObjectLocal))">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="$lobjSCOContent//*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT//*[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'cllg'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
								<xsl:with-param name="container" select="$Container"/>
							</xsl:call-template>
						</xsl:when>
						<!-- referencing content, referencing layout object -->
						<xsl:when test="not(string($bContentObjectLocal)) and not(string($bLayoutObjectLocal))">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT//*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT//*[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'cglg'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
								<xsl:with-param name="container" select="$Container"/>
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="cos" select="$objSCOContent/*[@NAME=$cor]/@CONTENTSCOPE"/>
				<xsl:variable name="los" select="$objLayout/LAYOUTOBJECT[@NAME=$lor]/@LAYOUTOBJECTSCOPE"/>
				<xsl:variable name="cpscocontentpath" select="translate(concat($cpscocontentsdir,$cos,'.xml'),'\','/')"/>
				<xsl:variable name="cplayoutpath" select="translate(concat($cplayoutsdir,$los,'.xml'),'\','/')"/>
				<!-- This supports the referencing model. Need to know if the Content is local or referenced. -->
				<xsl:variable name="bContentObjectLocal">
					<xsl:if test="$cos = 'local' or $cos = 'Local' or $cos='' or not($cos)">
						<xsl:value-of select="'true'"/>
					</xsl:if>
				</xsl:variable>
				<!-- This supports the referencing model. Need to know if the Layout Object is local or referenced. -->
				<xsl:variable name="bLayoutObjectLocal">
					<xsl:if test="$los = 'local' or $los = 'Local' or $los='' or not($los)">
						<xsl:value-of select="'true'"/>
					</xsl:if>
				</xsl:variable>
				<xsl:if test="$bShow='true'">
					<!-- Because we separate Content and Layout this code merges them all into one object. -->
					<xsl:choose>
						<!-- content local, layout object local -->
						<xsl:when test="string($bContentObjectLocal) and string($bLayoutObjectLocal)">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="$objSCOContent/*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="$objLayout/LAYOUTOBJECT[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'clll'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
							</xsl:call-template>
						</xsl:when>
						<!-- referencing content, layout object local -->
						<xsl:when test="not(string($bContentObjectLocal)) and string($bLayoutObjectLocal)">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT/*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="$objLayout/LAYOUTOBJECT[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'cgll'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
							</xsl:call-template>
						</xsl:when>
						<!-- content local, referencing layout object -->
						<xsl:when test="string($bContentObjectLocal) and not(string($bLayoutObjectLocal))">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="$objSCOContent/*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/*[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'cllg'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
							</xsl:call-template>
						</xsl:when>
						<!-- referencing content, referencing layout object -->
						<xsl:when test="not(string($bContentObjectLocal)) and not(string($bLayoutObjectLocal))">
							<xsl:call-template name="createFrameObject">
								<xsl:with-param name="passedobjFramelist" select="$passedobjFramelist"/>
								<xsl:with-param name="objFrameListObject" select="."/>
								<xsl:with-param name="objContentObject" select="document(translate($cpscocontentpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/SCOCONTENT/*[@NAME=$cor]"/>
								<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/*[@NAME=$lor]"/>
								<xsl:with-param name="scopeType" select="'cglg'"/>
								<xsl:with-param name="bMerge" select="$bMerge"/>
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Creates a Frame Object. A Frame Object consists of a Content Object and a Layout Object that contatins the position and style information. -->
	<xsl:template name="createFrameObject">
		<xsl:param name="passedobjFramelist"/>
		<xsl:param name="objFrameListObject"/>
		<xsl:param name="objContentObject"/>
		<xsl:param name="objLayoutObject"/>
		<xsl:param name="scopeType"/>
		<xsl:param name="bMerge"/>
		<xsl:param name="container"/>
		<xsl:variable name="foname" select="$objFrameListObject/@NAME"/>
		<xsl:variable name="compoundfoname">
			<xsl:choose>
				<xsl:when test="$container!=''">
					<xsl:value-of select="concat($container,'.',$foname)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$foname"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="compoundfuncname">
			<xsl:choose>
				<xsl:when test="$container!=''">
					<xsl:value-of select="concat($container,'_',$foname)"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$compoundfoname"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="div_tag" select="concat('div_',$compoundfoname)"/>
		<xsl:variable name="div_lbl_tag" select="concat('div_lbl_',$compoundfoname)"/>
		<xsl:variable name="div_int_tag" select="concat('div_int_',$compoundfoname)"/>
		<xsl:variable name="formatted_fsr">
			<xsl:choose>
				<xsl:when test="translate($objSCO/CURRENT/@IGNOREFONTS,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
					<xsl:value-of select="'none'"/>
				</xsl:when>
				<xsl:when test="$objLayoutObject/@FONTSTYLEREF='none'">
					<xsl:value-of select="'none'"/>
				</xsl:when>
				<xsl:when test="$objLayoutObject/@FONTSTYLEREF">
					<xsl:text>font_</xsl:text>
					<xsl:value-of select="translate(translate(translate($objLayoutObject/@FONTSTYLEREF,'\','-'),' ','_'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'font_core-paragraph'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="formatted_bsr">
			<xsl:choose>
				<xsl:when test="translate($objSCO/CURRENT/@IGNOREBORDERS,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
					<xsl:value-of select="'none'"/>
				</xsl:when>
				<xsl:when test="$objLayoutObject/@BORDERSTYLEREF='none'">
					<xsl:value-of select="'none'"/>
				</xsl:when>
				<xsl:when test="$objLayoutObject/@BORDERSTYLEREF">
					<xsl:text>border_</xsl:text>
					<xsl:value-of select="translate(translate(translate($objLayoutObject/@BORDERSTYLEREF,'\','-'),' ','_'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'border_core-no_border'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<!-- Need to get the font color for the layout for applying to hyperlinks -->
		<xsl:variable name="fontcolor">
			<xsl:variable name="fsr" select="$objLayoutObject/@FONTSTYLEREF"/>
			<xsl:variable name="cpfontstylepath" select="translate(concat($cpfontstylesdir,$fsr,'.xml'),'\','/')"/>
			<xsl:choose>
				<xsl:when test="$fsr">
					<xsl:if test="not($formatted_fsr='none')">
						<xsl:value-of select="document(translate($cpfontstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/FONTSTYLE/@COLOR"/>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'FFFFFF'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="translate(@PUBLISH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='false'">
      </xsl:when>
			<xsl:when test="$container!='' and translate(../@PUBLISH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='false'">
      </xsl:when>
			<!-- Create a CONTAINER object -->
			<xsl:when test="@TYPE='container'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
					<xsl:with-param name="scrollbars" select="$objContentObject[1]/@SCROLLBARS"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<!-- Support Label For -->
				<!--        
        <xsl:if test="not($formatted_fsr='none')">
          <xsl:text disable-output-escaping="yes">&lt;span class="</xsl:text>
          <xsl:value-of select="$formatted_fsr"/>
          <xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
        </xsl:if>
        <xsl:choose>
          <xsl:when test="$objContentObject/child::*[2][self::DATA]">
            <xsl:call-template name="manageinlinestyle">
              <xsl:with-param name="objContentObject" select="$objContentObject"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="count($objContentObject/child::*) = '0'">
            <xsl:value-of select="$objContentObject" disable-output-escaping="yes"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="$objContentObject/INLINECONTENT" disable-output-escaping="yes"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="not($formatted_fsr='none')">
          <xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
        </xsl:if>
-->
				<!-- need to create Frame List objects for all children -->
				<xsl:apply-templates select="$passedobjFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@PARENT=$compoundfoname]" mode="for-body">
					<xsl:with-param name="objSCOContent" select="$objSCOContent"/>
					<xsl:with-param name="objLayout" select="$objLayout"/>
					<xsl:with-param name="bMerge" select="'false'"/>
					<xsl:with-param name="bShow" select="'true'"/>
				</xsl:apply-templates>
			</xsl:when>
			<!-- Create a TEXT object -->
			<xsl:when test="@TYPE='text'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
        <xsl:if test="$objContentObject[1]/@HTMLLANG">
          <xsl:text> lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
          <xsl:text> xml:lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
        </xsl:if>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<!-- Support Label For -->
				<xsl:if test="$objContentObject[1]/@LABELFOR">
					<xsl:if test="not($objContentObject[1]/@LABELFOR='')">
						<xsl:text disable-output-escaping="yes">&lt;label for="</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@LABELFOR"/>
						<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:if test="not($formatted_fsr='none')">
					<xsl:text disable-output-escaping="yes">&lt;span class="</xsl:text>
					<xsl:value-of select="$formatted_fsr"/>
					<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
				</xsl:if>
				<xsl:if test="@HTMLOBJECTTYPE!=''">
					<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
					<xsl:value-of select="@HTMLOBJECTTYPE"/>
					<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="not($objContentObject[1]/@DYNAMICTEXT)">
						<xsl:value-of select="$objContentObject" disable-output-escaping="yes"/>
					</xsl:when>
					<xsl:when test="not($objContentObject[1]/@DYNAMICTEXT='')">
						<xsl:variable name="singleQuote">
							<xsl:text>\"</xsl:text>
						</xsl:variable>
						<xsl:variable name="doubleQuote">
							<xsl:text>"</xsl:text>
						</xsl:variable>
						<xsl:text disable-output-escaping="yes">&lt;script language="javascript" type="text/javascript"&gt;document.write(eval("</xsl:text>
						<xsl:call-template name="globalReplace">
							<xsl:with-param name="outputString" select="$objContentObject[1]/@DYNAMICTEXT"/>
							<xsl:with-param name="target" select="$doubleQuote"/>
							<xsl:with-param name="replacement" select="$singleQuote"/>
						</xsl:call-template>
						<xsl:text disable-output-escaping="yes">"))&lt;/script&gt;</xsl:text>
					</xsl:when>
					<!-- added KP -->
					<xsl:otherwise>
						<xsl:choose>
							<xsl:when test="$objContentObject[1]/child::*[2][self::DATA]">
								<xsl:call-template name="manageinlinestyle">
									<xsl:with-param name="objContentObject" select="$objContentObject[1]"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:when test="count($objContentObject[1]/child::*) = '0'">
								<xsl:value-of select="$objContentObject[1]" disable-output-escaping="yes"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$objContentObject[1]/INLINECONTENT" disable-output-escaping="yes"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="@HTMLOBJECTTYPE!=''">
					<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
					<xsl:value-of select="@HTMLOBJECTTYPE"/>
					<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				</xsl:if>
				<xsl:if test="not($formatted_fsr='none')">
					<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
				</xsl:if>
				<!-- Support Label For -->
				<xsl:if test="$objContentObject[1]/@LABELFOR">
					<xsl:if test="not($objContentObject[1]/@LABELFOR='')">
						<xsl:text disable-output-escaping="yes">&lt;/label&gt;</xsl:text>
					</xsl:if>
				</xsl:if>
				<!-- need to create Frame List objects for all children -->
				<xsl:apply-templates select="$passedobjFramelist/FRAMELISTOBJECTS/FRAMELISTOBJECT[@PARENT=$compoundfoname]" mode="for-body">
					<xsl:with-param name="objSCOContent" select="$objSCOContent"/>
					<xsl:with-param name="objLayout" select="$objLayout"/>
					<xsl:with-param name="bMerge" select="'false'"/>
					<xsl:with-param name="bShow" select="'true'"/>
				</xsl:apply-templates>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create an IMAGE object -->
			<xsl:when test="@TYPE='image'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;img</xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objContentObject[1]/@ALPHATRANSPARENCY,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
						<xsl:text> style="filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(enabled=true, sizingMethod=scale src='</xsl:text>
						<xsl:call-template name="getMediaPath">
							<xsl:with-param name="filename" select="translate($objContentObject[1],'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
						</xsl:call-template>
						<xsl:text>');"</xsl:text>
						<xsl:text> src="blank.gif"</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text> src="</xsl:text>
						<xsl:call-template name="getMediaPath">
							<xsl:with-param name="filename" select="translate($objContentObject[1],'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
						</xsl:call-template>
						<xsl:text>"</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text> alt="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="$objContentObject[1]/@LONGDESC">
					<xsl:if test="$objContentObject[1]/@LONGDESC!=''">
						<xsl:text> longdesc="</xsl:text>
						<xsl:choose>
							<xsl:when test="substring($objContentObject[1]/@LONGDESC,1,5)='[url]'">
								<xsl:value-of select="$objContentObject[1]/@LONGDESC"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="translate(concat($contentdir,'\scocontents\',$sco,'\',$eventid,'_',$objContentObject[1]/@NAME,'.html'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>"</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:text> title="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="not($objLayoutObject/@WIDTH='null')">
					<xsl:text> width="</xsl:text>
					<xsl:value-of select="$objLayoutObject/@WIDTH"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
					<xsl:text> height="</xsl:text>
					<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create an MULTISTATEIMAGE object -->
			<xsl:when test="@TYPE='multistateimage'">
				<xsl:variable name="msi">
					<xsl:choose>
						<xsl:when test="$objContentObject[1]/@DEFAULTSTATE='state 1'">
							<xsl:value-of select="$objContentObject[1]/STATE1/IMAGE"/>
						</xsl:when>
						<xsl:when test="$objContentObject[1]/@DEFAULTSTATE='state 2'">
							<xsl:value-of select="$objContentObject[1]/STATE2/IMAGE"/>
						</xsl:when>
						<xsl:when test="$objContentObject[1]/@DEFAULTSTATE='state 3'">
							<xsl:value-of select="$objContentObject[1]/STATE3/IMAGE"/>
						</xsl:when>
						<xsl:when test="$objContentObject[1]/@DEFAULTSTATE='state 4'">
							<xsl:value-of select="$objContentObject[1]/STATE4/IMAGE"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$objContentObject[1]/STATE1/IMAGE"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;img</xsl:text>
				<xsl:text> src="</xsl:text>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($msi,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
				</xsl:call-template>
				<xsl:text>"</xsl:text>
				<xsl:text> alt="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="$objContentObject[1]/@LONGDESC">
					<xsl:if test="$objContentObject[1]/@LONGDESC!=''">
						<xsl:text> longdesc="</xsl:text>
						<xsl:choose>
							<xsl:when test="substring($objContentObject[1]/@LONGDESC,1,5)='[url]'">
								<xsl:value-of select="$objContentObject[1]/@LONGDESC"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="translate(concat($contentdir,'\scocontents\',$sco,'\',$eventid,'_',$objContentObject[1]/@NAME,'.html'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>"</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:text> title="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="not($objLayoutObject/@WIDTH='null')">
					<xsl:text> width="</xsl:text>
					<xsl:value-of select="$objLayoutObject/@WIDTH"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
					<xsl:text> height="</xsl:text>
					<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:text> name="msi_</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create a HOTSPOT object -->
			<xsl:when test="@TYPE='hotspot'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:variable name="hasAction">
					<xsl:if test="$objFrameListObject/ACTION/@EVENT='onclick' or $objFrameListObject/ACTION/@EVENT='ondblclick' or $objFrameListObject/ACTION/@EVENT='onmousedown' or $objFrameListObject/ACTION/@EVENT='onmousemove' or $objFrameListObject/ACTION/@EVENT='onmouseover' or$objFrameListObject/ACTION/@EVENT='onmouseout' or $objFrameListObject/ACTION/@EVENT='onmouseup'">
						<xsl:text>true</xsl:text>
					</xsl:if>
				</xsl:variable>
				<xsl:if test="$hasAction='true'">
					<xsl:text disable-output-escaping="yes">&lt;a href="javascript:void(0);"&gt;</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">&lt;img</xsl:text>
				<xsl:text> src="</xsl:text>
				<xsl:value-of select="$mediaPath"/>
				<xsl:text>core/images/blank.gif"</xsl:text>
				<xsl:text> alt="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="$objContentObject[1]/@LONGDESC">
					<xsl:if test="$objContentObject[1]/@LONGDESC!=''">
						<xsl:text> longdesc="</xsl:text>
						<xsl:choose>
							<xsl:when test="substring($objContentObject[1]/@LONGDESC,1,5)='[url]'">
								<xsl:value-of select="$objContentObject[1]/@LONGDESC"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="translate(concat($contentdir,'\scocontents\',$sco,'\',$eventid,'_',$objContentObject[1]/@NAME,'.html'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>"</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:text> title="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:text> border="0"</xsl:text>
				<xsl:text> name="spt_</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:text> width="</xsl:text>
				<xsl:value-of select="$objLayoutObject/@WIDTH"/>
				<xsl:text>"</xsl:text>
				<xsl:text> height="</xsl:text>
				<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
				<xsl:text>"</xsl:text>
				<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
				<xsl:if test="$hasAction='true'">
					<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create a MULTISTATEBUTTON object -->
			<xsl:when test="@TYPE='multistatebutton'">
				<xsl:variable name="msb">
					<xsl:choose>
						<xsl:when test="$objContentObject[1]/@DEFAULTSTATE='enabled'">
							<xsl:value-of select="$objContentObject[1]/ENABLEDSTATE/IMAGE"/>
						</xsl:when>
						<xsl:when test="$objContentObject[1]/@DEFAULTSTATE='highlight'">
							<xsl:value-of select="$objContentObject[1]/HIGHLIGHTSTATE/IMAGE"/>
						</xsl:when>
						<xsl:when test="$objContentObject[1]/@DEFAULTSTATE='disabled'">
							<xsl:value-of select="$objContentObject[1]/DISABLEDSTATE/IMAGE"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$objContentObject[1]/ENABLEDSTATE/IMAGE"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="$noframe='true'">


          </xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body-multistatebutton">
							<xsl:with-param name="compoundname" select="$compoundfoname"/>
						</xsl:apply-templates>
						<xsl:if test="not($objFrameListObject/ACTION/@EVENT='onmouseover')">
							<xsl:text> </xsl:text>
							<xsl:text>onmouseover</xsl:text>
							<xsl:choose>
								<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
									<xsl:text>="if (new CP.CButton('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>',window).isButtonEnabled()) {</xsl:text>
									<xsl:text>CP.setButtonCursor(this,'pointer'); </xsl:text>
									<xsl:text>new CP.CButton('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>',window).setButtonState('highlight'); </xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>="if (CP.IsButtonEnabled('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>',window)) {</xsl:text>
									<xsl:text>CP.setButtonCursor(this,'pointer');CP.SetButtonState('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>','highlight',window); </xsl:text>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:text>} else {CP.setButtonCursor(this,'default')} return false;"</xsl:text>
						</xsl:if>
						<xsl:if test="not($objFrameListObject/ACTION/@EVENT='onmouseout')">
							<xsl:text> </xsl:text>
							<xsl:text>onmouseout</xsl:text>
							<xsl:choose>
								<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
									<xsl:text>="if (new CP.CButton('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>',window).isButtonEnabled()) {</xsl:text>
									<xsl:text>CP.setButtonCursor(this,'default'); </xsl:text>
									<xsl:text>new CP.CButton('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>',window).setButtonState('enabled'); </xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:text>="if (CP.IsButtonEnabled('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>',window)) {</xsl:text>
									<xsl:text>CP.setButtonCursor(this,'default'); CP.SetButtonState('</xsl:text>
									<xsl:value-of select="$compoundfoname"/>
									<xsl:text>','enabled',window); </xsl:text>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:text>} return false;"</xsl:text>
						</xsl:if>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;a href="javascript:void(0);"&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;img</xsl:text>
				<xsl:text> src="</xsl:text>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($msb,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
				</xsl:call-template>
				<xsl:text>"</xsl:text>
				<xsl:text> alt="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="$objContentObject[1]/@LONGDESC">
					<xsl:if test="$objContentObject[1]/@LONGDESC!=''">
						<xsl:text> longdesc="</xsl:text>
						<xsl:choose>
							<xsl:when test="substring($objContentObject[1]/@LONGDESC,1,5)='[url]'">
								<xsl:value-of select="$objContentObject[1]/@LONGDESC"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="translate(concat($contentdir,'\scocontents\',$sco,'\',$eventid,'_',$objContentObject[1]/@NAME,'.html'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>"</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:text> title="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>"</xsl:text>
				<xsl:text> border="0"</xsl:text>
				<xsl:text> name="btn_</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="not($objLayoutObject/@WIDTH='null')">
					<xsl:text> width="</xsl:text>
					<xsl:value-of select="$objLayoutObject/@WIDTH"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
					<xsl:text> height="</xsl:text>
					<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
				<!-- only do following if there is a caption -->
				<xsl:if test="(($objContentObject[1]/@DYNAMICCAPTION) and (not($objContentObject[1]/@DYNAMICCAPTION=''))) or (($objContentObject[1]/TEXT) and (not($objContentObject[1]/TEXT='')))">
					<xsl:text disable-output-escaping="yes">&lt;div</xsl:text>
					<xsl:text> id="</xsl:text>
					<xsl:value-of select="$div_lbl_tag"/>
					<xsl:text>"</xsl:text>
					<xsl:call-template name="createInlineStyleForLabel">
						<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
						<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					</xsl:call-template>
					<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
					<xsl:text disable-output-escaping="yes">&lt;a href="javascript:void(0);" style="text-decoration:none;</xsl:text>
					<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
					<xsl:if test="not($formatted_fsr='none')">
						<xsl:text disable-output-escaping="yes">&lt;span class="</xsl:text>
						<xsl:value-of select="$formatted_fsr"/>
						<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
					</xsl:if>
					<xsl:choose>
						<xsl:when test="not($objContentObject[1]/@DYNAMICCAPTION)">
							<xsl:value-of select="$objContentObject[1]/TEXT" disable-output-escaping="yes"/>
						</xsl:when>
						<xsl:when test="not($objContentObject[1]/@DYNAMICCAPTION='')">
							<xsl:variable name="singleQuote">
								<xsl:text>\"</xsl:text>
							</xsl:variable>
							<xsl:variable name="doubleQuote">
								<xsl:text>"</xsl:text>
							</xsl:variable>
							<xsl:text disable-output-escaping="yes">&lt;script language="javascript" type="text/javascript"&gt;document.write(eval("</xsl:text>
							<xsl:call-template name="globalReplace">
								<xsl:with-param name="outputString" select="$objContentObject[1]/@DYNAMICCAPTION"/>
								<xsl:with-param name="target" select="$doubleQuote"/>
								<xsl:with-param name="replacement" select="$singleQuote"/>
							</xsl:call-template>
							<xsl:text disable-output-escaping="yes">"))&lt;/script&gt;</xsl:text>
						</xsl:when>
						<!--	
					<xsl:otherwise>
						<xsl:value-of select="$objContentObject[1]/TEXT" disable-output-escaping="yes"/>
					</xsl:otherwise>
					-->
						<!-- added by KP -->
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="$objContentObject[1]/TEXT/child::*[2][self::DATA]">
									<xsl:call-template name="manageinlinestyle">
										<xsl:with-param name="objContentObject" select="$objContentObject[1]/TEXT"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:when test="count($objContentObject[1]/TEXT/child::*) = '0'">
									<xsl:value-of select="$objContentObject[1]/TEXT" disable-output-escaping="yes"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$objContentObject[1]/TEXT/INLINECONTENT" disable-output-escaping="yes"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="not($formatted_fsr='none')">
						<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
					</xsl:if>
					<xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text>
					<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<xsl:when test="@TYPE='audio'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;script for="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text disable-output-escaping="yes">" event="markerHit(lMarkerNum)" language="javascript" type="text/javascript"&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">if (""+CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_audioMarkerHit != "undefined"){CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_audioMarkerHit(lMarkerNum);}</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/script&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;script for="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text disable-output-escaping="yes">" event="playStateChange(newState)" language="javascript" type="text/javascript"&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">if (""+CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_audioRespondToEvent != "undefined"){CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_audioRespondToEvent(newState);}</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/script&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;script language="javascript" type="text/javascript"&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">var sObj = CP.CreateHTMLAObject("id='</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>',</xsl:text>
				<xsl:if test="not($objLayoutObject/@WIDTH='null')">
					<xsl:text>width='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@WIDTH"/>
					<xsl:text>',</xsl:text>
				</xsl:if>
				<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
					<xsl:text>height='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
					<xsl:text>',</xsl:text>
				</xsl:if>
				<xsl:text>classid='CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6',</xsl:text>
				<xsl:text>standby='Loading Windows Media Player Components...',</xsl:text>
				<xsl:text>type='application/x-oleobject',</xsl:text>
				<xsl:text>title='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>'",</xsl:text>
				<xsl:text disable-output-escaping="yes">"name='url',value='</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "/</xsl:text>
				</xsl:if>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($objContentObject[1]/@FILENAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
					<xsl:with-param name="lmultipubrel" select="$multipubrel"/>
				</xsl:call-template>
				<xsl:if test="$objContentObject[1]/@SHOWCONTROLS">
					<xsl:text disable-output-escaping="yes">',name='uimode',value='</xsl:text>
					<xsl:value-of select="$objContentObject[1]/@SHOWCONTROLS"/>
				</xsl:if>
				<xsl:if test="$objContentObject[1]/@AUTOSTART">
					<xsl:text disable-output-escaping="yes">',name='autostart' value='</xsl:text>
					<xsl:value-of select="$objContentObject[1]/@AUTOSTART"/>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">'","audio");CP.DivDocWrite(self,sObj);</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/script&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<xsl:when test="@TYPE='video'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				xsl:value-of select="$foname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;script for="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text disable-output-escaping="yes">" event="markerHit(lMarkerNum)" language="javascript" type="text/javascript"&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">if (""+CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_videoMarkerHit != "undefined"){CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_videoMarkerHit(lMarkerNum);}</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/script&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;script for="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text disable-output-escaping="yes">" event="playStateChange(newState)" language="javascript" type="text/javascript"&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">if (""+CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_videoRespondToEvent != "undefined"){CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_videoRespondToEvent(newState);}</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/script&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;script language="javascript" type="text/javascript"&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">var sObj = CP.CreateHTMLAObject("id='</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>'</xsl:text>
				<xsl:if test="not($objLayoutObject/@WIDTH='null')">
					<xsl:text>,width='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@WIDTH"/>
					<xsl:text>'</xsl:text>
				</xsl:if>
				<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
					<xsl:text>,height='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
					<xsl:text>'</xsl:text>
				</xsl:if>
				<xsl:text>,classid='CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6'</xsl:text>
				<xsl:text>,standby='Loading Windows Media Player Components...'</xsl:text>
				<xsl:text>,type='application/x-oleobject'</xsl:text>
				<xsl:text>,title='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>'",</xsl:text>
				<xsl:text disable-output-escaping="yes">"name='url',value='</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "/</xsl:text>
				</xsl:if>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($objContentObject[1]/@FILENAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
					<xsl:with-param name="lmultipubrel" select="$multipubrel"/>
				</xsl:call-template>
				<xsl:if test="$objContentObject[1]/@SHOWCONTROLS">
					<xsl:text disable-output-escaping="yes">',name='uimode',value='</xsl:text>
					<xsl:value-of select="$objContentObject[1]/@SHOWCONTROLS"/>
				</xsl:if>
				<xsl:if test="$objContentObject[1]/@AUTOSTART">
					<xsl:text disable-output-escaping="yes">',name='autostart',value='</xsl:text>
					<xsl:value-of select="$objContentObject[1]/@AUTOSTART"/>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">'","video");CP.DivDocWrite(self,sObj);</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/script&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create a FLASH object -->
			<xsl:when test="@TYPE='flash'">
				<xsl:value-of select="$newline"/>
				<!-- Added so Flash can call back int javascript -->
				<xsl:text disable-output-escaping="yes">
				&lt;script language="javascript" type="text/javascript"&gt;
				&lt;!-- 
				//  Handle all the FSCommand messages in a Flash movie  
				function </xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text disable-output-escaping="yes">_DoFSCommand(command, args) { 
				try{
					CP.</xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text disable-output-escaping="yes">_handleFlash(command,args);
				}
				catch(e){
				}
				}
				//--&gt;
				&lt;/script&gt;
				&lt;script language="vbscript"&gt;
				&lt;!-- 
				//  Map VB script events to the JavaScript method - Netscape will ignore this... 
				//  Since FSCommand fires a VB event under ActiveX, we respond here 
				Sub </xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text>_FSCommand(ByVal command, ByVal args)
					call </xsl:text>
				<xsl:value-of select="$compoundfuncname"/>
				<xsl:text disable-output-escaping="yes">_DoFSCommand(command,args)
				end sub
				--&gt;
				&lt;/script&gt;
				</xsl:text>
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:variable name="pathContent">
					<xsl:choose>
						<xsl:when test="$multipubrel='true'">
							<xsl:value-of select="translate(concat('/scocontents/',$scocontent,'.xml'),'\','/')"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="translate(concat($contentpath,'scocontents/',$scocontent,'.xml'),'\','/')"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:text disable-output-escaping="yes">
				&lt;script language="javascript" type="text/javascript"&gt;
				if (CP.isMinIE5) {
					var sObj = CP.CreateHTMLAObject("id='</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>',</xsl:text>
				<xsl:if test="not($objLayoutObject/@WIDTH='null')">
					<xsl:text>width='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@WIDTH"/>
					<xsl:text>',</xsl:text>
				</xsl:if>
				<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
					<xsl:text>height='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
					<xsl:text>',</xsl:text>
				</xsl:if>
				<xsl:text>classid='CLSID:D27CDB6E-AE6D-11cf-96B8-444553540000',</xsl:text>
				<xsl:text>codebase='http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0',</xsl:text>
				<xsl:text>type='application/x-shockwave-flash',</xsl:text>
				<xsl:text>title='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>',</xsl:text>
				<!--				<xsl:if test="$objContentObject[1]/@LONGDESC!=''">
				<xsl:text>,longdesc='</xsl:text>
				<xsl:choose>
					<xsl:when test="substring($objContentObject[1]/@LONGDESC,1,5)='[url]'">
						<xsl:value-of select="$objContentObject[1]/@LONGDESC"/>
					</xsl:when>						
					<xsl:otherwise>
						<xsl:value-of select="translate(concat($contentdir,'\scocontents\',$sco,'\',$eventid,'_',$objContentObject[1]/@NAME,'.html'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>'</xsl:text>
				</xsl:if>
-->
				<xsl:text>alt='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALTTEXT"/>
				<xsl:text>'</xsl:text>
				<xsl:text>","</xsl:text>
				<xsl:text disable-output-escaping="yes">name='movie',value='</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "/</xsl:text>
				</xsl:if>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($objContentObject[1]/@FILENAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
					<xsl:with-param name="lmultipubrel" select="$multipubrel"/>
				</xsl:call-template>
				<xsl:text disable-output-escaping="yes">?pathContent=</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "</xsl:text>
				</xsl:if>
				<xsl:value-of disable-output-escaping="yes" select="translate($pathContent,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
				<xsl:text disable-output-escaping="yes">',name='play',value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@PLAY"/>
				<xsl:text disable-output-escaping="yes">',name='loop',value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@LOOP"/>
				<xsl:text disable-output-escaping="yes">',name='menu',value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@MENU"/>
				<xsl:text disable-output-escaping="yes">',name='quality',value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@QUALITY"/>
				<xsl:text disable-output-escaping="yes">',name='bgcolor',value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@BGCOLOR"/>
				<xsl:text disable-output-escaping="yes">',name='wmode',value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@WMODE"/>
				<xsl:text disable-output-escaping="yes">',name='swliveconnect',value='true'","flash");</xsl:text>
				<!--				
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='movie' value='</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "/</xsl:text>
				</xsl:if>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($objContentObject[1]/@FILENAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
					<xsl:with-param name="lmultipubrel" select="$multipubrel"/>
				</xsl:call-template>
				<xsl:text disable-output-escaping="yes">?pathContent=</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "</xsl:text>
				</xsl:if>
				<xsl:value-of disable-output-escaping="yes" select="translate($pathContent,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
				<xsl:text disable-output-escaping="yes">'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='play' value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@PLAY"/>
				<xsl:text disable-output-escaping="yes">'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='loop' value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@LOOP"/>
				<xsl:text disable-output-escaping="yes">'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='menu' value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@MENU"/>
				<xsl:text disable-output-escaping="yes">'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='quality' value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@QUALITY"/>
				<xsl:text disable-output-escaping="yes">'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='bgcolor' value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@BGCOLOR"/>
				<xsl:text disable-output-escaping="yes">'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='wmode' value='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@WMODE"/>
				<xsl:text disable-output-escaping="yes">'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;param name='swliveconnect' value='true'/&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/object&gt;");</xsl:text>
				<xsl:text disable-output-escaping="yes">
-->
				<xsl:text disable-output-escaping="yes">
					CP.DivDocWrite(self,sObj);
				} else if (CP.isNS6) {
					document.write("&lt;embed </xsl:text>
				<xsl:text disable-output-escaping="yes"> src='</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "/</xsl:text>
				</xsl:if>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($objContentObject[1]/@FILENAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
					<xsl:with-param name="lmultipubrel" select="$multipubrel"/>
				</xsl:call-template>
				<xsl:text>?pathContent=</xsl:text>
				<xsl:if test="$multipubrel='true'">
					<xsl:text disable-output-escaping="yes">" + CP.m_sMultiCourseDir + "</xsl:text>
				</xsl:if>
				<xsl:value-of disable-output-escaping="yes" select="translate($pathContent,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
				<xsl:text disable-output-escaping="yes">' play='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@PLAY"/>
				<xsl:text>' loop='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@LOOP"/>
				<xsl:text>' menu='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@MENU"/>
				<xsl:text>' quality='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@QUALITY"/>
				<xsl:text>' bgcolor='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@BGCOLOR"/>
				<xsl:text>' wmode='</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@WMODE"/>
				<xsl:if test="not($objLayoutObject/@WIDTH='null')">
					<xsl:text>' width='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@WIDTH"/>
				</xsl:if>
				<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
					<xsl:text>' height='</xsl:text>
					<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
				</xsl:if>
				<xsl:text>' swLiveConnect='true' id='</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>' name='</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text disable-output-escaping="yes">' align='' type='application/x-shockwave-flash' pluginspage='http://www.macromedia.com/go/getflashplayer'</xsl:text>
				<xsl:text disable-output-escaping="yes">&gt;&lt;/embed&gt;");
				}</xsl:text>
				<xsl:text disable-output-escaping="yes">
				&lt;/script&gt;
				</xsl:text>
				<!--  <xsl:text disable-output-escaping="yes">
				&lt;script language="javascript"&gt;
					</xsl:text><xsl:variable name="pathContent" select="translate(concat($contentpath,'scocontents/',$scocontent,'.xml'),'\','/')"/><xsl:text disable-output-escaping="yes">
					document.getElementById("</xsl:text><xsl:value-of select="$foname"/><xsl:text disable-output-escaping="yes">").SetVariable("pathContent", "</xsl:text><xsl:value-of disable-output-escaping="yes" select="translate($pathContent,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/><xsl:text disable-output-escaping="yes">");
				&lt;/script&gt;
				</xsl:text> -->
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create a SIMULATION object -->
			<xsl:when test="@TYPE='simulation'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<!--<xsl:text>" name="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>-->
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:variable name="newwin" select="translate($objContentObject[1]/@SPNEWWIN,'TRUEFALS','truefals')"/>
				<xsl:variable name="centerwin" select="translate($objContentObject[1]/@SPNEWWINCENTER,'TRUEFALS','truefals')"/>
				<xsl:variable name="screenleft">
					<xsl:choose>
						<xsl:when test="$centerwin='true'">
              eval(((top.screen.width-<xsl:value-of select="$objContentObject[1]/@SPNEWWINWIDTH"/>)/2)-6)
            </xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="not($objContentObject[1]/@SPNEWWINLEFT)">
									<xsl:text>0</xsl:text>
								</xsl:when>
								<xsl:when test="$objContentObject[1]/@SPNEWWINWIDTH=''">
                  eval(((top.screen.width-<xsl:value-of select="$objContentObject[1]/@SPNEWWINWIDTH"/>)/2)-6)
                </xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$objContentObject[1]/@SPNEWWINLEFT"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="screentop">
					<xsl:choose>
						<xsl:when test="$centerwin='true'">
              eval(((top.screen.height-<xsl:value-of select="$objContentObject[1]/@SPNEWWINHEIGHT"/>)/2))
            </xsl:when>
						<xsl:otherwise>
							<xsl:choose>
								<xsl:when test="not($objContentObject[1]/@SPNEWWINTOP)">
									<xsl:text>0</xsl:text>
								</xsl:when>
								<xsl:when test="$objContentObject[1]/@SPNEWWINHEIGHT=''">
                  eval(((top.screen.height-<xsl:value-of select="$objContentObject[1]/@SPNEWWINHEIGHT"/>)/2)-6)
                </xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$objContentObject[1]/@SPNEWWINTOP"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:text disable-output-escaping="yes">
					&lt;script language="javascript" type="text/javascript"&gt;
						CP.g_simID ='</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text disable-output-escaping="yes">'
						CP.g_OnSimDone = "</xsl:text>
				<xsl:value-of select="$objFrameListObject/ACTION[@EVENT='onsimulationdone']"/>
				<xsl:text disable-output-escaping="yes">";
						CP.sSPEvaluateHasRun = false;
					&lt;/script&gt;
				</xsl:text>
				<xsl:choose>
					<xsl:when test="$newwin='true'">
						<xsl:text disable-output-escaping="yes">
						&lt;script language="javascript" type="text/javascript"&gt;
							var sNewSPWin ='';
							function openSPWin(){
								</xsl:text>
						<xsl:choose>
							<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
								<xsl:text>sNewSPWin = new CP.CUtil().openWindow("</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>sNewSPWin = CP.OpenWindow("</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
						<!-- *** Added by JJB for migration *** -->
						<xsl:choose>
							<xsl:when test="starts-with(translate($objContentObject[1]/@PATH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'),'media/')">
								<xsl:value-of select="$contentpath"/>
								<xsl:value-of select="translate($objContentObject[1]/@PATH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="getMediaPath">
									<xsl:with-param name="filename" select="translate($objContentObject[1]/@PATH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:variable name="mode" select="translate($objContentObject[1]/@MODE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
						<!-- *** Added by JJB for migration *** -->
						<!-- <xsl:variable name="extension" select="translate($objContentObject[1]/@EXTENSION,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/> -->
						<xsl:variable name="extension">
							<xsl:choose>
								<xsl:when test="$objContentObject[1]/@EXTENSION">
									<xsl:value-of select="$objContentObject[1]/@EXTENSION"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'htm'"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:choose>
							<xsl:when test="$mode='show me'">
								<xsl:text>/showme.</xsl:text>
								<xsl:value-of select="$extension"/>
							</xsl:when>
							<xsl:when test="$mode='guide me'">
								<xsl:text>/guideme.</xsl:text>
								<xsl:value-of select="$extension"/>
							</xsl:when>
							<xsl:when test="$mode='guide me - evaluate'">
								<xsl:text>/guideme.</xsl:text>
								<xsl:value-of select="$extension"/>
								<xsl:text>?donefunc=opener.parent.engine.spdonescore</xsl:text>
							</xsl:when>
							<xsl:when test="$mode='let me'">
								<xsl:text>/letme.</xsl:text>
								<xsl:value-of select="$extension"/>
							</xsl:when>
							<xsl:when test="$mode='let me - evaluate'">
								<xsl:text>/letme.</xsl:text>
								<xsl:value-of select="$extension"/>
								<xsl:text>?donefunc=opener.parent.engine.spdonescore</xsl:text>
							</xsl:when>
						</xsl:choose>
						<xsl:text>","999","SPwin",1,</xsl:text>
						<xsl:value-of select="$screenleft"/>
						<xsl:text>,</xsl:text>
						<xsl:value-of select="$screentop"/>
						<xsl:text>,</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@SPNEWWINWIDTH"/>
						<xsl:text>,</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@SPNEWWINHEIGHT"/>
						<xsl:text disable-output-escaping="yes">,"yes","</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@SCROLLBARS"/>
						<xsl:text disable-output-escaping="yes">","no","no","no","no");
							}
							CP.m_lSPTimeBegin = new Date();
							setTimeout('openSPWin()',0);
						&lt;/script&gt;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text disable-output-escaping="yes">&lt;iframe</xsl:text>
						<xsl:text> name="</xsl:text>
						<xsl:value-of select="$compoundfoname"/>
						<xsl:text>"</xsl:text>
						<xsl:text> src="</xsl:text>
						<!-- *** Added by JJB for migration *** -->
						<xsl:choose>
							<xsl:when test="starts-with(translate($objContentObject[1]/@PATH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'),'media/')">
								<xsl:value-of select="$contentpath"/>
								<xsl:value-of select="translate($objContentObject[1]/@PATH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="getMediaPath">
									<xsl:with-param name="filename" select="translate($objContentObject[1]/@PATH,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:variable name="mode" select="translate($objContentObject[1]/@MODE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/>
						<!-- *** Added by JJB for migration *** -->
						<!-- <xsl:variable name="extension" select="translate($objContentObject[1]/@EXTENSION,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')"/> -->
						<xsl:variable name="extension">
							<xsl:choose>
								<xsl:when test="$objContentObject[1]/@EXTENSION">
									<xsl:value-of select="$objContentObject[1]/@EXTENSION"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="'htm'"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:variable>
						<xsl:choose>
							<xsl:when test="$mode='show me'">
								<xsl:text>/showme.</xsl:text>
								<xsl:value-of select="$extension"/>
							</xsl:when>
							<xsl:when test="$mode='guide me'">
								<xsl:text>/guideme.</xsl:text>
								<xsl:value-of select="$extension"/>
							</xsl:when>
							<xsl:when test="$mode='guide me - evaluate'">
								<xsl:text>/guideme.</xsl:text>
								<xsl:value-of select="$extension"/>
								<xsl:text>?donefunc=parent.parent.engine.spdonescore</xsl:text>
							</xsl:when>
							<xsl:when test="$mode='let me'">
								<xsl:text>/letme.</xsl:text>
								<xsl:value-of select="$extension"/>
							</xsl:when>
							<xsl:when test="$mode='let me - evaluate'">
								<xsl:text>/letme.</xsl:text>
								<xsl:value-of select="$extension"/>
								<xsl:text>?donefunc=parent.parent.engine.spdonescore</xsl:text>
							</xsl:when>
						</xsl:choose>
						<xsl:text>"</xsl:text>
						<xsl:text> width="</xsl:text>
						<xsl:value-of select="$objLayoutObject/@WIDTH"/>
						<xsl:text>"</xsl:text>
						<xsl:text> height="</xsl:text>
						<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
						<xsl:text>"</xsl:text>
						<xsl:text> frameborder="0"</xsl:text>
						<xsl:text> allowTransparency="true"</xsl:text>
						<xsl:text> scrolling="</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@SCROLLBARS"/>
						<xsl:text>"</xsl:text>
						<xsl:text> title="IBM Simulation Producer simulation"</xsl:text>
						<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
						<xsl:text>Sorry...your browser doesn't support simulations.</xsl:text>
						<xsl:text disable-output-escaping="yes">&lt;/iframe&gt;</xsl:text>
						<xsl:text disable-output-escaping="yes">&lt;script&gt;</xsl:text>CP.m_lSPTimeBegin = new Date();<xsl:text disable-output-escaping="yes">&lt;/script&gt;</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<xsl:when test="@TYPE='iframe'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<!--<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>-->
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:variable name="pathContent" select="translate(concat($contentpath,'scocontents/',$scocontent,'.xml'),'\','/')"/>
				<xsl:text disable-output-escaping="yes">&lt;iframe</xsl:text>
				<xsl:text> id="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:text> name="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:text> width="</xsl:text>
				<xsl:value-of select="$objLayoutObject/@WIDTH"/>
				<xsl:text>"</xsl:text>
				<xsl:text> height="</xsl:text>
				<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
				<xsl:text>"</xsl:text>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text> title="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@TITLE"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="$objContentObject[1]/@LONGDESC">
					<xsl:if test="$objContentObject[1]/@LONGDESC!=''">
						<xsl:text> longdesc="</xsl:text>
						<xsl:choose>
							<xsl:when test="substring($objContentObject[1]/@LONGDESC,1,5)='[url]'">
								<xsl:value-of select="$objContentObject[1]/@LONGDESC"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="translate(concat($contentdir,'\scocontents\',$sco,'\',$eventid,'_',$objContentObject[1]/@NAME,'.html'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>"</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:text> src="</xsl:text>
				<xsl:call-template name="getMediaPath">
					<xsl:with-param name="filename" select="translate($objContentObject[1]/@FILENAME,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
				</xsl:call-template>
				<xsl:text>"</xsl:text>
				<xsl:text> allowTransparency="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@ALLOWTRANSPARENCY"/>
				<xsl:text>"</xsl:text>
				<xsl:text> frameborder="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@FRAMEBORDER"/>
				<xsl:text>"</xsl:text>
				<xsl:text> scrolling="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@SCROLLBARS"/>
				<xsl:text>"</xsl:text>
				<!-- <xsl:text> align="</xsl:text><xsl:value-of select="$objContentObject[1]/@ALIGN"/><xsl:text>"</xsl:text>
					<xsl:text> marginwidth="</xsl:text><xsl:value-of select="$objContentObject[1]/@MARGINWIDTH"/><xsl:text>"</xsl:text>
					<xsl:text> marginheight="</xsl:text><xsl:value-of select="$objContentObject[1]/@MARGINHEIGHT"/><xsl:text>"</xsl:text> -->
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/iframe&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create an OPTION object -->
			<xsl:when test="@TYPE='option'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<xsl:text>"</xsl:text>
        <xsl:if test="$objContentObject[1]/@HTMLLANG">
          <xsl:text> lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
          <xsl:text> xml:lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
        </xsl:if>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;input</xsl:text>
				<xsl:text> type="radio"</xsl:text>
				<xsl:text> name="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@GROUP"/>
				<xsl:text>"</xsl:text>
				<xsl:text> value="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:text> id="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="translate($objContentObject[1]/@CHECKED,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
					<xsl:text> checked</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
				<xsl:if test="not($objContentObject[1]='')">
					<xsl:text disable-output-escaping="yes">&lt;label</xsl:text>
					<xsl:text> for="</xsl:text>
					<xsl:value-of select="$compoundfoname"/>
					<xsl:text>"</xsl:text>
					<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
					<xsl:if test="not($formatted_fsr='none')">
						<xsl:text disable-output-escaping="yes">&lt;span class="</xsl:text>
						<xsl:value-of select="$formatted_fsr"/>
						<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
					</xsl:if>
					<!-- added KP for inlinestyle-->
					<xsl:choose>
						<xsl:when test="$objContentObject[1]/child::*[2][self::DATA]">
							<xsl:call-template name="manageinlinestyle">
								<xsl:with-param name="objContentObject" select="$objContentObject[1]"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="count($objContentObject[1]/child::*) = '0'">
							<xsl:value-of select="$objContentObject[1]" disable-output-escaping="yes"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$objContentObject[1]/INLINECONTENT" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
					<!--
					<xsl:value-of select="$objContentObject[1]" disable-output-escaping="yes"/>
					-->
					<xsl:if test="not($formatted_fsr='none')">
						<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
					</xsl:if>
					<xsl:text disable-output-escaping="yes">&lt;/label&gt;</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create a CHECKBOX object -->
			<xsl:when test="@TYPE='checkbox'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<xsl:text>"</xsl:text>
        <xsl:if test="$objContentObject[1]/@HTMLLANG">
          <xsl:text> lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
          <xsl:text> xml:lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
        </xsl:if>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:text disable-output-escaping="yes">&lt;input</xsl:text>
				<xsl:text> type="checkbox"</xsl:text>
				<xsl:text> name="</xsl:text>
				<xsl:value-of select="$objContentObject[1]/@GROUP"/>
				<xsl:text>"</xsl:text>
				<xsl:text> value="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:text> id="</xsl:text>
				<xsl:value-of select="$compoundfoname"/>
				<xsl:text>"</xsl:text>
				<xsl:if test="translate($objContentObject[1]/@CHECKED,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
					<xsl:text> checked</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
				<xsl:if test="not($objContentObject[1]='')">
					<xsl:text disable-output-escaping="yes">&lt;label</xsl:text>
					<xsl:text> for="</xsl:text>
					<xsl:value-of select="$compoundfoname"/>
					<xsl:text>"</xsl:text>
					<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
					<xsl:if test="not($formatted_fsr='none')">
						<xsl:text disable-output-escaping="yes">&lt;span class="</xsl:text>
						<xsl:value-of select="$formatted_fsr"/>
						<xsl:text disable-output-escaping="yes">"&gt;</xsl:text>
					</xsl:if>
					<!--
					<xsl:value-of select="$objContentObject[1]" disable-output-escaping="yes"/>
					-->
					<!-- added KP for inlinestyle-->
					<xsl:choose>
						<xsl:when test="$objContentObject[1]/child::*[2][self::DATA]">
							<xsl:call-template name="manageinlinestyle">
								<xsl:with-param name="objContentObject" select="$objContentObject[1]"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="count($objContentObject[1]/child::*) = '0'">
							<xsl:value-of select="$objContentObject[1]" disable-output-escaping="yes"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$objContentObject[1]/INLINECONTENT" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="not($formatted_fsr='none')">
						<xsl:text disable-output-escaping="yes">&lt;/span&gt;</xsl:text>
					</xsl:if>
					<xsl:text disable-output-escaping="yes">&lt;/label&gt;</xsl:text>
				</xsl:if>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
			<!-- Create an EDITBOX object -->
			<xsl:when test="@TYPE='editbox'">
				<xsl:value-of select="$newline"/>
				<xsl:text disable-output-escaping="yes">		&lt;div id="</xsl:text>
				<xsl:value-of select="$div_tag"/>
				<xsl:text>"</xsl:text>
        <xsl:if test="$objContentObject[1]/@HTMLLANG">
          <xsl:text> lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
          <xsl:text> xml:lang="</xsl:text>
          <xsl:value-of select="$objContentObject[1]/@HTMLLANG"/>
          <xsl:text>"</xsl:text>
        </xsl:if>
				<xsl:if test="not($formatted_bsr='none')">
					<xsl:text> class="</xsl:text>
					<xsl:value-of select="$formatted_bsr"/>
					<xsl:text>"</xsl:text>
				</xsl:if>
				<xsl:call-template name="createInlineStyle">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="bMerge" select="$bMerge"/>
				</xsl:call-template>
				<xsl:apply-templates select="$objFrameListObject/ACTION" mode="for-body"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
				<xsl:if test="$objContentObject[1]/@LABEL">
					<xsl:if test="not($objContentObject[1]/@LABEL='')">
						<xsl:text disable-output-escaping="yes">&lt;label style="visibility: hidden; position:absolute; top=-100px; left=-100px"</xsl:text>
						<xsl:text> for="</xsl:text>
						<xsl:value-of select="$compoundfoname"/>
						<xsl:text>"</xsl:text>
						<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@LABEL" disable-output-escaping="yes"/>
						<xsl:text disable-output-escaping="yes">&lt;/label&gt;</xsl:text>
					</xsl:if>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="translate($objContentObject[1]/@MULTILINE,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
						<xsl:text disable-output-escaping="yes">&lt;textarea</xsl:text>
						<xsl:text> id="</xsl:text>
						<xsl:value-of select="$compoundfoname"/>
						<xsl:text>"</xsl:text>
						<xsl:call-template name="createInlineStyleForInternalEditbox">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
						</xsl:call-template>
						<xsl:text> name="</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@GROUP"/>
						<xsl:text>"</xsl:text>
						<xsl:if test="translate($objContentObject[1]/@READONLY,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
							<xsl:text> readonly</xsl:text>
						</xsl:if>
						<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
						<xsl:value-of select="$objContentObject[1]/."/>
						<xsl:text disable-output-escaping="yes">&lt;/textarea&gt;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text disable-output-escaping="yes">&lt;input</xsl:text>
						<xsl:text> id="</xsl:text>
						<xsl:value-of select="$compoundfoname"/>
						<xsl:text>"</xsl:text>
						<xsl:call-template name="createInlineStyleForInternalEditbox">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
						</xsl:call-template>
						<xsl:text> type="text"</xsl:text>
						<xsl:text> name="</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@GROUP"/>
						<xsl:text>"</xsl:text>
						<xsl:text> value="</xsl:text>
						<xsl:value-of select="$objContentObject[1]/."/>
						<xsl:text>"</xsl:text>
						<xsl:text> maxlength="</xsl:text>
						<xsl:value-of select="$objContentObject[1]/@MAXLENGTH"/>
						<xsl:text>"</xsl:text>
						<xsl:if test="translate($objContentObject[1]/@READONLY,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
							<xsl:text> readonly</xsl:text>
						</xsl:if>
						<xsl:text disable-output-escaping="yes">&gt;&lt;/input&gt;</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text disable-output-escaping="yes">&lt;/div&gt;</xsl:text>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!-- Media Path -->
	<xsl:template name="getMediaPath">
		<xsl:param name="filename"/>
		<xsl:param name="lmultipubrel"/>
		<xsl:variable name="lmedianame">
			<xsl:choose>
				<xsl:when test="$lmultipubrel='true'">media/</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="$mediaPath"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="substring($filename,1,5)='[url]'">
				<xsl:value-of select="substring($filename,7)"/>
				<!--<xsl:call-template name="globalReplace">
					<xsl:with-param name="outputString" select="substring($filename,7)"/>
					<xsl:with-param name="target" select="' '"/>
					<xsl:with-param name="replacement" select="'%20'"/>
				</xsl:call-template>-->
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$lmedianame"/>
				<xsl:value-of select="$filename"/>
				<!--<xsl:call-template name="globalReplace">
					<xsl:with-param name="outputString" select="$filename"/>
					<xsl:with-param name="target" select="' '"/>
					<xsl:with-param name="replacement" select="'%20'"/>
				</xsl:call-template>-->
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- Inline Style -->
	<xsl:template name="createInlineStyle">
		<xsl:param name="objFrameListObject"/>
		<xsl:param name="objLayoutObject"/>
		<xsl:param name="bMerge"/>
		<xsl:param name="scrollbars"/>
		<xsl:variable name="los" select="$objLayoutObject/@LAYOUTOBJECTSCOPE"/>
		<xsl:variable name="bsr" select="$objLayoutObject/@BORDERSTYLEREF"/>
		<xsl:variable name="cpborderstylepath" select="translate(concat($cpborderstylesdir,$bsr,'.xml'),'\','/')"/>
		<!-- make sure these exist -->
		<xsl:variable name="borderWidth">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@WIDTH"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="insetWidth">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@INSET"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>5</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="hasBorderPadding">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:if test="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@PADLEFT!=''">true</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="@PADLEFT!=''">true</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="offsetWidth">
			<xsl:choose>
				<xsl:when test="translate($cp1borderfix,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
					<xsl:value-of select="$borderWidth"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$hasBorderPadding='true'">
							<xsl:value-of select="$borderWidth"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$borderWidth+$insetWidth"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padTop">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADTOP">
					<xsl:value-of select="$objLayoutObject/@PADTOP"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padLeft">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADLEFT">
					<xsl:value-of select="$objLayoutObject/@PADLEFT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padBottom">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADBOTTOM">
					<xsl:value-of select="$objLayoutObject/@PADBOTTOM"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padRight">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADRIGHT">
					<xsl:value-of select="$objLayoutObject/@PADRIGHT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="borderPadTop">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@PADTOP"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>5</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="borderPadLeft">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@PADLEFT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>5</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="borderPadBottom">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@PADBOTTOM"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>5</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="borderPadRight">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@PADRIGHT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>5</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			<xsl:when test="translate($objFrameListObject/@OFFSCREEN,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
				<xsl:text> </xsl:text>
				<xsl:text>style="</xsl:text>
				<xsl:text>overflow: auto; position: absolute; </xsl:text>
				<xsl:choose>
					<!-- should be -$offsetWidth for true border functionality -->
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: -1000px; left: -1000px; width: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@WIDTH"/>
						<xsl:text>px; height: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
						<xsl:text>px; text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- type is Container-->
			<xsl:when test="$objFrameListObject/@TYPE='container'">
				<xsl:text> style="overflow: </xsl:text>
				<xsl:choose>
					<xsl:when test="$scrollbars='no'">
						<xsl:text>hidden; scrollbars: hidden;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>auto; scrollbars: auto;</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text> position: absolute; </xsl:text>
				<xsl:if test="$objLayoutObject/@TEXTDIRECTION">
					<xsl:text> direction: </xsl:text>
					<xsl:value-of select="$objLayoutObject/@TEXTDIRECTION"/>
					<xsl:text>;</xsl:text>
				</xsl:if>
				<xsl:call-template name="textPadding">
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="insetWidth" select="$insetWidth"/>
				</xsl:call-template>
				<xsl:if test="$objFrameListObject/@VISIBILITY">
          visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;
        </xsl:if>
				<xsl:if test="$objFrameListObject/@ZINDEX">
          z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;
        </xsl:if>
				<xsl:choose>
					<!-- should be -$offsetWidth for true border functionality -->
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadTop))+$objLayoutObject/@Y"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@Y"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padLeft+(-($offsetWidth+$borderPadLeft))+$objLayoutObject/@X"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padLeft+(-$offsetWidth)+$objLayoutObject/@X"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a TEXT object -->
			<xsl:when test="$objFrameListObject/@TYPE='text'">
				<xsl:text> style="overflow: auto; position: absolute; </xsl:text>
				<xsl:if test="$objLayoutObject/@TEXTDIRECTION">
					<xsl:text> direction: </xsl:text>
					<xsl:value-of select="$objLayoutObject/@TEXTDIRECTION"/>
					<xsl:text>;</xsl:text>
				</xsl:if>
				<xsl:call-template name="textPadding">
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="insetWidth" select="$insetWidth"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<!-- should be -$offsetWidth for true border functionality -->
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadTop))+$objLayoutObject/@Y"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@Y"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padLeft+(-($offsetWidth+$borderPadLeft))+$objLayoutObject/@X"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padLeft+(-$offsetWidth)+$objLayoutObject/@X"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create an IMAGE object -->
			<xsl:when test="$objFrameListObject/@TYPE='image'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create an MULTISTATEIMAGE object -->
			<xsl:when test="$objFrameListObject/@TYPE='multistateimage'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a HOTSPOT object -->
			<xsl:when test="$objFrameListObject/@TYPE='hotspot'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a MULTISTATEBUTTON object -->
			<xsl:when test="$objFrameListObject/@TYPE='multistatebutton'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a AUDIO object -->
			<xsl:when test="$objFrameListObject/@TYPE='audio'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a VIDEO object -->
			<xsl:when test="$objFrameListObject/@TYPE='video'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a FLASH object -->
			<xsl:when test="$objFrameListObject/@TYPE='flash'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a IFRAME object -->
			<xsl:when test="$objFrameListObject/@TYPE='iframe'">
				<xsl:text> style="overflow: hidden; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a SIMULATION object -->
			<xsl:when test="$objFrameListObject/@TYPE='simulation'">
				<xsl:text> style="overflow: hidden; padding-top: 0; padding-left: 0; padding-bottom: 0; padding-right: 0; position: absolute; </xsl:text>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@Y"/>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:value-of select="-$borderWidth+$objLayoutObject/@X"/>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create an OPTION object -->
			<xsl:when test="$objFrameListObject/@TYPE='option'">
				<xsl:text> style="overflow: hidden; position: absolute; </xsl:text>
				<xsl:if test="$objLayoutObject/@TEXTDIRECTION">
					<xsl:text> direction: </xsl:text>
					<xsl:value-of select="$objLayoutObject/@TEXTDIRECTION"/>
					<xsl:text>;</xsl:text>
				</xsl:if>
				<xsl:call-template name="textPadding">
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="insetWidth" select="$insetWidth"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadTop))+$objLayoutObject/@Y"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@Y"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadLeft))+$objLayoutObject/@X"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@X"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create a CHECKBOX object -->
			<xsl:when test="$objFrameListObject/@TYPE='checkbox'">
				<xsl:text> style="overflow: hidden; position: absolute; </xsl:text>
				<xsl:if test="$objLayoutObject/@TEXTDIRECTION">
					<xsl:text> direction: </xsl:text>
					<xsl:value-of select="$objLayoutObject/@TEXTDIRECTION"/>
					<xsl:text>;</xsl:text>
				</xsl:if>
				<xsl:call-template name="textPadding">
					<xsl:with-param name="objLayoutObject" select="$objLayoutObject"/>
					<xsl:with-param name="insetWidth" select="$insetWidth"/>
				</xsl:call-template>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadTop))+$objLayoutObject/@Y"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@Y"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadLeft))+$objLayoutObject/@X"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@X"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:text> text-align: </xsl:text>
						<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
						<xsl:text>;</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
			<!-- Create an EDITBOX object -->
			<xsl:when test="$objFrameListObject/@TYPE='editbox'">
				<xsl:text> style="overflow: hidden; position: absolute; </xsl:text>
				<xsl:if test="$objLayoutObject/@TEXTDIRECTION">
					<xsl:text> direction: </xsl:text>
					<xsl:value-of select="$objLayoutObject/@TEXTDIRECTION"/>
					<xsl:text>;</xsl:text>
				</xsl:if>
				<xsl:choose>
					<xsl:when test="translate($objFrameListObject/@VISIBILITY,'HIDDENVSBL','hiddenvsbl')='hidden'"> visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:when>
					<xsl:otherwise> visibility: <xsl:value-of select="'inherit'"/>;</xsl:otherwise>
				</xsl:choose>
				<xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>
				<xsl:choose>
					<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los) or not($objLayoutObject/@LAYOUTOBJECTSCOPE)">
						<xsl:text>top: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadTop))+$objLayoutObject/@Y"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@Y"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:text> left: </xsl:text>
						<xsl:choose>
							<xsl:when test="$hasBorderPadding='true'">
								<xsl:value-of select="-$padTop+(-($offsetWidth+$borderPadLeft))+$objLayoutObject/@X"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="-$padTop+(-$offsetWidth)+$objLayoutObject/@X"/>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:text>px;</xsl:text>
						<xsl:if test="not($objLayoutObject/@WIDTH='null')">
							<xsl:text> width: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@WIDTH"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<xsl:if test="not($objLayoutObject/@HEIGHT='null')">
							<xsl:text> height: </xsl:text>
							<xsl:value-of select="$objLayoutObject/@HEIGHT"/>
							<xsl:text>px;</xsl:text>
						</xsl:if>
						<!--<xsl:text> text-align: </xsl:text><xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/><xsl:text>;</xsl:text>-->
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="loname" select="@NAME"/>
						<xsl:call-template name="createInlineStyle">
							<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
							<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:text>"</xsl:text>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	<!-- Text Padding -->
	<xsl:template name="textPadding">
		<xsl:param name="objLayoutObject"/>
		<xsl:param name="insetWidth"/>
		<xsl:variable name="padTop">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADTOP">
					<xsl:value-of select="$objLayoutObject/@PADTOP"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padLeft">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADLEFT">
					<xsl:value-of select="$objLayoutObject/@PADLEFT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padBottom">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADBOTTOM">
					<xsl:value-of select="$objLayoutObject/@PADBOTTOM"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padRight">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADRIGHT">
					<xsl:value-of select="$objLayoutObject/@PADRIGHT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:if test="($padTop != 0) or ($padLeft != 0) or ($padBottom != 0) or ($padRight != 0)">
			<xsl:text> padding-top: </xsl:text>
			<xsl:value-of select="$insetWidth+$padTop"/>
			<xsl:text>px;</xsl:text>
			<xsl:text> padding-left: </xsl:text>
			<xsl:value-of select="$insetWidth+$padLeft"/>
			<xsl:text>px;</xsl:text>
			<xsl:text> padding-bottom: </xsl:text>
			<xsl:value-of select="$insetWidth+$padBottom"/>
			<xsl:text>px;</xsl:text>
			<xsl:text> padding-right: </xsl:text>
			<xsl:value-of select="$insetWidth+$padRight"/>
			<xsl:text>px;</xsl:text>
		</xsl:if>
	</xsl:template>
	<!-- Inline Style for Label -->
	<xsl:template name="createInlineStyleForLabel">
		<xsl:param name="objFrameListObject"/>
		<xsl:param name="objLayoutObject"/>
		<xsl:variable name="los" select="$objLayoutObject/@LAYOUTOBJECTSCOPE"/>
		<xsl:variable name="bsr" select="$objLayoutObject/@BORDERSTYLEREF"/>
		<xsl:variable name="cpborderstylepath" select="translate(concat($cpborderstylesdir,$bsr,'.xml'),'\','/')"/>
		<xsl:variable name="insetWidth">
			<xsl:choose>
        <xsl:when test="$bsr='none'">
          <xsl:text>0</xsl:text>
        </xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@INSET"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>5</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padTop">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADTOP">
					<xsl:value-of select="$objLayoutObject/@PADTOP"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padLeft">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADLEFT">
					<xsl:value-of select="$objLayoutObject/@PADLEFT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padBottom">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADBOTTOM">
					<xsl:value-of select="$objLayoutObject/@PADBOTTOM"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="padRight">
			<xsl:choose>
				<xsl:when test="$objLayoutObject/@PADRIGHT">
					<xsl:value-of select="$objLayoutObject/@PADRIGHT"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:text> style="overflow: hidden; position: absolute; </xsl:text>
		<!-- <xsl:if test="$objFrameListObject/@VISIBILITY">visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:if><xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if>  -->
		<xsl:choose>
			<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los)">
				<xsl:text>top: </xsl:text>
				<xsl:value-of select="$insetWidth+$padTop"/>
				<xsl:text>px; left: </xsl:text>
				<xsl:value-of select="$insetWidth+$padLeft"/>
				<xsl:text>px; width: </xsl:text>
				<xsl:value-of select="-$padLeft+(-$padRight)-(2*$insetWidth)+$objLayoutObject/@WIDTH"/>
				<xsl:text>px; height: </xsl:text>
				<xsl:value-of select="-$padTop+(-$padBottom)-(2*$insetWidth)+$objLayoutObject/@HEIGHT"/>
				<xsl:text>px; text-align: </xsl:text>
				<xsl:value-of select="$objLayoutObject/@TEXTALIGNMENT"/>
				<xsl:text>;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="loname" select="@NAME"/>
				<xsl:call-template name="createInlineStyleForLabel">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>"</xsl:text>
	</xsl:template>
	<!-- Inline Style for Internal object -->
	<xsl:template name="createInlineStyleForInternal">
		<xsl:param name="objFrameListObject"/>
		<xsl:param name="objLayoutObject"/>
		<xsl:variable name="los" select="$objLayoutObject/@LAYOUTOBJECTSCOPE"/>
		<xsl:text> style="overflow: hidden; position: absolute; top: 0px; left: 0px; </xsl:text>
		<!--<xsl:if test="$objFrameListObject/@VISIBILITY">visibility: <xsl:value-of select="$objFrameListObject/@VISIBILITY"/>;</xsl:if><xsl:if test="$objFrameListObject/@ZINDEX"> z-index: <xsl:value-of select="$objFrameListObject/@ZINDEX"/>;</xsl:if> -->
		<xsl:choose>
			<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los)">
				<xsl:variable name="newWidth" select="$objLayoutObject/@WIDTH"/>
				<xsl:variable name="newHeight" select="$objLayoutObject/@HEIGHT"/>
				<!-- width: <xsl:value-of select="-5+number($newWidth)"/>px; height: <xsl:value-of select="-5+number($newHeight)"/>px; -->
				<xsl:text>width: </xsl:text>
				<xsl:value-of select="number($newWidth)"/>
				<xsl:text>px; height: </xsl:text>
				<xsl:value-of select="number($newHeight)"/>
				<xsl:text>px;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:variable name="loname" select="@NAME"/>
				<xsl:call-template name="createInlineStyleForInternal">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>"</xsl:text>
	</xsl:template>
  
	<!-- Inline Style for Editbox -->
	<xsl:template name="createInlineStyleForInternalEditbox">
		<xsl:param name="objFrameListObject"/>
		<xsl:param name="objLayoutObject"/>
		<xsl:variable name="los" select="$objLayoutObject/@LAYOUTOBJECTSCOPE"/>
		<xsl:text> </xsl:text>
		<xsl:text>style="</xsl:text>
		<xsl:text>position: absolute; </xsl:text>
		<xsl:choose>
			<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los)">
				<!-- JJB 12/11/2006 - why we have to hardwire -6, I have no idea, but seems to work well -->
				<xsl:variable name="newWidth" select="-6+$objLayoutObject/@WIDTH"/>
				<xsl:variable name="newHeight" select="-6+$objLayoutObject/@HEIGHT"/>
        width: <xsl:value-of select="number($newWidth)"/>px; height: <xsl:value-of select="number($newHeight)"/>px;
      </xsl:when>
			<xsl:otherwise>
				<xsl:variable name="loname" select="@NAME"/>
				<xsl:call-template name="createInlineStyleForInternalEditbox">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>"</xsl:text>
	</xsl:template>

	<!-- JJB 12/11/2006 - Replaced with above function...seems to work better -->
	<xsl:template name="createInlineStyleForInternalEditbox2">
		<xsl:param name="objFrameListObject"/>
		<xsl:param name="objLayoutObject"/>
		<xsl:variable name="los" select="$objLayoutObject/@LAYOUTOBJECTSCOPE"/>
		<xsl:variable name="bsr" select="$objLayoutObject/@BORDERSTYLEREF"/>
		<xsl:variable name="cpborderstylepath" select="translate(concat($cpborderstylesdir,$bsr,'.xml'),'\','/')"/>
		<!-- make sure these exist -->
		<xsl:variable name="borderWidth">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@WIDTH"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>0</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="insetWidth">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:value-of select="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@INSET"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>5</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="hasBorderPadding">
			<xsl:choose>
				<xsl:when test="$bsr='none'">
					<xsl:text>0</xsl:text>
				</xsl:when>
				<xsl:when test="$bsr">
					<xsl:if test="document(translate($cpborderstylepath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/BORDERSTYLE/@PADLEFT!=''">true</xsl:if>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="@PADLEFT!=''">true</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="offsetWidth">
			<xsl:choose>
				<xsl:when test="translate($cp1borderfix,'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')='true'">
					<xsl:value-of select="$borderWidth"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:choose>
						<xsl:when test="$hasBorderPadding='true'">
							<xsl:value-of select="$borderWidth"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$borderWidth+$insetWidth"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:text> </xsl:text>
		<xsl:text>style="</xsl:text>
		<xsl:text>position: absolute; </xsl:text>
		<xsl:choose>
			<xsl:when test="$los = 'local' or $los = 'Local' or $los='' or not($los)">
				<xsl:variable name="newWidth" select="(-$offsetWidth)+$objLayoutObject/@WIDTH"/>
				<xsl:variable name="newHeight" select="(-$offsetWidth)+$objLayoutObject/@HEIGHT"/>
        width: <xsl:value-of select="number($newWidth)"/>px; height: <xsl:value-of select="number($newHeight)"/>px;
      </xsl:when>
			<xsl:otherwise>
				<xsl:variable name="loname" select="@NAME"/>
				<xsl:call-template name="createInlineStyleForInternal">
					<xsl:with-param name="objFrameListObject" select="$objFrameListObject"/>
					<xsl:with-param name="objLayoutObject" select="document(translate($cplayoutpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/'))/LAYOUT/LAYOUTOBJECT[@NAME=$loname]"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>"</xsl:text>
	</xsl:template>
  
	<!-- Process Action -->
	<xsl:template match="ACTION" mode="for-body">
		<xsl:variable name="singleQuote">
			<xsl:text>'</xsl:text>
		</xsl:variable>
		<xsl:variable name="doubleQuote">
			<xsl:text>"</xsl:text>
		</xsl:variable>
		<xsl:if test="not(.='') and not(@EVENT='')">
			<xsl:text> </xsl:text>
			<xsl:value-of select="@EVENT"/>
			<xsl:text>="</xsl:text>
			<xsl:call-template name="globalReplace">
				<xsl:with-param name="outputString" select="."/>
				<xsl:with-param name="target" select="$doubleQuote"/>
				<xsl:with-param name="replacement" select="$singleQuote"/>
			</xsl:call-template>
			<xsl:text> return false;"</xsl:text>
			<!-- <xsl:text>"</xsl:text> -->
		</xsl:if>
		<!--<xsl:value-of select="$newline"/>-->
	</xsl:template>
  
	<!-- Process Actions Event for Sim Done -->
	<xsl:template match="ACTION[@EVENT='onsimulationdone']" mode="for-body">
  </xsl:template>
	<!-- Process Action for Button -->
	<xsl:template match="ACTION" mode="for-body-multistatebutton">
		<xsl:param name="compoundname"/>
		<xsl:variable name="singleQuote">
			<xsl:text>'</xsl:text>
		</xsl:variable>
		<xsl:variable name="doubleQuote">
			<xsl:text>"</xsl:text>
		</xsl:variable>
		<!--	<xsl:if test="not(.='')"> -->
		<xsl:choose>
			<xsl:when test="@EVENT=''"/>
			<xsl:when test="@EVENT='onmouseover'">
				<xsl:text> </xsl:text>
				<xsl:value-of select="@EVENT"/>
				<xsl:choose>
					<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
						<xsl:text>="if (new CP.CButton('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>',window).isButtonEnabled()) {</xsl:text>
						<xsl:text>CP.setButtonCursor(this,'pointer');new CP.CButton('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>',window).setButtonState('highlight'); </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>="if (CP.IsButtonEnabled('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>',window)) {</xsl:text>
						<xsl:text>CP.setButtonCursor(this,'pointer');CP.SetButtonState('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>','highlight',window); </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:call-template name="globalReplace">
					<xsl:with-param name="outputString" select="."/>
					<xsl:with-param name="target" select="$doubleQuote"/>
					<xsl:with-param name="replacement" select="$singleQuote"/>
				</xsl:call-template>
				<xsl:value-of select="$newline"/>
				<xsl:text>} else {CP.setButtonCursor(this,'default')} return false;"</xsl:text>
			</xsl:when>
			<xsl:when test="@EVENT='onmouseout'">
				<xsl:text> </xsl:text>
				<xsl:value-of select="@EVENT"/>
				<xsl:choose>
					<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
						<xsl:text>="if (new CP.CButton('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>',window).isButtonEnabled()) {</xsl:text>
						<xsl:text>CP.setButtonCursor(this,'default'); new CP.CButton('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>',window).setButtonState('enabled'); </xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>="if (CP.IsButtonEnabled('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>',window)) {</xsl:text>
						<xsl:text>CP.setButtonCursor(this,'default'); CP.SetButtonState('</xsl:text>
						<xsl:value-of select="$compoundname"/>
						<xsl:text>','enabled',window); </xsl:text>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:call-template name="globalReplace">
					<xsl:with-param name="outputString" select="."/>
					<xsl:with-param name="target" select="$doubleQuote"/>
					<xsl:with-param name="replacement" select="$singleQuote"/>
				</xsl:call-template>
				<xsl:value-of select="$newline"/>
				<xsl:text>} return false;"</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:if test="not(.='')">
					<xsl:text> </xsl:text>
					<xsl:value-of select="@EVENT"/>
					<xsl:choose>
						<xsl:when test="($objSCO/CURRENT/@ENGINETYPE='LowLevelAPI')">
							<xsl:text>="if (new CP.CButton('</xsl:text>
							<xsl:value-of select="$compoundname"/>
							<xsl:text>',window).isButtonEnabled()) {</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>="if (CP.IsButtonEnabled('</xsl:text>
							<xsl:value-of select="$compoundname"/>
							<xsl:text>',window)) {</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:call-template name="globalReplace">
						<xsl:with-param name="outputString" select="."/>
						<xsl:with-param name="target" select="$doubleQuote"/>
						<xsl:with-param name="replacement" select="$singleQuote"/>
					</xsl:call-template>
					<xsl:value-of select="$newline"/>
					<xsl:text>} return false;"</xsl:text>
				</xsl:if>
			</xsl:otherwise>
		</xsl:choose>
		<!--	</xsl:if>		-->
	</xsl:template>
	<!-- Process Action Event -->
	<xsl:template match="ACTION/@EVENT" mode="for-body">
		<xsl:variable name="singleQuote">
			<xsl:text>'</xsl:text>
		</xsl:variable>
		<xsl:variable name="doubleQuote">
			<xsl:text>"</xsl:text>
		</xsl:variable>
		<xsl:if test="not(.='')">
			<xsl:call-template name="globalReplace">
				<xsl:with-param name="outputString" select="../."/>
				<xsl:with-param name="target" select="$doubleQuote"/>
				<xsl:with-param name="replacement" select="$singleQuote"/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	<!-- Global Replace -->
	<xsl:template name="globalReplace">
		<xsl:param name="outputString"/>
		<xsl:param name="target"/>
		<xsl:param name="replacement"/>
		<xsl:choose>
			<xsl:when test="contains($outputString,$target)">
				<xsl:value-of select="concat(substring-before($outputString,$target),$replacement)"/>
				<xsl:call-template name="globalReplace">
					<xsl:with-param name="outputString" select="substring-after($outputString,$target)"/>
					<xsl:with-param name="target" select="$target"/>
					<xsl:with-param name="replacement" select="$replacement"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$outputString"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="doesFLOExist">
		<xsl:param name="eventid"/>
		<xsl:param name="flo"/>
		<xsl:param name="nposition"/>
		<xsl:choose>
			<xsl:when test="$nposition &gt; 0">
				<xsl:variable name="sPath">
					<xsl:choose>
						<xsl:when test="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT/FRAMELIST!=''">
							<xsl:value-of select="$objSCO/EVENTS/*[@ID=$eventid]/MERGEDEVENTS/MERGEDEVENT[$nposition]/FRAMELIST"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:variable name="nNavID">
								<xsl:call-template name="getNavLevelMergeID">
									<xsl:with-param name="id" select="$eventid"/>
									<xsl:with-param name="type" select="'1'"/>
								</xsl:call-template>
							</xsl:variable>
							<xsl:value-of select="$objSCO/NAVS/NAV[@ID=string($nNavID)]/MERGEDEVENTS/MERGEDEVENT[$nposition]/FRAMELIST"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$sPath = 'event content'">
						<xsl:choose>
							<xsl:when test="not($objFramelist/FRAMES/FRAME[number($framenum)]/FRAMEOBJECT[@FRAMELISTOBJECTREF = $flo])">
								<xsl:call-template name="doesFLOExist">
									<xsl:with-param name="eventid" select="$eventid"/>
									<xsl:with-param name="flo" select="$flo"/>
									<xsl:with-param name="nposition" select="number($nposition)-1"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>false</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="cpmergeframelistpath" select="translate(concat($cpframelistsdir,$sPath,'.xml'),'\','/')"/>
						<xsl:variable name="tmpobjMergeFramelist" select="document(string(translate($cpmergeframelistpath,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')))/FRAMELIST"/>
						<xsl:choose>
							<xsl:when test="$tmpobjMergeFramelist/FRAMES/FRAME[number($framenum)]/FRAMEOBJECT[@FRAMELISTOBJECTREF = $flo]">
								<xsl:text>false</xsl:text>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="doesFLOExist">
									<xsl:with-param name="eventid" select="$eventid"/>
									<xsl:with-param name="flo" select="$flo"/>
									<xsl:with-param name="nposition" select="number($nposition)-1"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="not($objFramelist/FRAMES/FRAME[number($framenum)]/FRAMEOBJECT[@FRAMELISTOBJECTREF = $flo])">
						<xsl:text>true</xsl:text>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>false</xsl:text>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getNavLevelMergeID">
		<xsl:param name="id"/>
		<xsl:param name="type"/>
		<xsl:variable name="lid" select="$objSCO/NAVLINKS/NAVLINK[@DSTID=$id][@DSTTYPE=$type]/@ORGID"/>
		<xsl:variable name="ltype" select="$objSCO/NAVLINKS/NAVLINK[@DSTID=$id][@DSTTYPE=$type]/@ORGTYPE"/>
		<xsl:choose>
			<xsl:when test="$lid='1'">
				<xsl:value-of select="$objSCO/NAVS/NAV[@ID=$lid]/@ID"/>
			</xsl:when>
			<xsl:when test="$ltype='1'">
				<xsl:call-template name="getNavLevelMergeID">
					<xsl:with-param name="id" select="$lid"/>
					<xsl:with-param name="type" select="$ltype"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="$objSCO/NAVS/NAV[@ID=$lid]/MERGEDEVENTS/MERGEDEVENT/CONTENT!=''">
				<xsl:value-of select="$objSCO/NAVS/NAV[@ID=$lid]/@ID"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="getNavLevelMergeID">
					<xsl:with-param name="id" select="$lid"/>
					<xsl:with-param name="type" select="$ltype"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- added KP -->
	<!--	
	<xsl:template match="*" mode="forinlineonly">
		<xsl:for-each select="parent::*[name() != 'OBJECT']">
			<xsl:variable name="inlinenodechild" select="."/>
			<xsl:if test="count($inlinenodechild/child::*) != 0 ">
				<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
				<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
				<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
			</xsl:if>
			<xsl:apply-templates select="." mode="forinlineonly"/>
		</xsl:for-each>
	</xsl:template>
	-->
	<xsl:template name="applyinlinestyle">
		<xsl:param name="texttorender"/>
		<xsl:param name="ref"/>
		<xsl:param name="parameter"/>
		<xsl:param name="selecttext"/>
		<xsl:choose>
			<!-- if multiple inline style -->
			<xsl:when test="contains($ref,'~~')">
				<xsl:variable name="multiref" select="substring-before($ref,'~~')"/>
				<xsl:variable name="multiparam" select="substring-before($parameter,'~~')"/>
				<xsl:variable name="cpinlinestylepath" select="document(translate(concat($cpinlinestylesdir,$multiref,'.xml'),'\','/'))"/>
				<xsl:variable name="inlinenode" select="$cpinlinestylepath/INLINEOBJECT"/>
				<xsl:variable name="noofinlinenodechild" select="count($inlinenode/OBJECT/descendant::*)"/>
				<xsl:choose>
					<xsl:when test="$noofinlinenodechild &gt; 1">
						<!-- need to recurse child -->
						<xsl:variable name="texttorender1">
							<xsl:for-each select="$inlinenode/OBJECT/child::*">
								<xsl:variable name="inlinenodechild" select="."/>
								<!-- #<xsl:value-of select="name($inlinenodechild)"/># -->
								<xsl:choose>
									<!-- if attributes -->
									<xsl:when test="count($inlinenodechild/@*) &gt; 0">
										<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
										<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
										<xsl:for-each select="$inlinenodechild/@*">
											<xsl:text disable-output-escaping="yes"> </xsl:text>
											<!-- <xsl:variable name="inlineattvalue" select=" ."/> -->
											<!-- ##<xsl:value-of select="."/>## -->
											<xsl:variable name="inlineattvalue">
												<xsl:call-template name="globalReplace">
														<xsl:with-param name="outputString"	 select="."/>
														<xsl:with-param name="target"><xsl:text>^[selectedtext]^</xsl:text></xsl:with-param>
														<xsl:with-param name="replacement"	 select="$selecttext"/>																												
												</xsl:call-template>
											</xsl:variable>
											<!-- #<xsl:value-of select="$inlineattvalue"/># -->
											<xsl:value-of select="name()" disable-output-escaping="yes"/>
											<xsl:choose>
												<xsl:when test="contains($inlineattvalue,'^[PARAM')">
													<xsl:text disable-output-escaping="yes">=</xsl:text>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
													<xsl:call-template name="manageattributelist">
														<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
														<xsl:with-param name="attributereplacevalue" select="$multiparam"/>
														<xsl:with-param name="inlinenode" select="$inlinenode"/>
													</xsl:call-template>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												</xsl:when>
												<xsl:when test="contains($inlineattvalue,'^[REF')">
													<xsl:text disable-output-escaping="yes">=</xsl:text>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
													<xsl:call-template name="manageattributereferencelist">
														<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
														<xsl:with-param name="inlinenode" select="$inlinenode"/>
													</xsl:call-template>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text disable-output-escaping="yes">=</xsl:text>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
													<xsl:value-of select="$inlineattvalue" disable-output-escaping="yes"/>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
										<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									</xsl:when>
									<!-- if no attributes -->
									<xsl:otherwise>
										<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
										<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
										<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="count($inlinenodechild/child::*) &gt; 0">
										<xsl:call-template name="RecursiveLoopForInline">
											<xsl:with-param name="inlinenodechild" select="$inlinenodechild"/>
											<xsl:with-param name="parameter" select="$parameter"/>
											<xsl:with-param name="inlinenode" select="$inlinenode"/>
											<xsl:with-param name="texttorender" select="$texttorender"/>
											<xsl:with-param name="selecttext" select="$selecttext"/>											
										</xsl:call-template>
										<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
										<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
										<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
										<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
										<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:variable>
						<!-- recursive call -->
						<xsl:call-template name="applyinlinestyle">
							<xsl:with-param name="ref" select="substring-after($ref,'~~')"/>
							<xsl:with-param name="texttorender" select="$texttorender1"/>
							<xsl:with-param name="parameter" select="substring-after($parameter,'~~')"/>
							<xsl:with-param name="selecttext" select="$selecttext"/>							
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<!-- only one child dnt recurse -->
						<!-- for each child build node and attributes and replace param and ref and selected text-->
						<xsl:variable name="texttorender1">
							<xsl:for-each select="$inlinenode/OBJECT/child::*">
								<xsl:variable name="inlinenodechild" select="."/>
								<xsl:choose>
									<!-- if attributes -->
									<xsl:when test="count($inlinenodechild/@*) &gt; 0">
										<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
										<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
										<xsl:for-each select="$inlinenodechild/@*">
											<xsl:text disable-output-escaping="yes"> </xsl:text>
											<!-- <xsl:variable name="inlineattvalue" select="."/> -->
											<!-- ##<xsl:value-of select="."/>## -->
											<xsl:variable name="inlineattvalue">
												<xsl:call-template name="globalReplace">
														<xsl:with-param name="outputString"	 select="."/>
														<xsl:with-param name="target"><xsl:text>^[selectedtext]^</xsl:text></xsl:with-param>
														<xsl:with-param name="replacement"	 select="$selecttext"/>																												
												</xsl:call-template>
											</xsl:variable>
											<!-- #<xsl:value-of select="$inlineattvalue"/># -->
											<xsl:value-of select="name()" disable-output-escaping="yes"/>
											<xsl:choose>
												<xsl:when test="contains($inlineattvalue,'^[PARAM')">
													<xsl:text disable-output-escaping="yes">=</xsl:text>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
													<xsl:call-template name="manageattributelist">
														<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
														<xsl:with-param name="attributereplacevalue" select="$multiparam"/>
														<xsl:with-param name="inlinenode" select="$inlinenode"/>
													</xsl:call-template>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												</xsl:when>
												<xsl:when test="contains($inlineattvalue,'^[REF')">
													<xsl:text disable-output-escaping="yes">=</xsl:text>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
													<xsl:call-template name="manageattributereferencelist">
														<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
														<xsl:with-param name="inlinenode" select="$inlinenode"/>
													</xsl:call-template>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:text disable-output-escaping="yes">=</xsl:text>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
													<xsl:value-of select="$inlineattvalue" disable-output-escaping="yes"/>
													<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:for-each>
										<xsl:choose>
											<!-- if string to render is empty close tag -->
											<xsl:when test="string-length($texttorender) = 0">
												<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
												<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
												<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
												<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
											</xsl:when>
											<!-- if string to render is not empty add string and close tag -->
											<xsl:otherwise>
												<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
												<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
												<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
												<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
												<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<!-- if no attributes -->
									<xsl:otherwise>
										<xsl:choose>
											<!-- if string to render is empty close tag -->
											<xsl:when test="string-length($texttorender) = 0">
												<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
												<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
												<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
											</xsl:when>
											<!-- if string to render is not empty add string and close tag -->
											<xsl:otherwise>
												<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
												<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
												<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
												<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
												<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
												<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
												<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
						</xsl:variable>
						<!-- recursive call -->
						<xsl:call-template name="applyinlinestyle">
							<xsl:with-param name="ref" select="substring-after($ref,'~~')"/>
							<xsl:with-param name="texttorender" select="$texttorender1"/>
							<xsl:with-param name="parameter" select="substring-after($parameter,'~~')"/>
							<xsl:with-param name="selecttext" select="$selecttext"/>							
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<!-- if none style -->
			<xsl:when test="$ref='none'">
				<!-- print text -->
				<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
			</xsl:when>
			<!-- if  style -->
			<xsl:otherwise>
				<xsl:variable name="cpinlinestylepath" select="document(translate(concat($cpinlinestylesdir,$ref,'.xml'),'\','/'))"/>
				<xsl:variable name="inlinenode" select="$cpinlinestylepath/INLINEOBJECT"/>
				<xsl:variable name="noofinlinenodechild" select="count($inlinenode/OBJECT/descendant::*)"/>
				<xsl:choose>
					<xsl:when test="$noofinlinenodechild &gt; 1">
						<!-- need to recurse child -->
						<xsl:for-each select="$inlinenode/OBJECT/child::*">
							<xsl:variable name="inlinenodechild" select="."/>
							<!-- #<xsl:value-of select="name($inlinenodechild)"/># -->
							<xsl:choose>
								<!-- if attributes -->
								<xsl:when test="count($inlinenodechild/@*) &gt; 0">
									<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
									<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
									<xsl:for-each select="$inlinenodechild/@*">
										<xsl:text disable-output-escaping="yes"> </xsl:text>

										<!-- <xsl:variable name="inlineattvalue" select="."/> -->
										<!--	##<xsl:value-of select="."/>## -->
											<xsl:variable name="inlineattvalue">
												<xsl:call-template name="globalReplace">
														<xsl:with-param name="outputString"	 select="."/>
														<xsl:with-param name="target"><xsl:text>^[selectedtext]^</xsl:text></xsl:with-param>
														<xsl:with-param name="replacement"	 select="$selecttext"/>																												

												</xsl:call-template>
											</xsl:variable>
											<!-- #<xsl:value-of select="$inlineattvalue"/>#-->
										
										<xsl:value-of select="name()" disable-output-escaping="yes"/>
										<xsl:choose>
											<xsl:when test="contains($inlineattvalue,'^[PARAM')">
												<xsl:text disable-output-escaping="yes">=</xsl:text>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												<xsl:call-template name="manageattributelist">
													<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
													<xsl:with-param name="attributereplacevalue" select="$parameter"/>
													<xsl:with-param name="inlinenode" select="$inlinenode"/>
												</xsl:call-template>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
											</xsl:when>
											<xsl:when test="contains($inlineattvalue,'^[REF')">
												<xsl:text disable-output-escaping="yes">=</xsl:text>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												<xsl:call-template name="manageattributereferencelist">
													<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
													<xsl:with-param name="inlinenode" select="$inlinenode"/>
												</xsl:call-template>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text disable-output-escaping="yes">=</xsl:text>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												<xsl:value-of select="$inlineattvalue" disable-output-escaping="yes"/>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
								</xsl:when>
								<!-- if no attributes -->
								<xsl:otherwise>
									<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
									<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
							<!--
							<xsl:choose>
								<xsl:when test="count($inlinenodechild/child::*) &gt; 1">
							-->
							<xsl:call-template name="RecursiveLoopForInline">
								<xsl:with-param name="inlinenodechild" select="$inlinenodechild"/>
								<xsl:with-param name="parameter" select="$parameter"/>
								<xsl:with-param name="inlinenode" select="$inlinenode"/>
								<xsl:with-param name="texttorender" select="$texttorender"/>
								<xsl:with-param name="selecttext" select="$selecttext"/>											
							</xsl:call-template>
							<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
							<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
							<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
							<!--	
								</xsl:when>
								<xsl:otherwise>
									<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
									<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
								-->
						</xsl:for-each>
					</xsl:when>
					<xsl:otherwise>
						<!-- only one child dnt recurse -->
						<!-- for each child build node and attributes and replace param and ref and selected text-->
						<xsl:for-each select="$inlinenode/OBJECT/child::*">
							<xsl:variable name="inlinenodechild" select="."/>
							<xsl:choose>
								<!-- if attributes -->
								<xsl:when test="count($inlinenodechild/@*) &gt; 0">
									<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
									<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
									<xsl:for-each select="$inlinenodechild/@*">
										<xsl:text disable-output-escaping="yes"> </xsl:text>

										<!-- <xsl:variable name="inlineattvalue" select="."/> -->
										<!--	##<xsl:value-of select="."/>## -->
											<xsl:variable name="inlineattvalue">
												<xsl:call-template name="globalReplace">
														<xsl:with-param name="outputString"	 select="."/>
														<xsl:with-param name="target"><xsl:text>^[selectedtext]^</xsl:text></xsl:with-param>
														<xsl:with-param name="replacement"	 select="$selecttext"/>																												
												</xsl:call-template>
											</xsl:variable>
										<!--	#<xsl:value-of select="$inlineattvalue"/># -->
										
										<xsl:value-of select="name()" disable-output-escaping="yes"/>
										<xsl:choose>
											<xsl:when test="contains($inlineattvalue,'^[PARAM')">
												<xsl:text disable-output-escaping="yes">=</xsl:text>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												<xsl:call-template name="manageattributelist">
													<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
													<xsl:with-param name="attributereplacevalue" select="$parameter"/>
													<xsl:with-param name="inlinenode" select="$inlinenode"/>
												</xsl:call-template>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
											</xsl:when>
											<xsl:when test="contains($inlineattvalue,'^[REF')">
												<xsl:text disable-output-escaping="yes">=</xsl:text>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												<xsl:call-template name="manageattributereferencelist">
													<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
													<xsl:with-param name="inlinenode" select="$inlinenode"/>
												</xsl:call-template>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:text disable-output-escaping="yes">=</xsl:text>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
												<xsl:value-of select="$inlineattvalue" disable-output-escaping="yes"/>
												<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:for-each>
									<xsl:choose>
										<!-- if string to render is empty close tag -->
										<xsl:when test="string-length($texttorender) = 0">
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
											<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
											<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
										</xsl:when>
										<!-- if string to render is not empty add string and close tag -->
										<xsl:otherwise>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
											<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
											<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:when>
								<!-- if no attributes -->
								<xsl:otherwise>
									<xsl:choose>
										<!-- if string to render is empty close tag -->
										<xsl:when test="string-length($texttorender) = 0">
											<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
											<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">/&gt;</xsl:text>
										</xsl:when>
										<!-- if string to render is not empty add string and close tag -->
										<xsl:otherwise>
											<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
											<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
											<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
											<xsl:value-of select="name($inlinenodechild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:for-each>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="RecursiveLoopForInline">
		<xsl:param name="inlinenodechild"/>
		<xsl:param name="parameter"/>
		<xsl:param name="inlinenode"/>
		<xsl:param name="texttorender"/>
		<xsl:param name="selecttext"/>		
		
		<xsl:for-each select="$inlinenodechild/child::*">
			<xsl:variable name="inlinenodechildchild" select="."/>
			<!--
			#<xsl:value-of select="name(.)"	/>#
			#<xsl:value-of select="count($inlinenodechildchild/child::*)"	/>#
			-->
			<xsl:choose>
				<xsl:when test="count($inlinenodechildchild/child::*) &gt; 0">
					<xsl:choose>
						<!-- with attribute -->
						<xsl:when test="count($inlinenodechildchild/@*) &gt; 0">
							<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
							<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
							<xsl:for-each select="$inlinenodechildchild/@*">
								<xsl:text disable-output-escaping="yes"> </xsl:text>
								
								<!-- <xsl:variable name="inlineattvalue" select=" ."/> -->
								<!-- ##<xsl:value-of select="."/>## -->
								<xsl:variable name="inlineattvalue">
									<xsl:call-template name="globalReplace">
											<xsl:with-param name="outputString"	 select="."/>
											<xsl:with-param name="target"><xsl:text>^[selectedtext]^</xsl:text></xsl:with-param>
											<xsl:with-param name="replacement"	 select="$selecttext"/>																												
									</xsl:call-template>
								</xsl:variable>
								<!-- #<xsl:value-of select="$inlineattvalue"/># -->

								
								<xsl:value-of select="name()" disable-output-escaping="yes"/>
								<xsl:choose>
									<xsl:when test="contains($inlineattvalue,'^[PARAM')">
										<xsl:text disable-output-escaping="yes">=</xsl:text>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
										<xsl:call-template name="manageattributelist">
											<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
											<xsl:with-param name="attributereplacevalue" select="$parameter"/>
											<xsl:with-param name="inlinenode" select="$inlinenode"/>
										</xsl:call-template>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
									</xsl:when>
									<xsl:when test="contains($inlineattvalue,'^[REF')">
										<xsl:text disable-output-escaping="yes">=</xsl:text>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
										<xsl:call-template name="manageattributereferencelist">
											<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
											<xsl:with-param name="inlinenode" select="$inlinenode"/>
										</xsl:call-template>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text disable-output-escaping="yes">=</xsl:text>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
										<xsl:value-of select="$inlineattvalue" disable-output-escaping="yes"/>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>
							<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
							<!--
							<xsl:choose>
							-->
							<!-- if string to render is empty close tag -->
							<!--
								<xsl:when test="string-length($texttorender) = 0">
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
									<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
								</xsl:when>
								-->
							<!-- if string to render is not empty add string and close tag -->
							<!--
								<xsl:otherwise>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									#<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>#
									<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
									<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
							-->
						</xsl:when>
						<!-- no attribute -->
						<xsl:otherwise>
							<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
							<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
							<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:call-template name="RecursiveLoopForInline">
						<xsl:with-param name="inlinenodechild" select="$inlinenodechildchild"/>
						<xsl:with-param name="parameter" select="$parameter"/>
						<xsl:with-param name="inlinenode" select="$inlinenode"/>
						<xsl:with-param name="texttorender" select="$texttorender"/>
						<xsl:with-param name="selecttext" select="$selecttext"/>											
					</xsl:call-template>
					<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
					<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
					<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
					<!--
					<xsl:choose>
					-->
					<!-- if string to render is empty close tag -->
					<!--
						<xsl:when test="string-length($texttorender) = 0">
							<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
							<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
							<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
						</xsl:when>
						-->
					<!-- if string to render is not empty add string and close tag -->
					<!--
						<xsl:otherwise>
							#<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>#
							<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
							<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
							<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				-->
				</xsl:when>
				<!-- no children -->
				<xsl:otherwise>
					<xsl:choose>
						<!-- with attribute -->
						<xsl:when test="count($inlinenodechildchild/@*) &gt; 0">
							<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
							<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
							<xsl:for-each select="$inlinenodechildchild/@*">
								<xsl:text disable-output-escaping="yes"> </xsl:text>
								<!-- <xsl:variable name="inlineattvalue" select="."/> -->
								<!-- ##<xsl:value-of select="."/>## -->
								<xsl:variable name="inlineattvalue">
									<xsl:call-template name="globalReplace">
											<xsl:with-param name="outputString"	 select="."/>
											<xsl:with-param name="target"><xsl:text>^[selectedtext]^</xsl:text></xsl:with-param>
											<xsl:with-param name="replacement"	 select="$selecttext"/>																												
									</xsl:call-template>
								</xsl:variable>
								<!-- #<xsl:value-of select="$inlineattvalue"/># -->
								<xsl:value-of select="name()" disable-output-escaping="yes"/>
								<xsl:choose>
									<xsl:when test="contains($inlineattvalue,'^[PARAM')">
										<xsl:text disable-output-escaping="yes">=</xsl:text>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
										<xsl:call-template name="manageattributelist">
											<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
											<xsl:with-param name="attributereplacevalue" select="$parameter"/>
											<xsl:with-param name="inlinenode" select="$inlinenode"/>
										</xsl:call-template>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
									</xsl:when>
									<xsl:when test="contains($inlineattvalue,'^[REF')">
										<xsl:text disable-output-escaping="yes">=</xsl:text>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
										<xsl:call-template name="manageattributereferencelist">
											<xsl:with-param name="attributevalue" select="$inlineattvalue"/>
											<xsl:with-param name="inlinenode" select="$inlinenode"/>
										</xsl:call-template>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text disable-output-escaping="yes">=</xsl:text>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
										<xsl:value-of select="$inlineattvalue" disable-output-escaping="yes"/>
										<xsl:value-of select="$quotes" disable-output-escaping="yes"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:for-each>

							<xsl:choose>
								<!-- if string to render is empty close tag -->
								<xsl:when test="string-length($texttorender) = 0">
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									<!-- for node value PARAM -->
									<xsl:choose>
										<xsl:when test="count($inlinenodechildchild/child::*) &gt; 0">
											<xsl:call-template name="RecursiveLoopForInline">
												<xsl:with-param name="inlinenodechild" select="$inlinenodechildchild"/>
												<xsl:with-param name="parameter" select="$parameter"/>
												<xsl:with-param name="inlinenode" select="$inlinenode"/>
												<xsl:with-param name="texttorender" select="$texttorender"/>
												<xsl:with-param name="selecttext" select="$selecttext"/>											
											</xsl:call-template>
											<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
											<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="nodevalue" select="."/>
											<xsl:choose>
												<xsl:when test="contains($nodevalue,'^[PARAM')">
													<xsl:call-template name="manageattributelist">
														<xsl:with-param name="attributevalue" select="$nodevalue"/>
														<xsl:with-param name="attributereplacevalue" select="$parameter"/>
														<xsl:with-param name="inlinenode" select="$inlinenode"/>
													</xsl:call-template>
												</xsl:when>
												<xsl:when test="contains($nodevalue,'^[REF')">
													<xsl:call-template name="manageattributereferencelist">
														<xsl:with-param name="attributevalue" select="$nodevalue"/>
														<xsl:with-param name="inlinenode" select="$inlinenode"/>
													</xsl:call-template>
												</xsl:when>
												<xsl:when test="contains($nodevalue,'^[selectedtext')">
													<!-- #<xsl:value-of select="$texttorender" disable-output-escaping="yes"/> -->
												</xsl:when>
												<xsl:otherwise>
													<!-- #<xsl:text disable-output-escaping="yes">=</xsl:text># -->
													<xsl:value-of select="$nodevalue" disable-output-escaping="yes"/>
												</xsl:otherwise>
											</xsl:choose>
											<xsl:choose>
												<!-- if string to render is empty close tag -->
												<xsl:when test="string-length($texttorender) = 0">
													<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
													<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
													<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
												</xsl:when>
												<!-- if string to render is not empty add string and close tag -->
												<xsl:otherwise>
													<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
													<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
													<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
													<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:otherwise>
									</xsl:choose>
									<!--
									<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
									<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									-->
								</xsl:when>
								<!-- if string to render is not empty add string and close tag -->
								<xsl:otherwise>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
									<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
									<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:when>
						<!-- no attribute -->
						<xsl:otherwise>
							<xsl:text disable-output-escaping="yes">&lt;</xsl:text>
							<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
							<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
							<!--#<xsl:value-of select="$nodevalue"/># -->
							<!-- #<xsl:value-of select="count($inlinenodechildchild/child::*)"/> check here#  -->
							<xsl:choose>
								<xsl:when test="count($inlinenodechildchild/child::*) &gt; 0">
									<xsl:call-template name="RecursiveLoopForInline">
										<xsl:with-param name="inlinenodechild" select="$inlinenodechildchild"/>
										<xsl:with-param name="parameter" select="$parameter"/>
										<xsl:with-param name="inlinenode" select="$inlinenode"/>
										<xsl:with-param name="texttorender" select="$texttorender"/>
										<xsl:with-param name="selecttext" select="$selecttext"/>											
									</xsl:call-template>
									<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
									<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
									<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
								</xsl:when>
								<xsl:otherwise>
									<xsl:variable name="nodevalue" select="."/>
									<xsl:choose>
										<xsl:when test="contains($nodevalue,'^[PARAM')">
											<xsl:call-template name="manageattributelist">
												<xsl:with-param name="attributevalue" select="$nodevalue"/>
												<xsl:with-param name="attributereplacevalue" select="$parameter"/>
												<xsl:with-param name="inlinenode" select="$inlinenode"/>
											</xsl:call-template>
										</xsl:when>
										<xsl:when test="contains($nodevalue,'^[REF')">
											<xsl:call-template name="manageattributereferencelist">
												<xsl:with-param name="attributevalue" select="$nodevalue"/>
												<xsl:with-param name="inlinenode" select="$inlinenode"/>
											</xsl:call-template>
										</xsl:when>
										<xsl:when test="contains($nodevalue,'^[selectedtext')">
											<!-- #<xsl:value-of select="$texttorender" disable-output-escaping="yes"/> -->
										</xsl:when>
										<xsl:otherwise>
											<!-- <xsl:text disable-output-escaping="yes">=</xsl:text> -->
											<xsl:value-of select="$nodevalue" disable-output-escaping="yes"/>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
										<!-- if string to render is empty close tag -->
										<xsl:when test="string-length($texttorender) = 0">
											<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
											<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
										</xsl:when>
										<!-- if string to render is not empty add string and close tag -->
										<xsl:otherwise>
											<xsl:value-of select="$texttorender" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&lt;/</xsl:text>
											<xsl:value-of select="name($inlinenodechildchild)" disable-output-escaping="yes"/>
											<xsl:text disable-output-escaping="yes">&gt;</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="manageattributereferencelist">
		<xsl:param name="attributevalue"/>
		<!-- <xsl:param name="attributereplacevalue"/> -->
		<xsl:param name="inlinenode"/>
		<xsl:choose>
			<!-- if REF present -->
			<xsl:when test="contains($attributevalue,'^[REF')">
				<!-- from inline file -->
				<xsl:variable name="textbeforefromatt" select="substring-before($attributevalue,'^[REF')"/>
				<xsl:variable name="textafterfromatt" select="substring-after($attributevalue,']^')"/>
				<xsl:variable name="texttoreplacefromatt" select="substring-before(substring-after($attributevalue,'^[') ,']^')"/>
				<xsl:variable name="referencevalue" select="$inlinenode/REFERENCES/REFERENCE[@NAME=$texttoreplacefromatt]/@REF"/>
				<xsl:variable name="referencetype" select="$inlinenode/REFERENCES/REFERENCE[@NAME=$texttoreplacefromatt]/@TYPE"/>
				<xsl:variable name="attributereplacevalue">
					<xsl:choose>
						<xsl:when test="$referencetype='IMAGE'">
							<xsl:call-template name="getMediaPath">
								<xsl:with-param name="filename" select="translate($referencevalue,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="$referencetype='FONTSTYLE'">
							<xsl:call-template name="fontstylesforinlinestyle">
								<xsl:with-param name="attributevalue" select="$attributevalue"/>
								<xsl:with-param name="attributereplacevalue" select="$referencevalue"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="$referencetype='BORDERSTYLE'">
							<xsl:call-template name="borderstylesforinlinestyle">
								<xsl:with-param name="attributevalue" select="$attributevalue"/>
								<xsl:with-param name="attributereplacevalue" select="$referencevalue"/>
							</xsl:call-template>
						</xsl:when>
					</xsl:choose>
				</xsl:variable>
				<!-- <xsl:value-of select="$attributereplacevalue"/> -->
				<!-- collect replaced text in a variable -->
				<xsl:variable name="replacedtext">
					<xsl:value-of select="$textbeforefromatt" disable-output-escaping="yes"/>
					<xsl:value-of select="$attributereplacevalue" disable-output-escaping="yes"/>
					<xsl:value-of select="$textafterfromatt" disable-output-escaping="yes"/>
				</xsl:variable>
				<!-- recursive function -->
				<xsl:call-template name="manageattributereferencelist">
					<xsl:with-param name="attributevalue" select="$replacedtext"/>
					<xsl:with-param name="inlinenode" select="$inlinenode"/>
				</xsl:call-template>
			</xsl:when>
			<!-- if no REF  present -->
			<xsl:otherwise>
				<xsl:value-of select="$attributevalue" disable-output-escaping="yes"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<!-- for each attribute find ^[PARAM -->
	<xsl:template name="manageattributelist">
		<xsl:param name="attributevalue"/>
		<xsl:param name="attributereplacevalue"/>
		<xsl:param name="inlinenode"/>
		<xsl:choose>
			<!-- if param present -->
			<xsl:when test="contains($attributevalue,'^[PARAM')">
				<!-- from inline file -->
				<xsl:variable name="textbeforefromatt" select="substring-before($attributevalue,'^[PARAM')"/>
				<xsl:variable name="textafterfromatt" select="substring-after($attributevalue,']^')"/>
				<xsl:variable name="texttoreplacefromatt" select="substring-before(substring-after($attributevalue,'^[') ,']^')"/>
				<!-- from xml data -->
				<xsl:variable name="referencetype" select="$inlinenode/PARAMETERS/PARAMETER[@NAME=$texttoreplacefromatt]/@TYPE"/>
				<!-- <xsl:variable name="textafterfromparam" select="substring-before(substring(substring-after($attributereplacevalue,$texttoreplacefromatt),3),$quotes)"/> -->
				<xsl:variable name="textafterfromparam">
					<xsl:call-template name="GetRequiredText">
						<xsl:with-param name="attributereplacevalue" select="$attributereplacevalue"/>
						<xsl:with-param name="texttoreplacefromatt" select="$texttoreplacefromatt"/>
					</xsl:call-template>
				</xsl:variable>
				<!--
				#<xsl:value-of select="$texttoreplacefromatt"/>#
				#<xsl:value-of select="$referencetype"/>#
				#<xsl:value-of select="$attributereplacevalue"/>#
				#<xsl:value-of select="$attributevalue"/>#
				#<xsl:value-of select="$textafterfromparam"/>#	
				-->
				<xsl:variable name="commonreplace">
					<xsl:choose>
						<xsl:when test="$referencetype='IMAGE'">
							<xsl:call-template name="getMediaPath">
								<!-- <xsl:with-param name="filename" select="translate(substring-after($textafterfromparam,'media\'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/> -->
								<xsl:with-param name="filename" select="translate($textafterfromparam,'ABCDEFGHIJKLMNOPQRSTUVWXYZ\','abcdefghijklmnopqrstuvwxyz/')"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="$referencetype='FONTSTYLEREF'">
							<xsl:call-template name="fontstylesforinlinestyle">
								<xsl:with-param name="attributevalue" select="$attributevalue"/>
								<xsl:with-param name="attributereplacevalue" select="$textafterfromparam"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:when test="$referencetype='BORDERSTYLEREF'">
							<xsl:call-template name="borderstylesforinlinestyle">
								<xsl:with-param name="attributevalue" select="$attributevalue"/>
								<xsl:with-param name="attributereplacevalue" select="$textafterfromparam"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$textafterfromparam" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="replacenewline">
					<xsl:call-template name="removelines">
						<xsl:with-param name="text" select="$commonreplace"/>
					</xsl:call-template>
				</xsl:variable>
				<!-- #<xsl:value-of select="$te"/># -->
				<!-- collect replaced text in a variable -->
				<xsl:variable name="replacedtext">
					<xsl:value-of select="$textbeforefromatt" disable-output-escaping="yes"/>
					<xsl:value-of select="$replacenewline" disable-output-escaping="yes"/>
					<xsl:value-of select="$textafterfromatt" disable-output-escaping="yes"/>
				</xsl:variable>
				<!-- recursive function -->
				<xsl:call-template name="manageattributelist">
					<xsl:with-param name="attributevalue" select="$replacedtext"/>
					<xsl:with-param name="attributereplacevalue" select="$attributereplacevalue"/>
					<xsl:with-param name="inlinenode" select="$inlinenode"/>
				</xsl:call-template>
			</xsl:when>
			<!-- if no param present -->
			<xsl:otherwise>
				<xsl:value-of select="$attributevalue" disable-output-escaping="yes"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="manageinlinestyle">
		<xsl:param name="objContentObject"/>
		<xsl:variable name="actualinlinetext" select="$objContentObject/INLINECONTENT"/>
		<xsl:for-each select="$objContentObject/DATA/*">
			<!--
			 #<xsl:value-of select="position()"/>#
			 #<xsl:value-of select="count($objContentObject/DATA/*)"/>#
			 -->
			<xsl:choose>
				<xsl:when test="position()=1">
					<xsl:choose>
						<xsl:when test="not(@REF='none')">
							<xsl:variable name="testdata">
								<xsl:variable name="slen" select="@STARTPOS - 1"/>
								<xsl:value-of select="substring ($actualinlinetext,1,$slen)" disable-output-escaping="yes"/>
								<!-- #<xsl:value-of select="substring($actualinlinetext,@STARTPOS,32)" disable-output-escaping="yes"/># -->
								
								<xsl:call-template name="applyinlinestyle">
									<xsl:with-param name="texttorender" select="substring($actualinlinetext,@STARTPOS,@ENDPOS)"/>
									<xsl:with-param name="ref" select="@REF"/>
									<xsl:with-param name="parameter" select="@PARAM"/>
									<xsl:with-param name="selecttext" select="@SELECTTEXT"/>
								</xsl:call-template>
								
								<!--
											<xsl:text  disable-output-escaping="yes">&lt;b&gt;</xsl:text>
											<xsl:value-of select="substring($actualinlinetext,@STARTPOS,@ENDPOS)" disable-output-escaping="yes"/>
											<xsl:text  disable-output-escaping="yes">&lt;/b&gt;</xsl:text>
								-->
							</xsl:variable>
							<xsl:value-of select="$testdata" disable-output-escaping="yes"/>
							<xsl:if test="count($objContentObject/DATA/*) = '1'">
								<xsl:variable name="cpprocessend" select="sum(@STARTPOS | @ENDPOS)"/>
								<xsl:value-of select="substring($actualinlinetext,$cpprocessend)" disable-output-escaping="yes"/>
							</xsl:if>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="substring($actualinlinetext,@STARTPOS,@ENDPOS)" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<!-- last node -->
				<xsl:when test="position()=count($objContentObject/DATA/*)">
					<xsl:variable name="prestartpos" select="(preceding-sibling::*[1]/@STARTPOS)"/>
					<xsl:variable name="preendpos" select="(preceding-sibling::*[1]/@ENDPOS)"/>
					<xsl:variable name="presum" select="sum($prestartpos |  $preendpos)"/>
					<xsl:variable name="slen" select="(@STARTPOS - $presum)  "/>
					<xsl:value-of select="substring($actualinlinetext, $presum,$slen)" disable-output-escaping="yes"/>
					<xsl:choose>
						<xsl:when test="not(@REF='none')">
							<xsl:variable name="testdata">
							   
								<xsl:call-template name="applyinlinestyle">
									<xsl:with-param name="texttorender" select="substring($actualinlinetext,@STARTPOS,@ENDPOS)"/>
									<xsl:with-param name="ref" select="@REF"/>
									<xsl:with-param name="parameter" select="@PARAM"/>
									<xsl:with-param name="selecttext" select="@SELECTTEXT"/>
								</xsl:call-template>
								
							</xsl:variable>
							<xsl:value-of select="$testdata" disable-output-escaping="yes"/>
							<xsl:variable name="cpprocessend" select="sum(@STARTPOS | @ENDPOS)"/>
							<xsl:value-of select="substring($actualinlinetext,$cpprocessend)" disable-output-escaping="yes"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="substring($actualinlinetext,@STARTPOS,@ENDPOS)" disable-output-escaping="yes"/>
							<xsl:variable name="cpprocessend" select="sum(@STARTPOS | @ENDPOS)"/>
							<xsl:value-of select="substring($actualinlinetext,$cpprocessend)" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<!-- not pos1 or  last -->
				<xsl:otherwise>
					<xsl:variable name="prestartpos" select="(preceding-sibling::*[1]/@STARTPOS)"/>
					<xsl:variable name="preendpos" select="(preceding-sibling::*[1]/@ENDPOS)"/>
					<xsl:variable name="presum" select="sum($prestartpos |  $preendpos)"/>
					<xsl:variable name="slen" select="(@STARTPOS - $presum)  "/>
					<xsl:value-of select="substring($actualinlinetext, $presum,$slen)" disable-output-escaping="yes"/>
					<xsl:choose>
						<xsl:when test="not(@REF='none')">
							<xsl:variable name="testdata">
							
								<xsl:call-template name="applyinlinestyle">
									<xsl:with-param name="texttorender" select="substring($actualinlinetext,@STARTPOS,@ENDPOS)"/>
									<xsl:with-param name="ref" select="@REF"/>
									<xsl:with-param name="parameter" select="@PARAM"/>
									<xsl:with-param name="selecttext" select="@SELECTTEXT"/>
								</xsl:call-template>
								
							</xsl:variable>
							<xsl:value-of select="$testdata" disable-output-escaping="yes"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="substring($actualinlinetext,@STARTPOS,@ENDPOS)" disable-output-escaping="yes"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="fontstylesforinlinestyle">
		<xsl:param name="attributevalue"/>
		<xsl:param name="attributereplacevalue"/>
		<xsl:variable name="fsr" select="$attributereplacevalue"/>
		<xsl:if test="not($fsr='none') and not($fsr='')">
			<xsl:variable name="cpfontstylepath" select="translate(concat($cpfontstylesdir,$fsr,'.xml'),'\','/')"/>
			<xsl:variable name="getfontstyle">
				<xsl:apply-templates select="document($cpfontstylepath)/FONTSTYLE" mode="for-styles">
					<xsl:with-param name="fsr" select="$fsr"/>
				</xsl:apply-templates>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$getfontstyle =''">
					<!-- publish view -->
					<!-- need to handle none -->
					<xsl:text>font_</xsl:text>
					<xsl:value-of select="translate(translate(translate($fsr,'\','-'),' ','_'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')" disable-output-escaping="yes"/>
				</xsl:when>
				<xsl:otherwise>
					<!-- authour view -->
					<!-- need to handle none -->
					<!--<xsl:value-of select="$getfontstyle"/> -->
					<xsl:value-of select="$fsr" disable-output-escaping="yes"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="$fsr='none'">
			<xsl:value-of select="$fsr" disable-output-escaping="yes"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="borderstylesforinlinestyle">
		<xsl:param name="attributevalue"/>
		<xsl:param name="attributereplacevalue"/>
		<xsl:variable name="bsr" select="$attributereplacevalue"/>
		<xsl:if test="not($bsr='none') and not($bsr='')">
			<xsl:variable name="cpborderstylepath" select="translate(concat($cpborderstylesdir,$bsr,'.xml'),'\','/')"/>
			<xsl:variable name="getborderstyle">
				<xsl:apply-templates select="document($cpborderstylepath)/BORDERSTYLE" mode="for-styles">
					<xsl:with-param name="bsr" select="$bsr"/>
				</xsl:apply-templates>
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$getborderstyle =''">
					<!-- publish view -->
					<!-- need to handle none -->
					<xsl:text>border_</xsl:text>
					<xsl:value-of select="translate(translate(translate($bsr,'\','-'),' ','_'),'ABCDEFGHIJKLMNOPQRSTUVWXYZ','abcdefghijklmnopqrstuvwxyz')" disable-output-escaping="yes"/>
				</xsl:when>
				<xsl:otherwise>
					<!-- authour view -->
					<!-- need to handle none -->
					<!--
					<xsl:text disable-output-escaping="yes"> style=</xsl:text>
					<xsl:value-of select="$quotes"/>
					<xsl:value-of select="$getborderstyle"/>
					-->
					<xsl:value-of select="$bsr" disable-output-escaping="yes"/>
					<!--
					<xsl:value-of select="$quotes"/>
					-->
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
		<xsl:if test="$bsr='none'">
			<xsl:value-of select="$bsr" disable-output-escaping="yes"/>
		</xsl:if>
	</xsl:template>
	<xsl:template name="removelines">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="substring-before($text, '&#x0A;')">
				<xsl:value-of select="substring-before($text, '&#x0A;')" disable-output-escaping="yes"/>
				<xsl:call-template name="removelines">
					<xsl:with-param name="text" select="substring-after($text, '&#x0A;')"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$text" disable-output-escaping="yes"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="getLayoutFileFromEvent">
		<xsl:param name="eventpath"/>
		<xsl:variable name="eventfile">
			<xsl:call-template name="lastIndexOf">
				<xsl:with-param name="string" select="translate($eventpath,'\\','\')"/>
				<xsl:with-param name="char" select="'\'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="refscofile">
			<xsl:value-of select="concat($cpscosdir,translate(substring-before($eventpath,concat('\',$eventfile)),'\','/'),'.xml')"/>
		</xsl:variable>
		<xsl:value-of select="document($refscofile)/SCO/EVENTS/EVENT[@ID=$eventfile]/@LAYOUTREF"/>
	</xsl:template>
	<xsl:template name="lastIndexOf">
		<xsl:param name="string"/>
		<xsl:param name="char"/>
		<xsl:choose>
			<xsl:when test="contains($string, $char)">
				<xsl:call-template name="lastIndexOf">
					<xsl:with-param name="string" select="substring-after($string, $char)"/>
					<xsl:with-param name="char" select="$char"/>
				</xsl:call-template>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$string"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="GetRequiredText">
		<xsl:param name="attributereplacevalue"/>
		<xsl:param name="texttoreplacefromatt"/>
		<xsl:if test="string-length(substring-before(substring(substring-after($attributereplacevalue,$texttoreplacefromatt),1),$quotes)) &gt; 1">
			<xsl:call-template name="GetRequiredText">
				<xsl:with-param name="attributereplacevalue" select="substring(substring-after($attributereplacevalue,$texttoreplacefromatt),1)"/>
				<xsl:with-param name="texttoreplacefromatt" select="$texttoreplacefromatt"/>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="substring-before(substring(substring-after($attributereplacevalue,$texttoreplacefromatt),3),$quotes)" disable-output-escaping="yes"/>
	</xsl:template>
</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c) 2004-2006. Progress Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="..\..\..\..\..\Data\CP3Lib\Library\scos\samples\merging sample.xml" htmlbaseurl="" outputurl="" processortype="internal" useresolver="yes" profilemode="0" profiledepth="" profilelength="" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" validateoutput="no" validator="internal" customvalidator=""/></scenarios><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->
